<?php

function dealer_color_scheme_css() {
	$color_scheme_option = get_theme_mod( 'color_scheme', 'default' );
	$color_scheme = dealer_get_color_scheme();
	$colors                      = array(
		'background_color'    => $color_scheme[0], // 0 body
		'dealer_bodybg'       => $color_scheme[1], // 1 body background
		'dealer_bodycolor'    => $color_scheme[2], // 2 body color
		'dealer_bodylink'     => $color_scheme[3], // 3 body link
		'dealer_headbg'       => $color_scheme[4], // 4 head bg
		'dealer_headcol'      => $color_scheme[5], // 5 head col
		'dealer_headlink'     => $color_scheme[6], // 6 head link
		'dealer_headaccbg'    => $color_scheme[7], // 7 head acc
		'dealer_headacccol'   => $color_scheme[8], // 8 head acc col
		'dealer_contbg'       => $color_scheme[9], // 9 cont bg
		'dealer_contcol'      => $color_scheme[10], // 10 cont col
		'dealer_contacc'      => $color_scheme[11], // 11 cont acc
		'dealer_runbg'        => $color_scheme[12], // 12 run bg
		'dealer_runcol'       => $color_scheme[13], // 13 run col
		'dealer_runacc'       => $color_scheme[14], // 14 run acc
		'dealer_arcbg'        => $color_scheme[15], // 15 arc bg
		'dealer_arccol'       => $color_scheme[16], // 16 arc col
		'dealer_arcacc'       => $color_scheme[17], // 17 arc acc
		'dealer_arcpop'       => $color_scheme[18], // 18 arc pop
		'dealer_arclim'       => $color_scheme[19], // 19 arc lim
		'dealer_arcind'       => $color_scheme[20], // 20 arc ind
		'dealer_arcpro'       => $color_scheme[21], // 21 arc pro
		'dealer_arcbest'      => $color_scheme[22], // 22 arc best
		'dealer_singbg'       => $color_scheme[23], // 23 sing bg
		'dealer_singbg2'      => $color_scheme[24], // 24 sing bg
		'dealer_singcol'      => $color_scheme[25], // 25 sing col
		'dealer_singacc1'     => $color_scheme[26], // 26 sing acc1
		'dealer_singacc2'     => $color_scheme[27], // 27 sing acc2
		'dealer_singacc3'     => $color_scheme[28], // 28 sing acc3
		'dealer_footbg'       => $color_scheme[29], // 29 sing acc1
		'dealer_footcol'      => $color_scheme[30], // 30 sing acc2
		'dealer_footacc'      => $color_scheme[31], // 31 sing acc3
		'home_eventbg'        => $color_scheme[32], // 32 event bg
		'home_eventcol'       => $color_scheme[33], // 33 event col
		'home_eventacc'       => $color_scheme[34], // 34 event acc
		'home_slidebg'        => $color_scheme[35], // 35 slide bg
		'home_slidebgacc'     => $color_scheme[36], // 36 slide acc
		'home_agenbg'         => $color_scheme[37], // 37 agen bg
		'home_agencol'        => $color_scheme[38], // 38 agen col
		'home_agenacc'        => $color_scheme[39], // 39 agen acc
		'home_listtop'        => $color_scheme[40], // 40 list top
		'home_listbot'        => $color_scheme[41], // 41 list bot
		'home_gstbg'          => $color_scheme[42], // 42 gst bg
		'home_gstbgacc'       => $color_scheme[43], // 43 gst bg acc
		'home_gstbox'         => $color_scheme[44], // 44 gst col
		'home_gstcol'         => $color_scheme[45], // 45 gst acc
	);

	$color_scheme_css = dealer_get_color_scheme_css( $colors );
	wp_add_inline_style( 'dealer-style', $color_scheme_css );
}
add_action( 'wp_enqueue_scripts', 'dealer_color_scheme_css' );

function dealer_customize_control_js() {
	wp_enqueue_script( 'color-scheme-control', get_template_directory_uri() . '/javascript/color-scheme-control.js', array( 'customize-controls', 'iris', 'underscore', 'wp-util' ), '20141216', true );
	wp_localize_script( 'color-scheme-control', 'colorScheme', dealer_get_color_schemes() );
}
add_action( 'customize_controls_enqueue_scripts', 'dealer_customize_control_js' );

function dealer_customize_preview_js() {
	wp_enqueue_script( 'dealer-customize-preview', get_template_directory_uri() . '/javascript/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'dealer_customize_preview_js' );