<?php
function dealer_global_color_css() {
	$color_scheme          = dealer_get_color_scheme();
	$default_color         = $color_scheme[0];
	$background_color = get_theme_mod( 'background_color', $default_color );

	// Don't do anything if the current color is the default.
	if ( $background_color === $default_color ) {
		return;
	}

	$css = '';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $background_color ) );
}
add_action( 'wp_enqueue_scripts', 'dealer_global_color_css', 11 );
function dealer_bodybg() {
	$color_scheme          = dealer_get_color_scheme();
	$default_color         = $color_scheme[1];
	$dealer_bodybg = get_theme_mod( 'dealer_bodybg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_bodybg === $default_color ) {
		return;
	}

	$css = '
	body,
	.dealer__pricelist,
	.pricelist,
	.model__rightside,
	.roda__pricelist,
	.model__wayback,
	.comment__block,
	.roo__single,
	.tema__showroom,
	.show__post,
    .show__share,
	.show__comhead,
	.comment-reply-title,
	.comment-notes,
    .logged-in-as,
	.comment-form-comment,
    .comment__area,
    .comment-form-author,
    .comment-form-email,
    .comment-form-url,
	.show__list,
    .tema__showroom #sidebar,
	.show__pricelist i {
		background: %1$s;
	}
	.bio__links a, 
	.share a,
	.related__head span,
	.comment__head span,
	#submit,
	.dealer__pricelist i,
	.dl__pricelist a,
	.cl__pricelist,
	.cl__rightmodel,
	.showbar,
	.roo__address,
	.back__button,
	.model__social i,
	.model__wayback .float__input input,
	#floatform,
	.model__wayback .float__button button,
	.roda__tesrating,
	.pagination a,
	.pagination a:active,
	.roo__tags a,
	.wrapper__roda .comment-reply-link,
	.roo__address a,
	.comment-reply-link,
	.show__bar,
    .show__pricelist,
	.tema__showroom .pagination a.active,
	.show__singleprice {
		color: %1$s;
	}
	.tema__showroom .pagination a {
		background: %1$s;
	}
	.tema__showroom .pricelist {
		border-bottom: 60px solid %1$s;
		background: %1$s;
	}
	@media screen and (max-width: 982px) {
		.single__small,
		.roo__rightloop {
	    	background: %1$s;
    	}
	}
	@media screen and (max-width: 768px) {
		.footer_text .dealer__bephone, 
		.footer_text .dealer__bewhatsapp {
			background: %1$s;
		}
		.footer_text .dealer__bephone i, 
		.footer_text .dealer__bewhatsapp i {
	    	color: %1$s;
		}
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_bodybg ) );
}
add_action( 'wp_enqueue_scripts', 'dealer_bodybg', 11 );

function dealer_bodycolor() {
	$color_scheme  = dealer_get_color_scheme();
	$default_color = $color_scheme[2];
	$dealer_bodycolor    = get_theme_mod( 'dealer_bodycolor', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_bodycolor === $default_color ) {
		return;
	}

	$css = '
	body,
	.post__title a,
	.related__title a,
	.single__small .widget_block a,
	#sidebar .widget_block a,
	.blog__publish a,
	.blog__title a,
	.pricelist,
	.model__rightside,
	.roda__pricelist,
	.model__wayback,
	.model__wayback a,
	.comment__block,
	.roo__listle span,
	.roo__blogimage span,
	.roo__single,
	.dealer__pricelist,
	.tema__showroom,
	.show__post,
    .show__share,
	.show__comhead,
	.comment-reply-title,
	.comment-notes,
    .logged-in-as,
	.comment-form-comment,
    .comment__area,
    .comment-form-author,
    .comment-form-email,
    .comment-form-url,
	.show__list,
    .tema__showroom #sidebar {
	    color: %1$s;
	}
	.tema__showroom .widget_block .wp-block-archives li:before,
    .tema__showroom .widget_block .wp-block-categories li:before,
    .tema__showroom .widget_block .wp-block-meta li:before,
    .tema__showroom .widget_block .wp-block-nav_menu li:before,
    .tema__showroom .widget_block .wp-block-pages li:before,
    .tema__showroom .widget_block .wp-block-rss li:before{
		border: 1px solid %1$s;
	}
	.thumb__background:after,
	.related__head:before,
	.related__head span,
	.comment__head:before,
	.comment__head span,
	#submit,
	.back__button,
	.model__social i,
	.pagination a,
	.tema__showroom .widget_block .wp-block-latest-posts li:before,
	.tema__showroom .widget_block .wp-block-latest-comments li:before,
	.tema__showroom .pagination a.active,
	.pricelist__title:before {
		background: %1$s;
	}
	.tema__showroom .pagination a {
	}
	.tema__showroom .pricelist {
		color: %1$s;
	}
	@media screen and (max-width: 768px) {
		.footer_text .dealer__bephone, 
		.footer_text .dealer__bewhatsapp {
			color: %1$s;
		}
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_bodycolor ) );
}
add_action( 'wp_enqueue_scripts', 'dealer_bodycolor', 11 );

function dealer_bodylink() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[3];
	$dealer_bodylink = get_theme_mod( 'dealer_bodylink', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_bodylink === $default_color ) {
		return;
	}

	$css = '
	a,
	.test__personal i,
	.thumb__background i,
	.single__excerpt i,
	.single__rating,
	.tes__singrating i,
	.tema__showroom a,
	.show__publish strong,
	.show__listinner h2,
	.show__pricelist i {
		color: %1$s;
	}
	.bio__links a, 
	.share a,
	.dealer__pricelist i,
	.dl__pricelist a,
	.cl__pricelist,
	.cl__rightmodel,
	.showbar,
	.roo__address,
	.model__wayback .float__input input,
	#floatform,
	.model__wayback .float__button button,
	.roda__tesrating,
	.roo__listmeta h2:after,
	.roo__listle span:after,
	.roo__blogimage span,
	.pagination a:active,
	.roo__tags a,
	.wrapper__roda .comment-reply-link,
	.roo__address a,
    .comment-reply-link,
	.show__bar,
    .show__pricelist,
	.show__singleprice {
		background: %1$s;
	}
	.roo__rightloop .widget_block:after {
		border-right: 15px solid %1$s;
	}
	.tema__showroom .pagination a {
		color: %1$s;
	}
	@media screen and (max-width: 768px) {
		.footer_text .dealer__bephone i, 
		.footer_text .dealer__bewhatsapp i {
	    	background: %1$s;
		}
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_bodylink) );
}
add_action( 'wp_enqueue_scripts', 'dealer_bodylink', 11 );

function dealer_headbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[4];
	$dealer_headbg = get_theme_mod( 'dealer_headbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_headbg === $default_color ) {
		return;
	}

	$css = '
	.dealer__nav,
	.sub-menu,
	.mode__roda,
	.roda__menu:after,
	.roda__footermobile,
	.show__head,
	.show__nav,
	.main__menu {
		background: %1$s;
	}
	.navmenu .dd.desktop li.menu-item-has-children.full-image:after,
	.navmenu .dd.desktop li.full-image ul li a:after,
	.tema__showroom .navmenu .dd.desktop li:hover,
	.show__contact,
	.tema__showroom .navmenu .dd.desktop li:hover a,
	.tema__showroom  .navmenu .dd.desktop ul li a,
	.show__contact a {
		color: %1$s;
	}
	.tema__showroom  .navmenu .dd.desktop li.menu-item-has-children:hover:after {
        border-top: 5px solid %1$s;
    }
	@media screen and (max-width: 982px) {
		.dealer__menu {
	    	background: %1$s;
    	}
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_headbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_headbg', 11 );

function dealer_headcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[5];
	$dealer_headcol = get_theme_mod( 'dealer_headcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_headcol === $default_color ) {
		return;
	}

	$css = '
	.dealer__nav a,
	.mode__roda a,
	.roo__buttonmobile a,
	.dealer__menu .navmenu .dd.accord li.menu-item-has-children:after,
	.tema__showroom .dealer__nav li.has-sub a:hover,
	.mode__roda li.has-sub a:hover,
	.tema__showroom .navmenu .dd.desktop li a {
		color: %1$s;
	}
	.tema__showroom .navmenu .dd.desktop li ul {
		background : %1$s !important;
	}
	.topin:after {
		border-bottom: 2px solid %1$s;
        border-top: 2px solid %1$s;
	}
	.tema__showroom .navmenu .dd.desktop li:hover,
	.show__contact {
		background: %1$s;
	}
	.tema__showroom .navmenu .dd.desktop li.menu-item-has-children:after {
		border-top: 5px solid %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_headcol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_headcol', 11 );

function dealer_headlink() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[6];
	$dealer_headlink = get_theme_mod( 'dealer_headlink', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_headlink === $default_color ) {
		return;
	}

	$css = '
	.dealer__nav a:hover,
	.dealer__nav .current-menu-item a,
	.mode__roda a:hover,
	.navmenu .current-menu-item a,
	.navmenu .dd.desktop li.has-sub:after,
	.navmenu .dd.desktop li.has-sub.full-image:after {
		color: %1$s;
	}
	.topin:before {
		border-bottom: 2px solid %1$s;
	}
	.navmenu .dd.desktop li.menu-item-has-children.full-image:after,
	.navmenu .dd.desktop li.full-image ul li a:after,
	.tema__showroom .navmenu .dd.desktop li.has-sub:after,
	.mob__showmenu {
		background: %1$s;
	}
	.show__head {
		border-top: 4px solid %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_headlink) );
}
add_action( 'wp_enqueue_scripts', 'dealer_headlink', 11 );

function dealer_headaccbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[7];
	$dealer_headaccbg = get_theme_mod( 'dealer_headaccbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_headaccbg === $default_color ) {
		return;
	}

	$css = '
	.dealer__nav .sos__agent i,
	.roo__pricelist {
		background: %1$s;
	}
	.dealer__nav .sos__agent i:after,
	.show__social i {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_headaccbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_headaccbg', 11 );

function dealer_headacccol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[7];
	$dealer_headacccol = get_theme_mod( 'dealer_headacccol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_headacccol === $default_color ) {
		return;
	}

	$css = '
	.dealer__nav .sos__agent i,
	.roo__pricelist,
	.show__social i {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_headacccol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_headacccol', 11 );

function dealer_contbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[9];
	$dealer_contbg = get_theme_mod( 'dealer_contbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_contbg === $default_color ) {
		return;
	}

	$css = '
	.dealer_top,
	.dealer_timework .onandoff,
	.roda__header .roda__contact {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_contbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_contbg', 11 );

function dealer_contcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[10];
	$dealer_contcol = get_theme_mod( 'dealer_contcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_contcol === $default_color ) {
		return;
	}

	$css = '
	.dealer_top,
	.dealer_top a,
	.roda__header .roda__contact a {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_contcol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_contcol', 11 );

function dealer_contacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[11];
	$dealer_contacc = get_theme_mod( 'dealer_contacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_contacc === $default_color ) {
		return;
	}

	$css = '
	.dealer_top i,
	.roda__header .roda__contact a:hover i {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_contacc) );
}
add_action( 'wp_enqueue_scripts', 'dealer_contacc', 11 );

function dealer_runbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[12];
	$dealer_runbg = get_theme_mod( 'dealer_runbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_runbg === $default_color ) {
		return;
	}

	$css = '
	.running__text {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_runbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_runbg', 11 );

function dealer_runcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[13];
	$dealer_runcol = get_theme_mod( 'dealer_runcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_runcol === $default_color ) {
		return;
	}

	$css = '
	.running__text {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_runcol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_runcol', 11 );

function dealer_runacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[14];
	$dealer_runacc = get_theme_mod( 'dealer_runacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_runacc === $default_color ) {
		return;
	}

	$css = '
	.running__text a {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_runacc) );
}
add_action( 'wp_enqueue_scripts', 'dealer_runacc', 11 );

function dealer_arcbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[15];
	$dealer_arcbg = get_theme_mod( 'dealer_arcbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arcbg === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_box,
	.model__meta,
	.listing__showroom,
	.show__nolisting {
		background: %1$s;
	}
	.dealer_model_price_box span,
	.showroom__price  {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arcbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arcbg', 11 );

function dealer_arccol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[16];
	$dealer_arccol = get_theme_mod( 'dealer_arccol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arccol === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_box,
	.span_title,
	.dealer_model_after_title i,
	.model__meta,
	.listing__showroom,
	.show__nolisting {
		color: %1$s;
	}
	.widget_dealer_model .splide__pagination__page {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arccol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arccol', 11 );

function dealer_arcacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[17];
	$dealer_arcacc = get_theme_mod( 'dealer_arcacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arcacc === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_car_type,
	.model__meta a,
	.showroom__cardata a,
	.showroom__carmeta a {
		color: %1$s;
	}
	.dealer_model_after_title i {
		border: 1px solid %1$s;
	}
	.dealer_model_price_box span,
	.showroom__price,
	.widget_dealer_model .splide__pagination__page.is-active {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arcacc) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arcacc', 11 );

function dealer_arcpop() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[18];
	$dealer_arcpop = get_theme_mod( 'dealer_arcpop', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arcpop === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_car_status.Terpopuler,
	.model__stat.Terpopuler,
	.ml__status.Terpopuler,
	.showroom__status.Terpopuler {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arcpop) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arcpop', 11 );

function dealer_arclim() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[19];
	$dealer_arclim = get_theme_mod( 'dealer_arclim', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arclim === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_car_status.Limited,
	.model__stat.Limited,
	.ml__status.Limited,
	.showroom__status.Limited {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arclim) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arclim', 11 );

function dealer_arcind() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[20];
	$dealer_arcind = get_theme_mod( 'dealer_arcind', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arcind === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_car_status.Indent,
	.model__stat.Indent,
	.ml__status.Indent,
	.showroom__status.Indent {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arcind) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arcind', 11 );

function dealer_arcpro() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[21];
	$dealer_arcpro = get_theme_mod( 'dealer_arcpro', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arcpro === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_car_status.Promo,
	.model__stat.Promo,
	.ml__status.Promo,
	.showroom__status.Promo {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arcpro) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arcpro', 11 );

function dealer_arcbest() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[22];
	$dealer_arcbest = get_theme_mod( 'dealer_arcbest', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_arcbest === $default_color ) {
		return;
	}

	$css = '
	.dealer_model_car_status.Best.Seller,
	.model__stat.Best.Seller,
	.ml__status.Best.Seller,
	.showroom__status.Best.Seller {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_arcbest) );
}
add_action( 'wp_enqueue_scripts', 'dealer_arcbest', 11 );

function dealer_singbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[23];
	$dealer_singbg = get_theme_mod( 'dealer_singbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_singbg === $default_color ) {
		return;
	}

	$css = '
	.model__wrapper,
	.price__thumb .price__inner,
	.model__left,
	.model__price-chat,
	.mod__color,
	.mod__photo,
	.blog__model,
	.sp__sec,
	.model__inner,
	.show__testdrive i {
		background: %1$s;
	}
	.model__price,
	.price__status span,
	.price__status span.test__drive,
	.tablinks,
	.ms__stat,
	.ms__stat:nth-child(2),
	.ms__stat:nth-child(3),
	.tab__chat a,
	.show__testdrive,
	.show__testdrive a {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_singbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_singbg', 11 );

function dealer_singbg2() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[24];
	$dealer_singbg2 = get_theme_mod( 'dealer_singbg2', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_singbg2 === $default_color ) {
		return;
	}

	$css = '
	.dealer__price,
	.dealer__specs:before,
	.mod__block {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_singbg2) );
}
add_action( 'wp_enqueue_scripts', 'dealer_singbg2', 11 );

function dealer_singcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[25];
	$dealer_singcol = get_theme_mod( 'dealer_singcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_singcol === $default_color ) {
		return;
	}

	$css = '
	.model__wrapper,
	.model__price-chat,
	.mod__block,
	.model__inner {
		color: %1$s;
	}
	.mod__photo .splide__pagination__page {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_singcol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_singcol', 11 );

function dealer_singacc1() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[26];
	$dealer_singacc1 = get_theme_mod( 'dealer_singacc1', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_singacc1 === $default_color ) {
		return;
	}

	$css = '
	.model__price,
	.tablinks,
	.ms__stat {
		background: %1$s;
	}
	.model__head:before {
        border-top: 15px solid %1$s;
	}
	.mp__number {
		color: %1$s;
	}
	.mod__photo .splide__pagination__page.is-active {
		background: %1$s;
	}
	.model__little:nth-child(1) {
		border: 2px solid %1$s;
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_singacc1) );
}
add_action( 'wp_enqueue_scripts', 'dealer_singacc1', 11 );

function dealer_singacc2() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[27];
	$dealer_singacc2 = get_theme_mod( 'dealer_singacc2', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_singacc2 === $default_color ) {
		return;
	}

	$css = '
	.price__status span,
	.tablinks.active,
	.ms__stat:nth-child(2) {
		background: %1$s;
	}
	.model__little:nth-child(2) {
		border: 2px solid %1$s;
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_singacc2) );
}
add_action( 'wp_enqueue_scripts', 'dealer_singacc2', 11 );

function dealer_singacc3() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[28];
	$dealer_singacc3 = get_theme_mod( 'dealer_singacc3', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_singacc3 === $default_color ) {
		return;
	}

	$css = '
	.price__status span.test__drive,
	.ms__stat:nth-child(3),
	.tab__chat a,
	.show__testdrive {
		background: %1$s;
	}
	.show__testdrive i {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_singacc3) );
}
add_action( 'wp_enqueue_scripts', 'dealer_singacc3', 11 );

function dealer_footbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[29];
	$dealer_footbg = get_theme_mod( 'dealer_footbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_footbg === $default_color ) {
		return;
	}

	$css = '
	.footer__layer,
	.roo__copyright,
	.footer_copyright:after {
		background: %1$s;
	}
	.footer_text .dealer__bephone i, 
	.footer_text .dealer__bewhatsapp i,
	.footer_box .sos__icon i {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_footbg) );
}
add_action( 'wp_enqueue_scripts', 'dealer_footbg', 11 );

function dealer_footcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[30];
	$dealer_footcol = get_theme_mod( 'dealer_footcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_footcol === $default_color ) {
		return;
	}

	$css = '
	.footer,
	.roo__copyright,
	.footer__boxin .footer__call a {
		color: %1$s;
	}
	.footer_text .dealer__bephone i, 
	.footer_text .dealer__bewhatsapp i,
	.footer_box .sos__icon i,
	.footer__boxin .show_alamat span:after {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_footcol) );
}
add_action( 'wp_enqueue_scripts', 'dealer_footcol', 11 );

function dealer_footacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[31];
	$dealer_footacc = get_theme_mod( 'dealer_footacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $dealer_footacc === $default_color ) {
		return;
	}

	$css = '
	.footer a,
	.roo__copyright a {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $dealer_footacc) );
}
add_action( 'wp_enqueue_scripts', 'dealer_footacc', 11 );

function home_eventbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[32];
	$home_eventbg = get_theme_mod( 'home_eventbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_eventbg === $default_color ) {
		return;
	}

	$css = '
	.dealer__event {
		background: %1$s;
	}
	.event__title {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_eventbg) );
}
add_action( 'wp_enqueue_scripts', 'home_eventbg', 11 );

function home_eventcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[33];
	$home_eventcol = get_theme_mod( 'home_eventcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_eventcol === $default_color ) {
		return;
	}

	$css = '
	.dealer__event {
		color: %1$s;
	}
	.event_content h3:after {
		background: %1$s;
	}
	.title__after:after {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_eventcol) );
}
add_action( 'wp_enqueue_scripts', 'home_eventcol', 11 );

function home_eventacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[34];
	$home_eventacc = get_theme_mod( 'home_eventacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_eventacc === $default_color ) {
		return;
	}

	$css = '
	.dealer__event a {
		color: %1$s;
	}
	.event_info a {
		border: 2px solid %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_eventacc) );
}
add_action( 'wp_enqueue_scripts', 'home_eventacc', 11 );

function home_slidebg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[35];
	$home_slidebg = get_theme_mod( 'home_slidebg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_slidebg === $default_color ) {
		return;
	}

	$css = '
	.dealer__topslide {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_slidebg) );
}
add_action( 'wp_enqueue_scripts', 'home_slidebg', 11 );

function home_slidebgacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[36];
	$home_slidebgacc = get_theme_mod( 'home_slidebgacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_slidebgacc === $default_color ) {
		return;
	}

	$css = '
	.dealer__topslide:after {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_slidebgacc) );
}
add_action( 'wp_enqueue_scripts', 'home_slidebgacc', 11 );

function home_agenbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[37];
	$home_agenbg = get_theme_mod( 'home_agenbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_agenbg === $default_color ) {
		return;
	}

	$css = '
	#theagent,
	#agentshowroom,
	.showroom__addtext,
	.showroom__agentcall,
	#agentroda,
	.roda_agent_touch,
	.wp_roda__addblock {
		background: %1$s;
	}
	.left__clip,
	.right__clip,
	.left__clip .nama__agen .nickname {
		color: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_agenbg) );
}
add_action( 'wp_enqueue_scripts', 'home_agenbg', 11 );

function home_agencol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[38];
	$home_agencol = get_theme_mod( 'home_agencol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_agencol === $default_color ) {
		return;
	}

	$css = '
	#theagent,
	.dealer_social i,
	#agentshowroom,
	.showroom__addtext,
	.showroom__agentcall,
	#agentroda,
	.roda_agent_touch,
	.roda_agent_touch a,
	.wp_roda__addblock {
		color: %1$s;
	}
	.showroom-agen-model .splide__pagination__page,
	.left__clip:after {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_agencol) );
}
add_action( 'wp_enqueue_scripts', 'home_agencol', 11 );

function home_agenacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[39];
	$home_agenacc = get_theme_mod( 'home_agenacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_agenacc === $default_color ) {
		return;
	}

	$css = '
	.nama__agen .nickname,
	.showroom__agentcall .nama__agen .nickname,
	.roda_agent_touch i {
		color: %1$s;
	}
	#agentshowroom {
		border-top: 8px solid %1$s;
	}
	.showroom-agen-model .splide__pagination__page.is-active,
	.right__clip:after,
	.wp_roda__agent .head__agen:before {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_agenacc) );
}
add_action( 'wp_enqueue_scripts', 'home_agenacc', 11 );


function home_listingcar() {
	$color_scheme         = dealer_get_color_scheme();
	$default_color        = array($color_scheme[40],$color_scheme[41]);
	$home_listtop = get_theme_mod( 'home_listtop', $default_color );
	$home_listbot = get_theme_mod( 'home_listbot', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_listtop === $default_color ) {
		return;
	}
	if ( $home_listbot === $default_color ) {
		return;
	}

	$css = '
	.dealer__bottom {
		background: linear-gradient( %1$s, %2$s);
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_listtop, $home_listbot ) );
}
add_action( 'wp_enqueue_scripts', 'home_listingcar', 11 );

function home_gstbg() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[42];
	$home_gstbg = get_theme_mod( 'home_gstbg', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_gstbg === $default_color ) {
		return;
	}

	$css = '
	.dealer__gallery {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_gstbg) );
}
add_action( 'wp_enqueue_scripts', 'home_gstbg', 11 );

function home_gstbgacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[43];
	$home_gstbgacc = get_theme_mod( 'home_gstbgacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_gstbgacc === $default_color ) {
		return;
	}

	$css = '
	.dealer__gallery:before {
		background: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_gstbgacc) );
}
add_action( 'wp_enqueue_scripts', 'home_gstbgacc', 11 );

function home_gstbox() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[44];
	$home_gstbox = get_theme_mod( 'home_gstbox', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_gstbox === $default_color ) {
		return;
	}

	$css = '
	.tes__headbox,
	.show__galbg,
	.testi__bg,
	.dealer_comment,
	.show__loopover,
	.gst__inner {
		background: %1$s;
	}
	.gal__navi a,
	.show__galnavi span,
	.show__galnavi i,
	.comment__show:hover .comment__title,
	.comment__show:hover .comment__foex,
	.comment__show:hover .comment__ex,
	.comment__show:hover .comment__foex i,
	.comment__show:hover .comment__rate,
    .gst__rating	{
		color: %1$s;
	}
	.show__galnavi a:after {
		border-top: 12px solid %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_gstbox) );
}
add_action( 'wp_enqueue_scripts', 'home_gstbox', 11 );

function home_gstcol() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[45];
	$home_gstcol = get_theme_mod( 'home_gstcol', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_gstcol === $default_color ) {
		return;
	}

	$css = '
	.tes__headbox,
	.show__galbg,
	.testi__bg,
	.dealer_comment,
	.show__loopover,
	.gst__inner {
		color: %1$s;
	}
	.show__galnavi i {
		background: %1$s;
	}
	.galeritess .splide__arrow--prev {
		border: 2px solid %1$s;
	}
	.galeritess .splide__arrow--prev svg {
		fill: %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_gstcol) );
}
add_action( 'wp_enqueue_scripts', 'home_gstcol', 11 );

function home_gstacc() {
	$color_scheme     = dealer_get_color_scheme();
	$default_color    = $color_scheme[45];
	$home_gstacc = get_theme_mod( 'home_gstacc', $default_color );

	// Don't do anything if the current color is the default.
	if ( $home_gstacc === $default_color ) {
		return;
	}

	$css = '
	.gal__navi,
	.show__galnavi span,
	.comment__show:hover,
	.gst__rating {
		background: %1$s;
	}
	.gal__rating,
	.teshome__rating,
	.show__loopover i,
	.comment__rate,
	.comment__foex i {
		color: %1$s;
	}
	.galeritess .splide__arrow--next {
		border: 2px solid %1$s;
	}
	.galeritess .splide__arrow--next svg {
		fill: %1$s;
	}
	.show__galbg:before {
		border-top: 15px solid %1$s;
	}
	';

	wp_add_inline_style( 'dealer-style', sprintf( $css, $home_gstacc) );
}
add_action( 'wp_enqueue_scripts', 'home_gstacc', 11 );
