<?php 

function dealer_get_color_scheme_css( $colors ) {
	$colors = wp_parse_args(
		$colors,
		array(
		'background_color'     => '', // 0 body
		'dealer_bodybg'        => '', // 1 body background
		'dealer_bodycolor'     => '', // 2 body color
		'dealer_bodylink'      => '', // 3 body link
		'dealer_headbg'        => '', // 4 head bg
		'dealer_headcol'       => '', // 5 head col
		'dealer_headlink'      => '', // 6 head link
		'dealer_headaccbg'     => '', // 7 head acc
		'dealer_headacccol'    => '', // 8 head acc col
		'dealer_contbg'        => '', // 9 cont bg
		'dealer_contcol'       => '', // 10 cont col
		'dealer_contacc'       => '', // 11 cont acc
		'dealer_runbg'         => '', // 12 run bg
		'dealer_runcol'        => '', // 13 run col
		'dealer_runacc'        => '', // 14 run acc
		'dealer_arcbg'         => '', // 15 arc bg
		'dealer_arccol'        => '', // 16 arc col
		'dealer_arcacc'        => '', // 17 arc acc
		'dealer_arcpop'        => '', // 18 arc pop
		'dealer_arclim'        => '', // 19 arc lim
		'dealer_arcind'        => '', // 20 arc ind
		'dealer_arcpro'        => '', // 21 arc pro
		'dealer_arcbest'       => '', // 22 arc best
		'dealer_singbg'        => '', // 23 sing bg
		'dealer_singbg2'       => '', // 24 sing col
		'dealer_singcol'       => '', // 25 sing col
		'dealer_singacc1'      => '', // 26 sing acc1
		'dealer_singacc2'      => '', // 27 sing acc2
		'dealer_singacc3'      => '', // 28 sing acc3
		'dealer_footbg'        => '', // 29 sing acc1
		'dealer_footcol'       => '', // 30 sing acc2
		'dealer_footacc'       => '', // 31 sing acc3
		'home_eventbg'         => '', // 32 event bg
		'home_eventcol'        => '', // 33 event col
		'home_eventacc'        => '', // 34 event acc
		'home_slidebg'         => '', // 35 slide bg
		'home_slidebgacc'      => '', // 36 slide acc
		'home_agenbg'          => '', // 37 agen bg
		'home_agencol'         => '', // 38 agen col
		'home_agenacc'         => '', // 39 agen acc
		'home_listtop'         => '', // 40 list top
		'home_listbot'         => '', // 41 list bot
		'home_gstbg'           => '', // 42 gst bg
		'home_gstbgacc'        => '', // 43 gst bg acc
		'home_gstbox'          => '', // 44 gst box
		'home_gstcol'          => '', // 45 gst col
		'home_gstacc'          => '', // 46 gst acc
		)
	);

	$css = <<<CSS
	
	body,
	.dealer__pricelist,
	.pricelist,
	.model__rightside,
	.roda__pricelist,
	.model__wayback,
	.comment__block,
	.roo__single,
	.show__post,
    .show__share,
	.show__comhead,
	.comment-reply-title,
	.comment-notes,
    .logged-in-as,
	.comment-form-comment,
    .comment__area,
    .comment-form-author,
    .comment-form-email,
    .comment-form-url,
	.show__list,
    .tema__showroom #sidebar {
		background: {$colors['dealer_bodybg']};
		color : {$colors['dealer_bodycolor']};
	}
	.show__pricelist i,
	.pricelist__title:before {
		background: {$colors['dealer_bodybg']};
	}
	.tema__showroom .pricelist {
		border-bottom: 60px solid {$colors['dealer_bodybg']};
		background: {$colors['dealer_bodybg']};
		color: {$colors['dealer_bodycolor']};
	}
	.post__title a,
	.related__title a,
	.single__small .widget_block a,
	#sidebar .widget_block a,
	.blog__publish a,
	.blog__title a,
	.model__wayback a,
	.roo__listle span,
	.roo__blogimage span {
		color : {$colors['dealer_bodycolor']};
	}
	.thumb__background,
	.related__head span,
	.comment__head span,
	#submit,
	.back__button,
	.model__social i,
	.pagination a,
	.roo__address a,
	.tema__showroom .pagination a.active {
		color: {$colors['dealer_bodybg']};
	}
	.thumb__background:after,
	.related__head:before,
	.related__head span,
	.comment__head:before,
	.comment__head span,
	#submit,
	.back__button,
	.model__social i,
	.pagination a,
	.tema__showroom .widget_block .wp-block-latest-posts li:before,
	.tema__showroom .pagination a.active {
		background: {$colors['dealer_bodycolor']};
	}
	.tema__showroom .pagination a {
		border: 1px solid {$colors['dealer_bodycolor']};
		background: {$colors['dealer_bodybg']};
		color: {$colors['dealer_bodylink']};
	}
	a,
	.test__personal i,
	.thumb__background i,
	.single__excerpt i,
	.single__rating,
	.tes__singrating i,
	.show__publish strong,
	.show__listinner h2,
	.show__pricelist i {
		color : {$colors['dealer_bodylink']};
	}
	.tema__showroom .widget_block .wp-block-archives li:before,
    .tema__showroom .widget_block .wp-block-categories li:before,
    .tema__showroom .widget_block .wp-block-meta li:before,
    .tema__showroom .widget_block .wp-block-nav_menu li:before,
    .tema__showroom .widget_block .wp-block-pages li:before,
    .tema__showroom .widget_block .wp-block-rss li:before,
	.tema__showroom .widget_block .wp-block-latest-comments li:before {
		border: 1px solid {$colors['dealer_bodycolor']};
	}
	.roo__listmeta h2:after,
	.roo__listle span:after,
	.roo__blogimage span {
		background : {$colors['dealer_bodylink']};
	}
	.roo__rightloop .widget_block:after {
		border-right: 15px solid {$colors['dealer_bodylink']};
	}
	.bio__links a, 
	.share a,
	.dealer__pricelist i,
	.next__blog,
	.dl__pricelist a,
	.cl__pricelist,
	.cl__rightmodel,
	.showbar,
	.roo__address,
	.model__wayback .float__input input,
	#floatform,
	.model__wayback .float__button button,
	.roda__tesrating,
	.pagination a:active,
	.roo__tags a,
	.wrapper__roda .comment-reply-link,
	.comment-reply-link,
	.show__bar,
    .show__pricelist,
	.show__singleprice {
		background : {$colors['dealer_bodylink']};
		color: {$colors['dealer_bodybg']};
	}
	.dealer__nav,
	.sub-menu,
	.mode__roda,
	.roda__menu:after,
	.roda__footermobile,
	.show__nav,
	.main__menu {
		background: {$colors['dealer_headbg']};
	}
	.tema__showroom .navmenu .dd.desktop li:hover a,
	.tema__showroom  .navmenu .dd.desktop ul li a,
	.show__contact a {
		color: {$colors['dealer_headbg']};
	}
	.dealer__nav a,
	.mode__roda a,
	.roo__buttonmobile a,
	.dealer__menu .navmenu .dd.accord li.menu-item-has-children:after,
	.tema__showroom .dealer__nav li.has-sub a:hover,
	.mode__roda li.has-sub a:hover,
	.tema__showroom .navmenu .dd.desktop li a {
		color : {$colors['dealer_headcol']};
	}
	.navmenu .dd.desktop li.menu-item-has-children.full-image:after,
	.navmenu .dd.desktop li.full-image ul li a:after,
	.tema__showroom .navmenu .dd.desktop li.has-sub:after,
	.mob__showmenu {
		background: {$colors['dealer_headlink']};
		color : {$colors['dealer_headbg']};
	}
	.topin:after {
		border-bottom: 2px solid {$colors['dealer_headcol']};
        border-top: 2px solid {$colors['dealer_headcol']};
	}
	.tema__showroom .navmenu .dd.desktop li.menu-item-has-children:after {
		border-top: 5px solid {$colors['dealer_headcol']};
	}
	.tema__showroom .navmenu .dd.desktop li.menu-item-has-children:hover:after {
        border-top: 5px solid {$colors['dealer_headbg']};
    }
	.tema__showroom .navmenu .dd.desktop li ul {
		background : {$colors['dealer_headcol']} !important;
	}
	.tema__showroom .navmenu .dd.desktop li:hover,
	.show__contact {
		background: {$colors['dealer_headcol']};
		color: {$colors['dealer_headbg']};
	}
	.topin:before {
		border-bottom: 2px solid {$colors['dealer_headlink']};
	}
	.show__head {
		border-top: 4px solid {$colors['dealer_headlink']};
	}
	.dealer__nav a:hover,
	.dealer__nav .current-menu-item a,
	.mode__roda a:hover,
	.navmenu .current-menu-item a,
	.navmenu .dd.desktop li.has-sub:after,
	.navmenu .dd.desktop li.has-sub.full-image:after {
		color: {$colors['dealer_headlink']};
	}
	.dealer__nav .sos__agent i,
	.roo__pricelist,
	.show__social i {
		background: {$colors['dealer_headaccbg']};
		color: {$colors['dealer_headacccol']};
	}
	.dealer_top,
	.dealer_timework .onandoff,
	.roda__header .roda__contact {
		background: {$colors['dealer_contbg']};
	}
	.dealer_top,
	.dealer_top a,
	.roda__header .roda__contact a {
		color: {$colors['dealer_contcol']};
	}
	.dealer_top i,
	.roda__header .roda__contact a:hover i {
		color: {$colors['dealer_contacc']};
	}
	.running__text {
		background: {$colors['dealer_runbg']};
		color: {$colors['dealer_runcol']};
	}
	.running__text a {
		color: {$colors['dealer_runacc']};
	}
	.dealer_model_box,
	.model__meta,
	.listing__showroom,
	.show__nolisting {
		background: {$colors['dealer_arcbg']};
		color: {$colors['dealer_arccol']};
	}
	.dealer_model_car_type,
	.model__meta a,
	.showroom__cardata a,
	.showroom__carmeta a {
		color: {$colors['dealer_arcacc']};
	}
	.widget_dealer_model .splide__pagination__page {
		background: {$colors['dealer_arccol']};
	}
	.widget_dealer_model .splide__pagination__page.is-active {
		background: {$colors['dealer_arcacc']};
	}
	.span_title,
	.dealer_model_after_title i {
		color: {$colors['dealer_arccol']};
	}
	.dealer_model_after_title i {
		border: 1px solid {$colors['dealer_arcacc']};
	}
	.dealer_model_price_box span,
	.showroom__price {
		background: {$colors['dealer_arcacc']};
		color: {$colors['dealer_arcbg']};
	}
	.dealer_model_car_status.Terpopuler,
	.model__stat.Terpopuler,
	.ml__status.Terpopuler,
	.showroom__status.Terpopuler {
		background: {$colors['dealer_arcpop']};
	}
	.dealer_model_car_status.Limited,
	.model__stat.Limited,
	.ml__status.Limited,
	.showroom__status.Limited {
		background: {$colors['dealer_arclim']};
	}
	.dealer_model_car_status.Indent,
	.model__stat.Indent,
	.ml__status.Indent,
	.showroom__status.Indent {
		background: {$colors['dealer_arcind']};
	}
	.dealer_model_car_status.Promo,
	.model__stat.Promo,
	.ml__status.Promo,
	.showroom__status.Promo {
		background: {$colors['dealer_arcpro']};
	}
	.dealer_model_car_status.Best.Seller,
	.model__stat.Best.Seller,
	.ml__status.Best.Seller,
	.showroom__status.Best.Seller {
		background: {$colors['dealer_arcbest']};
	}
	
	.model__wrapper,
	.price__thumb .price__inner,
	.model__left,
	.model__price-chat,
	.mod__color,
	.mod__photo,
	.blog__model,
	.sp__sec,
	.model__inner {
		background: {$colors['dealer_singbg']};
		color: {$colors['dealer_singcol']};
	}
	.mod__photo .splide__pagination__page {
		background: {$colors['dealer_singcol']};
	}
	.mod__photo .splide__pagination__page.is-active {
		background: {$colors['dealer_singacc1']};
	}
	.dealer__price,
	.dealer__specs:before,
	.mod__block {
		background: {$colors['dealer_singbg2']};
	}
	.model__price,
	.tablinks,
	.ms__stat  {
		background: {$colors['dealer_singacc1']};
		color: {$colors['dealer_singbg']};
	}
	.mp__number {
		color: {$colors['dealer_singacc1']};
	}
	.model__head:before {
        border-top: 15px solid {$colors['dealer_singacc1']};
	}
	.model__little:nth-child(1) {
		border: 2px solid {$colors['dealer_singacc1']};
		color: {$colors['dealer_singacc1']};
	}
	.model__little:nth-child(2) {
		border: 2px solid {$colors['dealer_singacc2']};
		color: {$colors['dealer_singacc2']};
	}
	.price__status span,
	.tablinks.active,
	.ms__stat:nth-child(2) {
		background: {$colors['dealer_singacc2']};
		color: {$colors['dealer_singbg']};
	}
	.price__status span.test__drive,
	.ms__stat:nth-child(3),
	.tab__chat a,
	.show__testdrive { 
		background: {$colors['dealer_singacc3']};
		color: {$colors['dealer_singbg']};
	}
	.show__testdrive a {
		color: {$colors['dealer_singbg']};
	}
	.show__testdrive i { 
		background: {$colors['dealer_singbg']};
		color: {$colors['dealer_singacc3']};
	}
	.footer__layer,
	.roo__copyright,
	.footer_copyright:after {
		background: {$colors['dealer_footbg']};
	}
	.footer,
	.roo__copyright,
	.footer__boxin .footer__call a {
		color: {$colors['dealer_footcol']};
	}
	.footer__boxin .show_alamat span:after {
		background: {$colors['dealer_footcol']};
	}
	.footer a,
	.roo__copyright a {
		color: {$colors['dealer_footacc']};
	}
	.footer_text .dealer__bephone i, 
	.footer_text .dealer__bewhatsapp i,
	.footer_box .sos__icon i {
		background: {$colors['dealer_footcol']};
		color: {$colors['dealer_footbg']};
	}
	.dealer__event {
		background: {$colors['home_eventbg']};
		color: {$colors['home_eventcol']};
	}
	.dealer__event a {
		color: {$colors['home_eventacc']};
	}
	.event_content h3:after {
		background: {$colors['home_eventcol']};
	}
	.event__title {
		color: {$colors['home_eventbg']};
	}
	.event_info a {
		border: 2px solid {$colors['home_eventacc']};
	}
	.title__after:after {
		background: {$colors['home_eventcol']};
	}
	.dealer__topslide {
		background: {$colors['home_slidebg']};
	}
	.dealer__topslide:after {
		background: {$colors['home_slidebgacc']};
	}
	#theagent,
	#agentshowroom,
	.showroom__addtext,
	.showroom__agentcall,
	#agentroda,
	.roda_agent_touch,
	.wp_roda__addblock {
		background: {$colors['home_agenbg']};
		color: {$colors['home_agencol']};
	}
	.dealer_social i,
	.roda_agent_touch a {
		color: {$colors['home_agencol']};
	}
	.left__clip,
	.right__clip,
	.left__clip .nama__agen .nickname {
		color: {$colors['home_agenbg']};
	}
	.showroom-agen-model .splide__pagination__page,
	.left__clip:after {
		background: {$colors['home_agencol']};
	}
	.showroom-agen-model .splide__pagination__page.is-active,
	.right__clip:after,
	.wp_roda__agent .head__agen:before {
		background: {$colors['home_agenacc']};
	}
	.nama__agen .nickname,
	.showroom__agentcall .nama__agen .nickname,
	.roda_agent_touch i {
		color: {$colors['home_agenacc']};
	}
	#agentshowroom {
		border-top: 8px solid {$colors['home_agenacc']};
	}
	.showroom__workday .closehour, 
	.showroom__workday .openhour {
		background: {$colors['home_agenacc']};
		color: {$colors['home_agenbg']};
	}
	.dealer__bottom {
		background: linear-gradient( {$colors['home_listtop']}, {$colors['home_listbot']});
	}
	.dealer__gallery {
		background: {$colors['home_gstbg']};
	}
	.dealer__gallery:before {
		background: {$colors['home_gstbgacc']};
	}
	.tes__headbox,
	.show__galbg,
	.testi__bg,
	.dealer_comment,
	.show__loopover,
	.gst__inner {
		background: {$colors['home_gstbox']};
		color: {$colors['home_gstcol']};
	}
	.gal__navi a,
	.comment__show:hover .comment__title,
	.comment__show:hover .comment__foex,
	.comment__show:hover .comment__ex,
	.comment__show:hover .comment__foex i,
	.comment__show:hover .comment__rate {
		color: {$colors['home_gstbox']};
	}
	
	.show__galnavi a:after {
		border-top: 12px solid {$colors['home_gstbox']};
	}
	.gal__navi,
	.comment__show:hover {
		background: {$colors['home_gstacc']};
	}
	.show__galnavi span, 
	.gst__rating {
		background: {$colors['home_gstacc']};
		color: {$colors['home_gstbox']};
	}
	.show__galnavi i {
		background: {$colors['home_gstcol']};
		color: {$colors['home_gstbox']};
	}
	.gal__rating,
	.teshome__rating,
	.show__loopover i,
	.comment__rate,
	.comment__foex i {
		color: {$colors['home_gstacc']};
	}
	
	.show__galbg:before {
		border-top: 15px solid {$colors['home_gstacc']};
	}
	.galeritess .splide__arrow--next {
		border: 2px solid {$colors['home_gstacc']};
	}
	.galeritess .splide__arrow--next svg {
		fill: {$colors['home_gstacc']};
	}
	.galeritess .splide__arrow--prev {
		border: 2px solid {$colors['home_gstcol']};
	}
	.galeritess .splide__arrow--prev svg {
		fill: {$colors['home_gstcol']};
	}
	
	@media screen and (max-width: 982px) {
		.single__small,
		.roo__rightloop {
	    	background: {$colors['dealer_bodybg']};
    	}
		.dealer__menu {
	    	background: {$colors['dealer_headbg']};
    	}
	}
	
	@media screen and (max-width: 768px) {
		.footer_text .dealer__bephone, 
		.footer_text .dealer__bewhatsapp {
			background: {$colors['dealer_bodybg']};
	    	color: {$colors['dealer_bodycolor']};
		}
		.footer_text .dealer__bephone i, 
		.footer_text .dealer__bewhatsapp i {
			background: {$colors['dealer_bodylink']};
	    	color: {$colors['dealer_bodybg']};
		}
	}
	
	
	
	
	
	
	
CSS;

	return $css;
}