<?php
function dealer_wp_customize_register( $wp_customize ) {
	$color_scheme = dealer_get_color_scheme();
    
	// Add color scheme setting and control.
	$wp_customize->add_setting(
		'color_scheme',
		array(
			'default'           => 'default',
			'sanitize_callback' => 'dealer_sanitize_color_scheme',
			'transport'         => 'postMessage',
		)
	);
	
	$wp_customize->add_section('color_dealer',array(
        'title'       => 'Pilihan Warna Tema',
        'priority'    => 10,
        'panel'       => 'dealer_coloring',
    ));
	
	
	$wp_customize->add_setting('colpil_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colpil_hidden',array(
        'description' => '<div class="custom_area customize-control-title">Pilihan Grup Warna</div>',
        'type'        => 'hidden',
        'section'     => 'color_dealer',
        'settings'    => 'colpil_hidden',
    ));
	$wp_customize->add_control(
		'color_scheme',
		array(
			'label'    => 'Pilihan Warna',
			'section'  => 'color_dealer',
			'type'     => 'select',
			'choices'  => dealer_get_color_scheme_choices(),
			'priority' => 10,
		)
	);
	
	$wp_customize->remove_control( 'header_textcolor' );

	$wp_customize->add_section('color_global',array(
        'title'       => 'Warna Global',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colglo_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colglo_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Global</div>',
        'type'        => 'hidden',
        'section'     => 'color_global',
        'settings'    => 'colglo_hidden',
		'priority'    => 10,
    ));
	
	$wp_customize->add_setting(
		'dealer_bodybg',
		array(
			'default'           => $color_scheme[1],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_bodybg',
			array(
				'description'   => 'Body Latar Belakang',
				'section' => 'color_global',
			)
		)
	);

	$wp_customize->add_setting(
		'dealer_bodycolor',
		array(
			'default'           => $color_scheme[2],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_bodycolor',
			array(
				'description'   => 'Warna Teks',
				'section' => 'color_global',
			)
		)
	);

	$wp_customize->add_setting(
		'dealer_bodylink',
		array(
			'default'           => $color_scheme[3],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_bodylink',
			array(
				'description'  => 'Warna Tautan',
				'section'      => 'color_global',
			)
		)
	);
	
	$wp_customize->add_section('color_header',array(
        'title'       => 'Header + Menu',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colhed_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colhed_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Header + Menu</div>',
        'type'        => 'hidden',
        'section'     => 'color_header',
        'settings'    => 'colhed_hidden',
		'priority'    => 1,
    ));
	
	$wp_customize->add_setting(
		'dealer_headbg',
		array(
			'default'           => $color_scheme[4],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_headbg',
			array(
				'description'  => 'Warna Latar Belakang',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_headcol',
		array(
			'default'           => $color_scheme[5],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_headcol',
			array(
				'description'  => 'Warna Tautan',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_headlink',
		array(
			'default'           => $color_scheme[6],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_headlink',
			array(
				'description'  => 'Warna Aktif',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_headaccbg',
		array(
			'default'           => $color_scheme[7],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_headaccbg',
			array(
				'description'  => 'Aksen Latar Belakang',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_headacccol',
		array(
			'default'           => $color_scheme[8],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_headacccol',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting('colkon_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colkon_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Kontak</div>',
        'type'        => 'hidden',
        'section'     => 'color_header',
        'settings'    => 'colkon_hidden',
    ));
	
	$wp_customize->add_setting(
		'dealer_contbg',
		array(
			'default'           => $color_scheme[9],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_contbg',
			array(
				'description'  => 'Warna Latar Belakang',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_contcol',
		array(
			'default'           => $color_scheme[10],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_contcol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_header',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_contacc',
		array(
			'default'           => $color_scheme[11],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_contacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_header',
			)
		)
	);
	
	
	$wp_customize->add_section('color_running',array(
        'title'       => 'Teks Berjalan',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colrun_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colrun_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Teks Berjalan</div>',
        'type'        => 'hidden',
        'section'     => 'color_running',
        'settings'    => 'colrun_hidden',
		'priority'    => 1,
    ));
    
	$wp_customize->add_setting(
		'dealer_runbg',
		array(
			'default'           => $color_scheme[12],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_runbg',
			array(
				'description'  => 'Warna Latar Belakang',
				'section'      => 'color_running',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_runcol',
		array(
			'default'           => $color_scheme[13],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_runcol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_running',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_runacc',
		array(
			'default'           => $color_scheme[14],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_runacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_running',
			)
		)
	);
	
	$wp_customize->add_section('color_arsip',array(
        'title'       => 'Archive Model',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colarc_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colarc_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Arsip Pos Model</div>',
        'type'        => 'hidden',
        'section'     => 'color_arsip',
        'settings'    => 'colarc_hidden',
    ));
	
	$wp_customize->add_setting(
		'dealer_arcbg',
		array(
			'default'           => $color_scheme[15],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arcbg',
			array(
				'description'  => 'Latar Belakang Boks',
				'section'      => 'color_arsip',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_arccol',
		array(
			'default'           => $color_scheme[16],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arccol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_arsip',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_arcacc',
		array(
			'default'           => $color_scheme[17],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arcacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_arsip',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_arcpop',
		array(
			'default'           => $color_scheme[18],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arcpop',
			array(
				'description'  => 'Warna Popular',
				'section'      => 'color_arsip',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_arclim',
		array(
			'default'           => $color_scheme[19],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arclim',
			array(
				'description'  => 'Warna Limited',
				'section'      => 'color_arsip',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_arcind',
		array(
			'default'           => $color_scheme[20],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arcind',
			array(
				'description'  => 'Warna Indent',
				'section'      => 'color_arsip',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_arcpro',
		array(
			'default'           => $color_scheme[21],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arcpro',
			array(
				'description'  => 'Warna Promo',
				'section'      => 'color_arsip',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_arcbest',
		array(
			'default'           => $color_scheme[22],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_arcbest',
			array(
				'description'  => 'Warna Best Seller',
				'section'      => 'color_arsip',
			)
		)
	);
	
	$wp_customize->add_section('color_single',array(
        'title'       => 'Single Model',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colsing_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colsing_hidden',array(
        'description' => '<div class="custom_area  customize-control-title">Single Model</div>',
        'type'        => 'hidden',
        'section'     => 'color_single',
        'settings'    => 'colsing_hidden',
    ));
	
	$wp_customize->add_setting(
		'dealer_singbg',
		array(
			'default'           => $color_scheme[23],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_singbg',
			array(
				'description'  => 'Warna Latar Belakang',
				'section'      => 'color_single',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_singbg2',
		array(
			'default'           => $color_scheme[24],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_singbg2',
			array(
				'description'  => 'Latar Belakang Aksen',
				'section'      => 'color_single',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_singcol',
		array(
			'default'           => $color_scheme[25],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_singcol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_single',
			)
		)
	);
	
	$wp_customize->add_setting(
		'dealer_singacc1',
		array(
			'default'           => $color_scheme[26],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_singacc1',
			array(
				'description'  => 'Aksen 1',
				'section'      => 'color_single',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_singacc2',
		array(
			'default'           => $color_scheme[27],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_singacc2',
			array(
				'description'  => 'Aksen 2',
				'section'      => 'color_single',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_singacc3',
		array(
			'default'           => $color_scheme[28],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_singacc3',
			array(
				'description'  => 'Aksen 3',
				'section'      => 'color_single',
			)
		)
	);
	
	
	$wp_customize->add_section('color_footer',array(
        'title'       => 'Footer Area',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	$wp_customize->add_setting('colfot_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colfot_hidden',array(
        'description' => '<div class="custom_area  customize-control-title">Area Footer</div>',
        'type'        => 'hidden',
        'section'     => 'color_footer',
        'settings'    => 'colfot_hidden',
    ));
	
	$wp_customize->add_setting(
		'dealer_footbg',
		array(
			'default'           => $color_scheme[29],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_footbg',
			array(
				'description'  => 'Latar Belakang',
				'section'      => 'color_footer',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_footcol',
		array(
			'default'           => $color_scheme[30],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_footcol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_footer',
			)
		)
	);
	$wp_customize->add_setting(
		'dealer_footacc',
		array(
			'default'           => $color_scheme[31],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
    
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dealer_footacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_footer',
			)
		)
	);
	
	$wp_customize->add_section('color_event',array(
        'title'       => 'Beranda : Event',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colev_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colev_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Event Beranda</div>',
        'type'        => 'hidden',
        'section'     => 'color_event',
        'settings'    => 'colev_hidden',
		'priority'    => 1,
    ));
	
	$wp_customize->add_setting(
		'home_eventbg',
		array(
			'default'           => $color_scheme[32],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_eventbg',
			array(
				'description'  => 'Latar Belakang',
				'section'      => 'color_event',
			)
		)
	);
	$wp_customize->add_setting(
		'home_eventcol',
		array(
			'default'           => $color_scheme[33],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_eventcol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_event',
			)
		)
	);
	$wp_customize->add_setting(
		'home_eventacc',
		array(
			'default'           => $color_scheme[34],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_eventacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_event',
			)
		)
	);
	
	
	$wp_customize->add_section('color_slider',array(
        'title'       => 'Beranda : Slide Produk',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colslide_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colslide_hidden',array(
        'description' => '<div class="custom_area custom_slide customize-control-title">Slide Produk Beranda</div>',
        'type'        => 'hidden',
        'section'     => 'color_slider',
        'settings'    => 'colslide_hidden',
		'priority'    => 1,
    ));
	
	$wp_customize->add_setting(
		'home_slidebg',
		array(
			'default'           => $color_scheme[35],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_slidebg',
			array(
				'description'  => 'Latar Belakang Utama',
				'section'      => 'color_slider',
			)
		)
	);
	$wp_customize->add_setting(
		'home_slidebgacc',
		array(
			'default'           => $color_scheme[36],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_slidebgacc',
			array(
				'description'  => 'Latar Belakang Aksen',
				'section'      => 'color_slider',
			)
		)
	);
	
	
	$wp_customize->add_section('color_agent',array(
        'title'       => 'Beranda : Kontak Agen',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colagen_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colagen_hidden',array(
        'description' => '<div class="custom_area customize-control-title">Kontak Agen Beranda</div>',
        'type'        => 'hidden',
        'section'     => 'color_agent',
        'settings'    => 'colagen_hidden',
		'priority'    => 1,
    ));
	
	$wp_customize->add_setting(
		'home_agenbg',
		array(
			'default'           => $color_scheme[37],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_agenbg',
			array(
				'description'  => 'Latar Belakang',
				'section'      => 'color_agent',
			)
		)
	);
	$wp_customize->add_setting(
		'home_agencol',
		array(
			'default'           => $color_scheme[38],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_agencol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_agent',
			)
		)
	);
	$wp_customize->add_setting(
		'home_agenacc',
		array(
			'default'           => $color_scheme[39],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_agenacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_agent',
			)
		)
	);
	
	
	$wp_customize->add_section('color_list',array(
        'title'       => 'Beranda : Listing',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colist_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colist_hidden',array(
        'description' => '<div class="custom_area customize-control-title">Listing Beranda</div>',
        'type'        => 'hidden',
        'section'     => 'color_list',
        'settings'    => 'colist_hidden',
		'priority'    => 1,
    ));
	
	$wp_customize->add_setting(
		'home_listtop',
		array(
			'default'           => $color_scheme[40],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_listtop',
			array(
				'description'  => 'Latar Belakang Atas',
				'section'      => 'color_agent',
			)
		)
	);
	$wp_customize->add_setting(
		'home_listbot',
		array(
			'default'           => $color_scheme[41],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_listbot',
			array(
				'description'  => 'Latar Belakang Bawah',
				'section'      => 'color_agent',
			)
		)
	);
	
	
	$wp_customize->add_section('color_gst',array(
        'title'       => 'Beranda : Galeri Pelanggan',
        'priority'    => 15,
        'panel'       => 'dealer_coloring',
    ));
	
	$wp_customize->add_setting('colgal_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('colgal_hidden',array(
        'description' => '<div class="custom_area customize-control-title">Galeri Pelanggan Beranda</div>',
        'type'        => 'hidden',
        'section'     => 'color_gst',
        'settings'    => 'colgal_hidden',
		'priority'    => 1,
    ));
	
	$wp_customize->add_setting(
		'home_gstbg',
		array(
			'default'           => $color_scheme[42],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_gstbg',
			array(
				'description'  => 'Latar Belakang',
				'section'      => 'color_gst',
			)
		)
	);
	$wp_customize->add_setting(
		'home_gstbgacc',
		array(
			'default'           => $color_scheme[43],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_gstbgacc',
			array(
				'description'  => 'Latar Belakang Aksen',
				'section'      => 'color_gst',
			)
		)
	);
	$wp_customize->add_setting(
		'home_gstbox',
		array(
			'default'           => $color_scheme[44],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_gstbox',
			array(
				'description'  => 'Latar Belakang Boks',
				'section'      => 'color_gst',
			)
		)
	);
	$wp_customize->add_setting(
		'home_gstcol',
		array(
			'default'           => $color_scheme[45],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_gstcol',
			array(
				'description'  => 'Warna Teks',
				'section'      => 'color_gst',
			)
		)
	);
	
	$wp_customize->add_setting(
		'home_gstacc',
		array(
			'default'           => $color_scheme[46],
			'sanitize_callback' => 'sanitize_hex_color',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'home_gstacc',
			array(
				'description'  => 'Warna Aksen',
				'section'      => 'color_gst',
			)
		)
	);
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	


}
add_action( 'customize_register', 'dealer_wp_customize_register', 11 );


if ( ! function_exists( 'dealer_get_color_scheme' ) ) :
	
	function dealer_get_color_scheme() {
		$color_scheme_option = get_theme_mod( 'color_scheme', 'default' );
		$color_schemes       = dealer_get_color_schemes();

		if ( array_key_exists( $color_scheme_option, $color_schemes ) ) {
			return $color_schemes[ $color_scheme_option ]['colors'];
		}

		return $color_schemes['default']['colors'];
	}
endif; 

if ( ! function_exists( 'dealer_get_color_scheme_choices' ) ) :
	
	function dealer_get_color_scheme_choices() {
		$color_schemes                = dealer_get_color_schemes();
		$color_scheme_control_options = array();

		foreach ( $color_schemes as $color_scheme => $value ) {
			$color_scheme_control_options[ $color_scheme ] = $value['label'];
		}

		return $color_scheme_control_options;
	}
endif; 

if ( ! function_exists( 'dealer_sanitize_color_scheme' ) ) :
	
	function dealer_sanitize_color_scheme( $value ) {
		$color_schemes = dealer_get_color_scheme_choices();

		if ( ! array_key_exists( $value, $color_schemes ) ) {
			$value = 'default';
		}

		return $value;
	}
endif; 




