<?php

$wp_customize->add_section('footer_section',array(
    'title'       => 'Footer Area',
    'priority'    => 150,
    'panel'       => 'dealer_layoutsetting',
));

$wp_customize->add_setting('footer_hidden',array(
    'default'     => '',
	'transport'   => 'postMessage',
	'sanitize_callback' => 'wp_kses_post'
));
$wp_customize->add_control('footer_hidden',array(
    'description' => '<div class="custom_area custom_notfound customize-control-title">Footer</div>',
    'type'        => 'hidden',
    'section'     => 'footer_section',
    'settings'    => 'notfound_hidden',
));
// Footer Parallax
$wp_customize->add_setting('foo_parallax',array(
    'default'     => get_theme_file_uri('images/parallax.jpg'),
	'sanitize_callback' => 'esc_url_raw'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'foo_parallax', array(
    'label'         => 'Parallax Background',
    'section'       => 'footer_section',
    'settings'      => 'foo_parallax',
    'button_labels' => array(// All These labels are optional
        'select' =>  'Pilih Gambar',
		'remove' =>  'Hapus Gambar',
		'change' =>  'Ganti Gambar',
)
)));
$wp_customize->add_setting('foo_opacity',array(
    'default'     => 90,
	'sanitize_callback' => 'absint'
));
$wp_customize->add_control('foo_opacity',array(
    'label'        => 'Footer Transparan',
    'type'         => 'number',
    'section'      => 'footer_section',
    'settings'     => 'foo_opacity',
	'input_attrs' => array(
        'min'     => 1,
		'max'     => 99,
    )
));
$wp_customize->add_setting('logo_footer',array(
    'default'     => '',
	'transport'   => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
));

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo_footer', array(
    'label'        => 'Footer Logo',
    'section'      => 'footer_section',
    'settings'     => 'logo_footer',
    'button_labels' => array(// All These labels are optional
        'select' =>  'Pilih Logo',
		'remove' =>  'Hapus Logo',
		'change' =>  'Ganti Logo',
    )
)));
$wp_customize->add_setting('copy_foot',array(
    'default'     => '',
	'transport'   => 'postMessage',
	'sanitize_callback' => 'wp_kses_post'
));
$wp_customize->add_control('copy_foot',array(
    'label'  => 'Footer Copyright',
    'type'         => 'textarea',
    'section'      => 'footer_section',
    'settings'     => 'copy_foot',
));