<?php

// Pricelist Section
$wp_customize->add_section('dealer_popup',array(
    'title'       => 'Popup Banner + Link',
    'priority'    => 170,
    'panel'       => 'dealer_profile',
));

$wp_customize->add_setting('popup_hidden',array(
    'default'     => '',
    'transport'   => 'postMessage',
'sanitize_callback' => 'wp_kses_post'
));
$wp_customize->add_control('popup_hidden',array(
    'description' => '<div class="custom_area customize-control-title">Pengaturan Popup</div>',
    'type'        => 'hidden',
    'section'     => 'dealer_popup',
    'settings'    => 'popup_hidden',
));
// Banner
$wp_customize->add_setting( 'popup_banner', array(
    'default' => '', // Add Default Image URL 
	'transport'   => 'postMessage',
    'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'popup_banner', array(
    'label'       => 'Banner Popup',
	'description' => 'Tambahkan sebuah gambar banner untuk dimunculkan sebagai Popup',
    'section'     => 'dealer_popup',
    'settings'    => 'popup_banner',
    'button_labels' => array(// All These labels are optional
        'select' => 'Choose Image',
        'remove' => 'Remove Image',
        'change' => 'Change Image',
    )
)));

$wp_customize->add_setting('link_popup',array(
    'default'     => '',
	'transport'   => 'postMessage',
	'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control('link_popup',array(
    'label'       => 'Youtube Link',
    'type'        => 'url',
    'section'     => 'dealer_popup',
    'settings'    => 'link_popup',
	'input_attrs' => array(
        'placeholder' =>  'https://...',
    )
));

$wp_customize->add_setting('banner_option',array(
    'default'     => 'always',
	'transport'   => 'postMessage',
	'sanitize_callback' => 'wp_kses_post'
));
$wp_customize->add_control('banner_option',array(
    'label'        => 'Opsi Popup',
    'type'         => 'select',
	'choices'     => array(
		'once'      =>  'Tampilkan Sekali',
		'always'    =>  'Tampilkan Selalu',
	),
    'section'      => 'dealer_popup',
    'settings'     => 'banner_option',
));

$wp_customize->add_setting('popup_delay',array(
    'default'     => 5,
	'sanitize_callback' => 'absint'
));
$wp_customize->add_control('popup_delay',array(
    'description'  => 'Popup Delay',
    'type'         => 'number',
    'section'      => 'dealer_popup',
    'settings'     => 'popup_delay',
	'input_attrs' => array(
        'min'     => 1,
		'max'     => 10,
    )
));