<?php

    $wp_customize->add_section('dealer_agen',array(
        'title'       => 'Profil Agen Dealer',
        'priority'    => 10,
        'panel'       => 'dealer_profile',
    ));
	
	$wp_customize->add_setting('data_agen_hidden',array(
        'default'     => '',
     	'transport'   => 'postMessage',
	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('data_agen_hidden',array(
        'description' => '<div class="custom_area customize-control-title">Pengaturan Profile Agen</div>',
        'type'        => 'hidden',
        'section'     => 'dealer_agen',
        'settings'    => 'data_agen_hidden',
    ));
	
	$wp_customize->add_setting('nama_agen',array(
        'default'           => 'Yayun Ciuss',
    	'transport'         => 'postMessage',
    	'sanitize_callback' => 'wp_kses_post'
    ));
    $wp_customize->add_control('nama_agen',array(
        'label'             => 'Nama Agen',
        'type'              => 'text',
        'section'           => 'dealer_agen',
        'settings'          => 'nama_agen',
    ));
	
	$wp_customize->add_setting('dealer_tipe',array(
	    'default'     => 'mobil',
		'transport'   => 'postMessage',
		'sanitize_callback' => 'wp_kses_post'
	));
	$wp_customize->add_control('dealer_tipe',array(
	    'label'        => 'Kategori Dealer',
	    'type'         => 'select',
		'choices'     => array(
			'mobil'      =>  'Dealer Mobil',
			'motor'      =>  'Dealer Motor',
			//'berat'      =>  'Dealer Alat Berat',
		),
	    'section'      => 'dealer_agen',
	    'settings'     => 'dealer_tipe',
	));
	
	$wp_customize->add_setting( 'foto_agen', array(
        'default'           => get_theme_file_uri('images/agent.jpg'),
    	'transport'         => 'postMessage',
        'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'diwp_logo_control', array(
        'label'             => 'Foto Agen',
        'section'           => 'dealer_agen',
        'settings'          => 'foto_agen',
        'button_labels'     => array(
        	'select'           => 'Pilih Photo',
    		'remove'           => 'Hapus Photo',
    		'change'           => 'Ganti Photo',
        )
    )));
	
	$wp_customize->add_setting( 'textagen', array(
    	'default'           => 'Saya siap membantu untuk menemukan pilihan kendaraan yang tepat sesuai budget dan kebutuhan',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'wp_kses_post'
	));
	$wp_customize->add_control('textagen',array(
	    'label'             => 'Teks Tambahan',
	    'type'              => 'textarea',
	    'section'           => 'dealer_agen',
	    'settings'          => 'textagen',
	));
	
	$wp_customize->add_setting('telpon',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'wp_kses_post'
	));
	$wp_customize->add_control('telpon',array(
	    'label'             => 'Nomer Telepon',
	    'type'              => 'text',
	    'section'           => 'dealer_agen',
 	    'settings'          => 'telpon',
		'input_attrs'       => array(
	        'placeholder'      =>  '0856...',
	    )
	));
	
	$wp_customize->add_setting('dealer_whatsapp',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'wp_kses_post'
	));
	$wp_customize->add_control('dealer_whatsapp',array(
	    'label'             => 'Nomer WhatsApp',
	    'type'              => 'text',
	    'section'           => 'dealer_agen',
	    'settings'          => 'dealer_whatsapp',
		'input_attrs'       => array(
	        'placeholder'      =>  '+62...',
	    )
	));
	
	$wp_customize->add_setting('nama_email',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'sanitize_email'
	));
	$wp_customize->add_control('nama_email',array(
	    'label'             => 'Alamat Email',
	    'type'              => 'email',
	    'section'           => 'dealer_agen',
	    'settings'          => 'nama_email',
		'input_attrs'       => array(
	        'placeholder'      =>  'email@domain.com...',
	    )
	));
	
	$wp_customize->add_setting('facebook',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('facebook',array(
	    'label'             => 'Facebook Link',
	    'type'              => 'url',
	    'section'           => 'dealer_agen',
	    'settings'          => 'facebook',
		'input_attrs'       => array(
	        'placeholder'      =>  'https://...',
	    )
	));
	
	$wp_customize->add_setting('twitter',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('twitter',array(
	    'label'             => 'Twitter Link',
	    'type'              => 'url',
	    'section'           => 'dealer_agen',
	    'settings'          => 'twitter',
		'input_attrs'       => array(
	        'placeholder'      =>  'https://...',
	    )
	));
	
	$wp_customize->add_setting('instagram',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('instagram',array(
	    'label'            => 'Instagram Link',
	    'type'             => 'url',
	    'section'          => 'dealer_agen',
	    'settings'         => 'instagram',
		'input_attrs'      => array(
	        'placeholder'      =>  'https://...',
	    )
	));
	
	$wp_customize->add_setting('youtube',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('youtube',array(
	    'label'            => 'Youtube Link',
	    'type'             => 'url',
	    'section'          => 'dealer_agen',
	    'settings'         => 'youtube',
		'input_attrs'      => array(
	        'placeholder'      =>  'https://...',
	    )
	));
	
	$wp_customize->add_setting('tiktok',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('tiktok',array(
	    'label'            => 'Tiktok Link',
	    'type'             => 'url',
	    'section'          => 'dealer_agen',
 	    'settings'         => 'tiktok',
		'input_attrs'      => array(
	        'placeholder'      =>  'https://...',
	    )
	));
	
	$wp_customize->add_setting('alamat',array(
	    'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'wp_kses_post'
	));
	$wp_customize->add_control('alamat',array(
	    'label'             => 'Alamat',
	    'type'              => 'text',
	    'section'           => 'dealer_agen',
	    'settings'          => 'alamat',
	));
	
	function dealer_allow_maps_iframe( $tags, $context ) {
		if ( 'post' === $context ) {
			$tags['iframe'] = array(
				'src'             => true,
				'height'          => true,
				'width'           => true,
				'frameborder'     => true,
				'allowfullscreen' => true,
			);
		}
		return $tags;
	}
	add_filter( 'wp_kses_allowed_html', 'dealer_allow_maps_iframe', 10, 2 );
	
	$wp_customize->add_setting( 'embedmaps', array(
		'default'           => '',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'wp_kses_post'
	));
	$wp_customize->add_control('embedmaps',array(
	    'label'             =>  'Embed Maps',
		'description'       =>  'Dapatkan kode embed melalui <a target="_blank" href="https://ciuss.com/embed-maps/">Video</a> ini',
	    'type'              => 'textarea',
	    'section'           => 'dealer_agen',
	    'settings'          => 'embedmaps',
	));