<?php
/**
 * Custom WP iDealer template tags
 * Fungsi pendukung tema WP iDealer
 */

// Custom Logo
if ( ! function_exists( 'dealer_custom_logo' ) ) :
    function dealer_custom_logo() {
    	if ( function_exists( 'the_custom_logo' ) ) {
			the_custom_logo();
	    }
    }
endif;
// Header Meta
if ( ! function_exists( 'dealer_head_meta_property' ) ) :
    function dealer_head_meta_property() {
        get_template_part('header/meta-tag');
	}
endif;
// Meta Deskripsi
if ( ! function_exists( 'dealer_head_meta_desc' ) ) :
    function dealer_head_meta_desc() {
		if (is_front_page()) {
			bloginfo('description');
		} else if (is_singular()) {
			if (function_exists('smart_excerpt')) smart_excerpt(get_the_excerpt(), 60);
		} else {
			echo '';
		}
	}
endif;

// Alamat
function dealer_customize_partial_alamat() {
	dealer_show_address();
}
if ( ! function_exists( 'dealer_show_address' ) ) :
    function dealer_show_address() {
    	if ( get_theme_mod('alamat') != "" ) {
			echo '<div class="show_alamat"><i class="icon-dealer-map"></i> <span>'. get_theme_mod( 'alamat' ) .'</span></div>';  
		} else {
			echo '<div class="show_alamat"><i class="icon-dealer-map"></i> <span>Country Road 234, Mount Shake, West Lampung</span></div>'; 
		}
	}
endif;
// Telpon
function dealer_customize_partial_telpon() {
	dealer_telpon();
}
if ( ! function_exists( 'dealer_telpon' ) ) :
	function dealer_telpon() {
		if ( get_theme_mod('telpon') != "" ) {
			$tel = get_theme_mod('telpon'); 
			$new_tel = preg_replace("/[^A-Za-z0-9?!]/",'',$tel);
	    	echo '<a aria-label="Telpon" target="_blank" href="tel:'. $new_tel .'"><i class="icon-dealer-phone"></i> <span class="fcall">'. get_theme_mod( 'telpon' ) .'</span></a>';
		} else {
			echo '<a aria-label="Telpon" target="_blank" href="tel:000000000"><i class="icon-dealer-phone"></i> <span class="fcall">'. __( '62 8000 xxx', 'dealer' ) .'</span></a>';
		}
	}
endif;
// WhatsApp
function dealer_customize_partial_whatsapp() {
	dealer_no_whatsapp();
}
if ( ! function_exists( 'dealer_no_whatsapp' ) ) :
	function dealer_no_whatsapp() {
        if ( get_theme_mod('dealer_whatsapp') != "" ) {
			$was = get_theme_mod('dealer_whatsapp'); 
			$new_was = preg_replace("/[^A-Za-z0-9?!]/",'',$was);
			if ( get_theme_mod('wa_umum') != "" ) {
		     	$wa_mess = get_theme_mod('wa_umum'); 
	    	} else {
	        	$wa_mess = 'Saya ingin bertanya tentang produk...'; 
	    	}
	    	echo '<a aria-label="WhatsApp" class="wame" target="_blank" href="https://wa.me/send?phone='. $new_was .'&text='. $wa_mess .'"><i class="icon-dealer-whatsapp"></i> <span class="fcall">'. get_theme_mod('dealer_whatsapp') .'</span></a>';
			echo '<a aria-label="WhatsApp" class="wapi" target="_blank" href="https://api.whatsapp.com/send?phone='. $new_was .'&text='. $wa_mess .'"><i class="icon-dealer-whatsapp"></i> <span class="fcall">'. get_theme_mod('dealer_whatsapp') .'</span></a>';
		} else {
			echo '<a aria-label="WhatsApp" class="wame" target="_blank" href="https://wa.me/send?phone="><i class="icon-dealer-whatsapp"></i> <span class="fcall">'. __( '62 8000 xxx', 'dealer' ) .'</span></a>';
			echo '<a aria-label="WhatsApp" class="wapi" target="_blank" href="https://api.whatsapp.com/send?phone="><i class="icon-dealer-whatsapp"></i> <span class="fcall">'. __( '62 8000 xxx', 'dealer' ) .'</span></a>';
		}
	}
endif;
// Timework
if ( ! function_exists( 'dealer_show_timework' ) ) :
    function dealer_show_timework() {
		if ( get_theme_mod('layout_mode') != "" ) {
	    	get_template_part( get_theme_mod('layout_mode') .'/header/timework');
    	} else {
	    	get_template_part( 'dealer/header/timework');
    	}
	}
endif;
// GMT Offset
if ( ! function_exists( 'dealer_offset' ) ) :
    function dealer_offset() {
		$gmtset = get_option( 'gmt_offset' );
		if ( $gmtset == '7' ) {
	    	echo ' WIB';
	    } else if ( $gmtset == '8' ) {
	    	echo ' WITA';
	    } else if ( $gmtset == '9' ) {
	    	echo ' WIT';
	    } else {
	    	echo ' WIB';
	    }
	}
endif;
// Time Work Minggu
function dealer_customize_partial_mingguon() {
	minggu_work();
}
function dealer_customize_partial_mingguoff() {
	minggu_work();
}
if ( ! function_exists( 'minggu_work' ) ) :
    function minggu_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('mingguon') != "" ) {
		    $mingbuka = strtotime( get_theme_mod('mingguon') );
		} else {
			$mingbuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('mingguoff') != "" ) {
		    $mingtutup = strtotime( get_theme_mod('mingguoff') );
		} else {
			$mingtutup = strtotime( '16:00' );
		}
		$mingtime = strtotime(date_i18n('H:i'));
		if (( $mingbuka < $mingtime ) && ( $mingtime < $mingtutup )) {
			$mingwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$mingwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('mingguon') != "" ) {
			echo esc_html( get_theme_mod( 'mingguon' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('mingguoff') != "" ) {
			echo esc_html( get_theme_mod( 'mingguoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $mingwork;
	}
endif;	
// Time Work Senin
function dealer_customize_partial_seninon() {
	senin_work();
}
function dealer_customize_partial_seninoff() {
	senin_work();
}
if ( ! function_exists( 'senin_work' ) ) :
    function senin_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('seninon') != "" ) {
		    $senbuka = strtotime( get_theme_mod('seninon') );
		} else {
			$senbuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('seninoff') != "" ) {
		    $sentutup = strtotime( get_theme_mod('seninoff') );
		} else {
			$sentutup = strtotime( '16:00' );
		}
		$sentime = strtotime(date_i18n('H:i'));
		if (( $senbuka < $sentime ) && ( $sentime < $sentutup )) {
			$senwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$senwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('seninon') != "" ) {
			echo esc_html( get_theme_mod( 'seninon' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('seninoff') != "" ) {
			echo esc_html( get_theme_mod( 'seninoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $senwork;
	}
endif;	
// Time Work Selasa
function dealer_customize_partial_selasaon() {
	selasa_work();
}
function dealer_customize_partial_selasaoff() {
	selasa_work();
}
if ( ! function_exists( 'selasa_work' ) ) :
    function selasa_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('selasaon') != "" ) {
		    $selbuka = strtotime( get_theme_mod('selasaon') );
		} else {
			$selbuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('selasaoff') != "" ) {
		    $seltutup = strtotime( get_theme_mod('selasaoff') );
		} else {
			$seltutup = strtotime( '16:00' );
		}
		$seltime = strtotime(date_i18n('H:i'));
		if (( $selbuka < $seltime ) && ( $seltime < $seltutup )) {
			$selwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$selwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('selasaon') != "" ) {
			echo esc_html( get_theme_mod( 'selasaon' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('selasaoff') != "" ) {
			echo esc_html( get_theme_mod( 'selasaoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $selwork;
	}
endif;	
// Time Work Rabu
function dealer_customize_partial_rabuon() {
	rabu_work();
}
function dealer_customize_partial_rabuoff() {
	rabu_work();
}
if ( ! function_exists( 'rabu_work' ) ) :
    function rabu_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('rabuon') != "" ) {
		    $rabbuka = strtotime( get_theme_mod('rabuon') );
		} else {
			$rabbuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('rabuoff') != "" ) {
		    $rabtutup = strtotime( get_theme_mod('rabuoff') );
		} else {
			$rabtutup = strtotime( '16:00' );
		}
		$rabtime = strtotime(date_i18n('H:i'));
		if (( $rabbuka < $rabtime ) && ( $rabtime < $rabtutup )) {
			$rabwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$rabwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('rabuon') != "" ) {
			echo esc_html( get_theme_mod( 'rabuon' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('rabuoff') != "" ) {
			echo esc_html( get_theme_mod( 'rabuoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $rabwork;
	}
endif;	
// Time Work Kamis
function dealer_customize_partial_kamison() {
	kamis_work();
}
function dealer_customize_partial_kamisoff() {
	kamis_work();
}
if ( ! function_exists( 'kamis_work' ) ) :
    function kamis_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('kamison') != "" ) {
		    $kambuka = strtotime( get_theme_mod('kamison') );
		} else {
			$kambuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('kamisoff') != "" ) {
		    $kamtutup = strtotime( get_theme_mod('kamisoff') );
		} else {
			$kamtutup = strtotime( '16:00' );
		}
		$kamtime = strtotime(date_i18n('H:i'));
		if (( $kambuka < $kamtime ) && ( $kamtime < $kamtutup )) {
			$kamwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$kamwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('kamison') != "" ) {
			echo esc_html( get_theme_mod( 'kamison' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('kamisoff') != "" ) {
			echo esc_html( get_theme_mod( 'kamisoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $kamwork;
	}
endif;	
// Time Work Jumat
function dealer_customize_partial_jumaton() {
	jumat_work();
}
function dealer_customize_partial_jumatoff() {
	jumat_work();
}
if ( ! function_exists( 'jumat_work' ) ) :
    function jumat_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('jumaton') != "" ) {
		    $jumbuka = strtotime( get_theme_mod('jumaton') );
		} else {
			$jumbuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('jumatoff') != "" ) {
		    $jumtutup = strtotime( get_theme_mod('jumatoff') );
		} else {
			$jumtutup = strtotime( '16:00' );
		}
		$jumtime = strtotime(date_i18n('H:i'));
		if (( $jumbuka < $jumtime ) && ( $jumtime < $jumtutup )) {
			$jumwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$jumwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('jumaton') != "" ) {
			echo esc_html( get_theme_mod( 'jumaton' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('jumatoff') != "" ) {
			echo esc_html( get_theme_mod( 'jumatoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $jumwork;
	}
endif;
// Time Work Sabtu
function dealer_customize_partial_sabtuon() {
	sabtu_work();
}
function dealer_customize_partial_sabtuoff() {
	sabtu_work();
}
if ( ! function_exists( 'sabtu_work' ) ) :
    function sabtu_work() {
		echo '<span class="onandoff">';
		if ( get_theme_mod('sabtuon') != "" ) {
		    $sabbuka = strtotime( get_theme_mod('sabtuon') );
		} else {
			$sabbuka = strtotime( '08:00' );
		}
		if ( get_theme_mod('sabtuoff') != "" ) {
		    $sabtutup = strtotime( get_theme_mod('sabtuoff') );
		} else {
			$sabtutup = strtotime( '16:00' );
		}
		$sabtime = strtotime(date_i18n('H:i'));
		if (( $sabbuka < $sabtime ) && ( $sabtime < $sabtutup )) {
			$sabwork = '<span class="openhour">'. __('BUKA', 'dealer') .'</span>';
		} else {
			$sabwork = '<span class="closehour">'. __('TUTUP', 'dealer') .'</span>';
		}
    	if ( get_theme_mod('sabtuon') != "" ) {
			echo esc_html( get_theme_mod( 'sabtuon' )). ' - ';  
		} else {
			echo '08:00 - '; 
		}
		if ( get_theme_mod('sabtuoff') != "" ) {
			echo esc_html( get_theme_mod( 'sabtuoff' ));  
		} else {
			echo '16:00'; 
		}
		dealer_offset();
		echo '</span>';
		echo  $sabwork;
	}
endif;	

// Social Media
function dealer_customize_partial_facebook() {
	social_dealer();
}
function dealer_customize_partial_instagram() {
	social_dealer();
}
function dealer_customize_partial_twitter() {
	social_dealer();
}
function dealer_customize_partial_youtube() {
	social_dealer();
}
function dealer_customize_partial_tiktok() {
	social_dealer();
}
if ( ! function_exists( 'social_dealer' ) ) :
	function social_dealer() {
		if ( get_theme_mod('facebook') != "" ) {
	        echo '<a aria-label="Facebook" class="d3__facebook" target="_blank" href="'. get_theme_mod( 'facebook' ) .'"><i class="icon-dealer-facebook"></i></a>';
	    }
		
		if ( get_theme_mod('instagram') != "" ) {
	        echo '<a aria-label="Instagram" class="d3__instagram" target="_blank" href="'. get_theme_mod( 'instagram' ) .'"><i class="icon-dealer-instagram"></i></a>';
	    }
		
		if ( get_theme_mod('twitter') != "" ) {
	        echo '<a aria-label="Twitter" class="d3__twitter" target="_blank" href="'. get_theme_mod( 'twitter' ) .'"><i class="icofont-x"></i></a>';
	    }
		if ( get_theme_mod('youtube') != "" ) {
	        echo '<a aria-label="Youtube" class="d3__youtube" target="_blank" href="'. get_theme_mod( 'youtube' ) .'"><i class="icon-dealer-youtube"></i></a>';
	    }
		if ( get_theme_mod('tiktok') != "" ) {
	        echo '<a aria-label="Tiktok" class="d3__tiktok" target="_blank" href="'. get_theme_mod( 'tiktok' ) .'"><i class="icofont-tiktok"></i></a>';
	    }
	}
endif;

// Small Foto
if ( ! function_exists( 'dealer_header_foto_agen' ) ) :
	function dealer_header_foto_agen() {
		if ( get_theme_mod('show_foto') != "off" ) {
	    	echo '<div class="dealer__fotoagen">';
			if ( get_theme_mod('nama_agen') != "" ) {
	            $namaagen = get_theme_mod( 'nama_agen'); 
			} else {
				$namaagen = 'Nama Agen';
			}
		
			if ( get_theme_mod('foto_agen') != "" ) {
				$orifoto = attachment_url_to_postid( get_theme_mod('foto_agen'));
				$minifoto = wp_get_attachment_image_url( $orifoto, 'mini' );
				echo '<img src="'. esc_url( $minifoto ) .'" alt="'. esc_attr( $namaagen ) .'" title="'. esc_attr( $namaagen ) .'" />';
       		} else {
        	    echo '<img src="'. get_template_directory_uri().'/images/mini-agent.jpg" alt="'. esc_attr( $namaagen ) .'" title="'. esc_attr( $namaagen ) .'" />';
			}
			echo '</div>';
		}
	}
endif;

// Running Text
function dealer_customize_partial_runtext() {
	dealer_running_text();
}
if ( ! function_exists( 'dealer_running_text' ) ) :
	function dealer_running_text() {
		if ( get_theme_mod('layout_mode') != "" ) {
			get_template_part(get_theme_mod('layout_mode') .'/header/running');
		} else {
			get_template_part('dealer/header/running');
    	}
	}
endif;

// Slider
if ( ! function_exists('dealer_slider_area') ) :
    function dealer_slider_area() {
		if ( get_theme_mod('layout_mode') != "" ) {
	    	get_template_part( 'homepage/'. get_theme_mod('layout_mode') .'/slider');
    	} else {
	    	get_template_part( 'homepage/dealer/slider');
    	}
    }
endif;
// Timing Slider
if ( ! function_exists( 'slide_time_out' ) ) :
    function slide_time_out() {
		$permile = 1000;
		$perslide = get_theme_mod('slide_timer');
		$time_out_slide = $permile * $perslide;
		if ( get_theme_mod('slide_timer') != "" ) {
	    	echo $time_out_slide; 
		} else {
			echo 3000;
		}
	}
endif;

// Slide Model Random
function dealer_customize_partial_showtopslide() {
	dealer_top_slide();
}
if ( ! function_exists( 'dealer_top_slide' ) ) :
	function dealer_top_slide() {
		if ( get_theme_mod('model_slide') != "" ) {
	    	get_template_part('homepage/'. get_theme_mod('model_slide').'/model');
		} else {
			get_template_part('homepage/dealer/model');
		}
	}
endif;	

// Agen Section
function dealer_customize_partial_showagent() {
	dealer_show_agent();
}
if ( ! function_exists( 'dealer_show_agent' ) ) :
	function dealer_show_agent() {
		if ( get_theme_mod('agent_dealer') != "" ) {
	    	get_template_part('homepage/'. get_theme_mod('agent_dealer').'/agent');
		} else {
			get_template_part('homepage/dealer/agent');
		}
	}
endif;

// Nama Agen
function dealer_customize_partial_namaagen() {
	dealer_nama_agen();
}
if ( ! function_exists( 'dealer_nama_agen' ) ) :
	function dealer_nama_agen() {
		if ( get_theme_mod('nama_agen') != "" ) {
	    	echo '<span class="nickname">' . get_theme_mod( 'nama_agen') . '</span>'; 
		} else {
			echo '<span class="nickname">Yayun Ciuss</span>';
		}
	}
endif;
// Foto Agen
function dealer_customize_partial_fotoagen() {
	dealer_foto_agen();
}
if ( ! function_exists( 'dealer_foto_agen' ) ) :
	function dealer_foto_agen() {
		if ( get_theme_mod('nama_agen') != "" ) {
	        $namaagen = get_theme_mod( 'nama_agen'); 
		} else {
			$namaagen = 'Nama Agen';
		}
		if ( get_theme_mod('foto_agen') != "" ) {
	    	echo '<img width="200" height="300" src="'. get_theme_mod('foto_agen') .'" alt="'. esc_attr( $namaagen ) .'" title="'. esc_html( $namaagen ) .'" />';
        } else {
            echo '<img width="200" height="300" src="'. get_template_directory_uri().'/images/agent.jpg" alt="'. esc_attr( $namaagen ) .'" title="'. esc_html( $namaagen ) .'" />';
		}
	}
endif;

//Teks Agen
function dealer_customize_partial_textagen() {
	dealer_text_agen();
}
if ( ! function_exists( 'dealer_text_agen' ) ) :
	function dealer_text_agen() {
		if ( get_theme_mod('textagen') != "" ) {
	    	echo esc_html( get_theme_mod( 'textagen')); 
		} else {
			echo 'Saya siap membantu Anda menemukan jenis kendaraan yang cocok sesuai dengan budget dan keinginan'; 
		}
	}
endif;

// Heading
function dealer_customize_partial_headagen() {
	dealer_text_headagen();
}
if ( ! function_exists( 'dealer_text_headagen' ) ) :
	function dealer_text_headagen() {
		if ( get_theme_mod('head_agen') != "" ) {
	    	echo esc_html( get_theme_mod( 'head_agen')); 
		} else {
		    echo 'Ingin Info Lebih Cepat? Hubungi Kami Disini';	
		}
	}
endif;

// Additional Left
function dealer_customize_partial_addleft() {
	dealer_text_addleft();
}
if ( ! function_exists( 'dealer_text_addleft' ) ) :
	function dealer_text_addleft() {
		if ( get_theme_mod('addleft') != "" ) {
	    	echo get_theme_mod( 'addleft'); 
		} else {
		    echo 'Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?';
		}
	}
endif;

// Additional Right
function dealer_customize_partial_addright() {
	dealer_text_addright();
}
if ( ! function_exists( 'dealer_text_addright' ) ) :
	function dealer_text_addright() {
		if ( get_theme_mod('addright') != "" ) {
	    	echo get_theme_mod( 'addright'); 
		} else {
		    echo 'Fedut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.';
		}
	}
endif;

// Roda Agent Contact 
if ( ! function_exists( 'roda_agent_contact' ) ) :
	function roda_agent_contact() {
		if ( get_theme_mod('telpon') != "" ) {
			$tel = get_theme_mod('telpon'); 
			$new_tel = preg_replace("/[^A-Za-z0-9?!]/",'',$tel);
			?>
			    <div class="roda_agent_touch">
			    	<a aria-label="Telpon" target="_blank" href="<?php echo esc_url( 'tel:'. $new_tel ); ?>">
				    	<i class="icon-dealer-phone"></i>
						<div class="roda_contact_right">
				         	<span class="rc_text"><?php echo __('Hubungi', 'dealer'); ?></span>
							<span class="rc_name"><?php echo esc_html( get_theme_mod( 'telpon' ) ); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
        if ( get_theme_mod('dealer_whatsapp') != "" ) {
			$was = get_theme_mod('dealer_whatsapp'); 
			$new_was = preg_replace("/[^A-Za-z0-9?!]/",'',$was);
			if ( get_theme_mod('wa_umum') != "" ) {
		     	$wa_mess = esc_html( get_theme_mod('wa_umum') ); 
	    	} else {
	        	$wa_mess = 'Saya ingin bertanya tentang produk...'; 
	    	}
			?>
		    	<div class="roda_agent_touch">
			    	<a aria-label="WhatsApp" class="wame" target="_blank" href="<?php echo esc_url( 'https://wa.me/send?phone='. $new_was .'&text='. $wa_mess ); ?>">
				    	<i class="icon-dealer-whatsapp"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('WhatsApp', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo esc_html( get_theme_mod('dealer_whatsapp') ); ?></span>
						</div>
					</a>
					<a aria-label="WhatsApp" class="wapi" target="_blank" href="<?php echo esc_url( 'https://api.whatsapp.com/send?phone='. $new_was .'&text='. $wa_mess ); ?>">
				    	<i class="icon-dealer-whatsapp"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('WhatsApp', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo esc_html( get_theme_mod('dealer_whatsapp') ); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
		if ( get_theme_mod('facebook') != "" ) {
			?>
		    	<div class="roda_agent_touch">
			    	<a aria-label="Facebook" target="_blank" href="<?php echo esc_url( get_theme_mod( 'facebook' ) ); ?>">
				    	<i class="icon-dealer-facebook"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('Terhubung', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo __('Facebook', 'dealer'); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
		if ( get_theme_mod('instagram') != "" ) {
			?>
		    	<div class="roda_agent_touch">
			    	<a aria-label="Instagram" target="_blank" href="<?php echo esc_url( get_theme_mod( 'instagram' ) ); ?>">
				    	<i class="icon-dealer-instagram"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('Terhubung', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo __('Instagram', 'dealer'); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
		if ( get_theme_mod('twitter') != "" ) {
			?>
		    	<div class="roda_agent_touch">
			    	<a aria-label="Twitter" target="_blank" href="<?php echo esc_url( get_theme_mod( 'twitter' ) ); ?>">
					<i class="icofont-x"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('Terhubung', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo __('Twitter', 'dealer'); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
		if ( get_theme_mod('youtube') != "" ) {
			?>
		    	<div class="roda_agent_touch">
			    	<a aria-label="Youtube" class="d3__youtube" target="_blank" href="<?php echo esc_url( get_theme_mod( 'youtube' ) ); ?>">
				    	<i class="icon-dealer-youtube"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('Channel', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo __('Youtube', 'dealer'); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
		if ( get_theme_mod('tiktok') != "" ) {
			?>
		    	<div class="roda_agent_touch">
			    	<a aria-label="Tiktok" target="_blank" href="<?php echo esc_url( get_theme_mod( 'tiktok' ) ); ?>">
					<i class="icofont-tiktok"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('Terhubung', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo __('Tiktok', 'dealer'); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
		
		if ( get_theme_mod('nama_email') != "" ) {
			?>
		    	<div class="roda_agent_touch">
			    	<a  aria-label="Email" target="_blank" href="<?php echo esc_url( 'mailto:'. get_theme_mod('nama_email') ); ?>">
				    	<i class="icon-dealer-mail"></i>
						<div class="roda_contact_right">
					    	<span class="rc_text"><?php echo __('Feedback', 'dealer'); ?></span>
					    	<span class="rc_name"><?php echo __('Kontak Email', 'dealer'); ?></span>
						</div>
					</a>
				</div>
			<?php
		}
	}
endif;

if ( ! function_exists( 'dealer_roda_agen_address' ) ) :
    function dealer_roda_agen_address() {
    	if ( get_theme_mod('alamat') != "" ) {
			echo '<div class="roda_alamat"><i class="icon-dealer-map"></i> <span>'. get_theme_mod( 'alamat' ) .'</span></div>';  
		} else {
			echo '<div class="roda_alamat"><i class="icon-dealer-map"></i> <span>Country Road 234, Mount Shake, West Lampung</span></div>'; 
		}
	}
endif;


// Showroom Agent Contact 
if ( ! function_exists( 'showroom_agent_contact' ) ) :
	function showroom_agent_contact() {
		if ( get_theme_mod('telpon') != "" ) {
			$tel = get_theme_mod('telpon'); 
			$new_tel = preg_replace("/[^A-Za-z0-9?!]/",'',$tel);
			?>
			    <a aria-label="Telpon" class="show__phone" target="_blank" href="<?php echo esc_url( 'tel:'. $new_tel ); ?>">
				    <i class="icon-dealer-phone"></i>
				</a>
			<?php
		}
        if ( get_theme_mod('dealer_whatsapp') != "" ) {
			$was = get_theme_mod('dealer_whatsapp'); 
			$new_was = preg_replace("/[^A-Za-z0-9?!]/",'',$was);
			if ( get_theme_mod('wa_umum') != "" ) {
		     	$wa_mess = get_theme_mod('wa_umum'); 
	    	} else {
	        	$wa_mess = 'Saya ingin bertanya tentang produk...'; 
	    	}
			?>
		    	<a aria-label="WhatsApp" class="wame show__whatsapp" target="_blank" href="<?php echo esc_url( 'https://wa.me/send?phone='. $new_was .'&text='. $wa_mess ); ?>">
				    <i class="icon-dealer-whatsapp"></i>
				</a>
				<a aria-label="WhatsApp" class="wapi show__whatsapp" target="_blank" href="<?php echo esc_url( 'https://api.whatsapp.com/send?phone='. $new_was .'&text='. $wa_mess ); ?>">
				    <i class="icon-dealer-whatsapp"></i>
				</a>
			<?php
		}
		if ( get_theme_mod('facebook') != "" ) {
			?>
		    	<a aria-label="Facebook" class="show__facebook" target="_blank" href="<?php echo esc_url( get_theme_mod( 'facebook' ) ); ?>">
				    <i class="icon-dealer-facebook"></i>
				</a>
			<?php
		}
		if ( get_theme_mod('instagram') != "" ) {
			?>
		    	<a aria-label="Instagram" class="show__instagram" target="_blank" href="<?php echo esc_url( get_theme_mod( 'instagram' ) ); ?>">
				    <i class="icon-dealer-instagram"></i>
				</a>
			<?php
		}
		if ( get_theme_mod('twitter') != "" ) {
			?>
		    	<a aria-label="Twitter" class="show__twitter" target="_blank" href="<?php echo esc_url( get_theme_mod( 'twitter' ) ); ?>">
					<i class="icofont-x"></i>
				</a>
			<?php
		}
		if ( get_theme_mod('youtube') != "" ) {
			?>
		    	<a aria-label="Youtube" class="show__youtube" target="_blank" href="<?php echo esc_url( get_theme_mod( 'youtube' ) ); ?>">
				    <i class="icon-dealer-youtube"></i>
				</a>
			<?php
		}
		if ( get_theme_mod('tiktok') != "" ) {
			?>
		    	<a aria-label="Tiktok" class="show__tiktok" target="_blank" href="<?php echo esc_url( get_theme_mod( 'tiktok' ) ); ?>">
					<i class="icofont-tiktok"></i>
				</a>
			<?php
		}
		
		if ( get_theme_mod('nama_email') != "" ) {
			?>
		    	<a  aria-label="Email" class="show__email" target="_blank" href="<?php echo esc_url( 'mailto:'. get_theme_mod('nama_email') ); ?>">
				    <i class="icon-dealer-mail"></i>
				</a>
			<?php
		}
	}
endif;

// Listing Model
function dealer_customize_partial_showlisting() {
	dealer_listing_modeling();
}
if ( ! function_exists( 'dealer_listing_modeling' ) ) :
	function dealer_listing_modeling() {
		if ( get_theme_mod('listing_model') != "" ) {
	    	get_template_part('homepage/'. get_theme_mod('listing_model') .'/listing');
		} else {
			get_template_part('homepage/dealer/listing');
		}
	}
endif;

// Event
function dealer_customize_partial_showevent() {
	dealer_show_event();
}
function dealer_customize_partial_showeventcache() {
	dealer_show_event();
}
if ( ! function_exists( 'dealer_show_event' ) ) :
	function dealer_show_event() {
		if ( get_theme_mod('show_agenda') != "off" ) {
			if ( get_theme_mod('layout_mode') != "" ) {
		    	if ( get_theme_mod('show_agendacache') != "off" ) {
	            	get_template_part('homepage/'. get_theme_mod('layout_mode') .'/event-cache');
		    	} else {
		    		get_template_part('homepage/'. get_theme_mod('layout_mode') .'/event');
		    	}
			} else {
				if ( get_theme_mod('show_agendacache') != "off" ) {
	            	get_template_part('homepage/dealer/event-cache');
		    	} else {
		    		get_template_part('homepage/dealer/event');
		    	}
			}
		}
	}
endif;

// Galeri Slider
function dealer_customize_partial_showgaleri() {
	dealer_galeri_slider();
}
if ( ! function_exists( 'dealer_galeri_slider' ) ) :
	function dealer_galeri_slider() {
		if ( get_theme_mod('layout_galeria') != "" ) {
	    	echo '<div class="testimoni__slider"><div class="dealer__clear">';
	    	get_template_part('homepage/'. get_theme_mod('layout_galeria') .'/galeri');
	    	echo '</div></div>';
		} else {
			echo '<div class="testimoni__slider"><div class="dealer__clear">';
	    	get_template_part('homepage/dealer/galeri');
	    	echo '</div></div>';
		}
	}
endif;


// Testimonial
function dealer_customize_partial_showcomment() {
	dealer_testimonial_slider();
}
if ( ! function_exists( 'dealer_testimonial_slider' ) ) :
	function dealer_testimonial_slider() {
		if ( get_theme_mod('layout_testimoni') != "" ) {
	    	get_template_part('homepage/'. get_theme_mod('layout_testimoni') .'/comment');
		} else {
	    	get_template_part('homepage/dealer/comment');
		}
	}
endif;









// 28. Tampilkan Foto Agen
if ( ! function_exists( 'dealer_show_foto_agen' ) ) :
	function dealer_show_foto_agen() {
		if ( get_theme_mod('show_foto') != "off" ) {
	    	echo '<div class="dealer__fotoagen">';
			if ( get_theme_mod('nama_agen') != "" ) {
	            $namaagen = get_theme_mod( 'nama_agen'); 
			} else {
				$namaagen = __( 'Nama Agen', 'dealer' );
			}
		
			if ( get_theme_mod('foto_agen') != "" ) {
	   		 	echo '<img width="200" height="300" src="'. get_theme_mod( 'foto_agen') .'" alt="'. esc_attr( $namaagen ) .'" title="'. esc_attr( $namaagen ) .'" />';
       		} else {
        	    echo '<img width="200" height="300" src="'. get_template_directory_uri().'/images/agent.jpg" alt="'. esc_attr( $namaagen ) .'" title="'. esc_attr( $namaagen ) .'" />';
			}
			echo '</div>';
		}
	}
endif;	

function dealer_customize_partial_dealer_gst() {
	dealer_heading_gst();
}
if ( ! function_exists( 'dealer_heading_gst' ) ) :
	function dealer_heading_gst() {
		if ( get_theme_mod('dealer_gst') != "" ) {
	    	echo esc_html( get_theme_mod( 'dealer_gst')); 
		} else {
		    echo 'Gallery Serah Terima';	
		}
	}
endif;
function dealer_customize_partial_dealer_textgst() {
	dealer_text_gst();
}
if ( ! function_exists( 'dealer_text_gst' ) ) :
	function dealer_text_gst() {
		if ( get_theme_mod('dealer_textgst') != "" ) {
	    	echo esc_html( get_theme_mod( 'dealer_textgst')); 
		} else {
		    echo 'Dokumentasi serah terima kendaraan antara pihak Dealer dan Pelanggan';	
		}
	}
endif;
function dealer_customize_partial_seeall() {
	dealer_text_seeall();
}
if ( ! function_exists( 'dealer_text_seeall' ) ) :
	function dealer_text_seeall() {
		if ( get_theme_mod('seeall') != "" ) {
	    	echo html_entity_decode(get_theme_mod( 'seeall')); 
		} else {
		    echo 'Lihat Semua';	
		}
	}
endif;
// 31. Judul Listing
function dealer_customize_partial_bloghead() {
	dealer__blog_header();
}
if ( ! function_exists( 'dealer__blog_header' ) ) :
	function dealer__blog_header() {
		if ( get_theme_mod('latest_text') != "" ) {
			echo esc_html( get_theme_mod( 'latest_text')); 
		} else {
			echo 'Artikel Terbaru';
		}
	}
endif;
function dealer_customize_partial_agendaarchive() {
	dealer_archive_agenda();
}
if ( ! function_exists( 'dealer_archive_agenda' ) ) :
	function dealer_archive_agenda() {
		if ( get_theme_mod('agenda_archive') != "" ) {
			echo esc_html( get_theme_mod( 'agenda_archive')); 
		} else {
			echo 'Agenda';
		}
	}
endif;
function dealer_customize_partial_sliderarchive() {
	dealer_archive_slider();
}
if ( ! function_exists( 'dealer_archive_slider' ) ) :
	function dealer_archive_slider() {
		if ( get_theme_mod('slide_archive') != "" ) {
			echo esc_html( get_theme_mod( 'slide_archive')); 
		} else {
			echo 'Slide Gambar';
		}
	}
endif;
function dealer_customize_partial_testarchive() {
	dealer_archive_testimoni();
}
if ( ! function_exists( 'dealer_archive_testimoni' ) ) :
	function dealer_archive_testimoni() {
		if ( get_theme_mod('test_archive') != "" ) {
			echo esc_html( get_theme_mod( 'test_archive')); 
		} else {
			echo 'Apa Kata Mereka';
		}
	}
endif;
function dealer_customize_partial_modelarchive() {
	dealer_archive_model();
}
if ( ! function_exists( 'dealer_archive_model' ) ) :
	function dealer_archive_model() {
		if ( get_theme_mod('model_archive') != "" ) {
			echo esc_html( get_theme_mod( 'model_archive')); 
		} else {
			echo 'Model Kendaraan';
		}
	}
endif;
// 32. Show Single
function dealer_customize_partial_singlelayout() {
	single_post_show_content();
}
if ( ! function_exists( 'single_post_show_content' ) ) :
	function single_post_show_content() {
		if ( get_theme_mod('layout_mode') != "" ) {
			if ( get_theme_mod('single_option') == "content" ) {
	        	get_template_part( get_theme_mod('layout_mode') .'/single/content');
			} else {
		    	get_template_part( get_theme_mod('layout_mode') .'/single/content-sidebar');
	    	}
		} else {
	    	if ( get_theme_mod('single_option') == "content" ) {
	        	get_template_part('dealer/single/content');
	    	} else {
		    	get_template_part('dealer/single/content-sidebar');
	    	}
		}
	}
endif;

if ( ! function_exists( 'image_page_404' ) ) :
	function image_page_404() {
		if ( get_theme_mod('image_found') != "" ) {
	    	echo '<img src="'. esc_url( get_theme_mod( 'image_found')) .'" />'; 
		}
	}
endif;

function dealer_customize_partial_head404() {
	dealer_head_404();
}
if ( ! function_exists( 'dealer_head_404' ) ) :
	function dealer_head_404() {
		if ( get_theme_mod('head_404') != "" ) {
	    	echo esc_html( get_theme_mod( 'head_404')); 
		} else {
		    echo 'Error 404 Tidak Ditemukan';	
		}
	}
endif;
function dealer_customize_partial_text404() {
	dealer_text_404();
}
if ( ! function_exists( 'dealer_text_404' ) ) :
	function dealer_text_404() {
		if ( get_theme_mod('text_404') != "" ) {
	    	echo esc_html( get_theme_mod( 'text_404')); 
		} else {
		    echo 'Halaman yang Anda tuju tidak tersedia';	
		}
	}
endif;

function dealer_need_plugin(){
    $user = wp_get_current_user();
	if ( in_array( 'administrator', (array) $user->roles ) ) {
		if ( ! is_plugin_active( 'dealerlibrary/dealerlibrary.php' ) ) {
			echo '<div class="notice notice-error"><p>';
			echo 'Tema Dealer membutuhkan plugin Dealer Library. Silahkan download dari  <a href="'. esc_url( 'https://ciuss.com/dashboard/') .'" target="__blank">Member Area</a><br/>Install dan masukan Lisensi untuk mengaktifkan fitur tema';
			echo '</p></div>';
		}
	}
}
add_action('admin_notices', 'dealer_need_plugin');

function dealer_customize_partial_footcopy() {
	text_footer();
}
if ( ! function_exists( 'text_footer' ) ) :
	function text_footer() {
		if ( get_theme_mod('copy_foot') != "" ) {
			echo get_theme_mod('copy_foot'); 
		} else {
			if ( get_theme_mod('layout_mode') != "" ) {
	        	get_template_part( get_theme_mod('layout_mode') .'/footer/copyright');
			} else {
				get_template_part('dealer/footer/copyright');
			}
		}
	}
endif;

if ( ! function_exists( 'the_roda_pricelist' ) ) :
	function the_roda_pricelist() {
		get_template_part('roda/footer/pricelist');
	}
endif;

function dealer_custom_bgparallax() {
	echo '<style type="text/css">'; 
	?>
	.dealer-parallax-layout .parallax {
		background-image: url(<?php if ( get_theme_mod('dealer_parallax') != "" ) {
	    	echo esc_html( get_theme_mod( 'dealer_parallax')); 
		} else {
			echo get_theme_file_uri('images/parallax.jpg');
		} ?>);
	}
	.footer .parallax,
	.roo__footer.parallax,
	.effect__parallax {
		background-image: url(<?php if ( get_theme_mod('foo_parallax') != "" ) {
	    	echo esc_html( get_theme_mod( 'foo_parallax')); 
		} else {
			echo get_theme_file_uri('images/parallax.jpg');
		} ?>);
		background-size: 100%;
	}
	.footer__layer {
		opacity: 0.<?php if ( get_theme_mod('foo_opacity') != "" ) {
	    	echo esc_html( get_theme_mod( 'foo_opacity')); 
		} else {
			echo 9;
		} ?>
	}
	.dealer__popup {
		animation-delay: <?php if ( get_theme_mod('popup_delay') != "" ) {
	    	echo esc_html( get_theme_mod( 'popup_delay')); 
		} else {
			echo 5;
		} ?>s;
	}
	.single__404 .thumb__background {
		background-image: url(<?php if ( get_theme_mod('image_found') != "" ) {
	    	echo esc_html( get_theme_mod( 'image_found')); 
		} ?>);
	}
	
    @media screen and (max-width: 982px) {
	    .dealer__menu {
		    background-image: url(<?php if ( get_theme_mod('mob_foto') != "" ) {
	        	echo esc_html( get_theme_mod( 'mob_foto')); 
	    	} ?>);
            background-position: top center;
            background-repeat: no-repeat;
	    }
		.roda__menu  {
		    background-image: url(<?php if ( get_theme_mod('foto_agen') != "" ) {
	        	echo esc_html( get_theme_mod( 'foto_agen')); 
	    	} ?>);
            background-position: top center;
            background-repeat: no-repeat;
	    }
   }
	<?php
	echo '</style>';
}
add_action( 'wp_head', 'dealer_custom_bgparallax' );

function dealer_customize_partial_embedmaps() {
	dealer_google_maps_embed();
}

if ( ! function_exists( 'dealer_google_maps_embed' ) ) :
    function dealer_google_maps_embed() {
    	if ( get_theme_mod('show_maps') != "off" ) {
			if ( get_theme_mod('embedmaps') != "" ) { 
				echo wp_kses(get_theme_mod( 'embedmaps') , array(
					'iframe' => array(
						'src' => true,
						'width' => true,
						'height' => true,
						'frameborder' => true,
						'allowfullscreen' => true,
						'title' => true
					)
				));
		    }
		}
	}
endif;	


if ( ! function_exists( 'post_related_by_category' ) ) :
	function post_related_by_category() {
		if ( get_theme_mod('layout_mode') != "" ) {
	    	get_template_part( get_theme_mod('layout_mode') .'/single/related-post');
		} else {
			get_template_part('dealer/single/related-post');
		}
	}
endif;

if ( ! function_exists( 'the_preview_whatsapp_chat' ) ) :
	function the_preview_whatsapp_chat() {
		if ( get_theme_mod('layout_mode') != "" ) {
	    	get_template_part( get_theme_mod('layout_mode') .'/single/preview-chat');
		} else {
			get_template_part('dealer/single/preview-chat');
		}
	}
endif;

if ( ! function_exists( 'whatsapp_model' ) ) :
	function whatsapp_model() {
		if ( get_theme_mod('wa_model') != "" ) {
			$final_mess = do_shortcode( get_theme_mod('wa_model') ); 
			$mess1 = str_replace(array('<strong>', '</strong>'),'*',  $final_mess ); 
			$mess2 = str_replace(array('<br>', '<br/>', '<br />'),'%0a', $mess1 ); 
			$final_wa = str_replace(array('<span>', '</span>'),'', $mess2 );
			echo $final_wa;
		} else {
	    	$final_mess = do_shortcode( 'Halo [agen][break]Saya ingin info terbaru produk [judul] [tipe][break]Harga : [harga] di [tautan]' ); 
			$mess1 = str_replace(array('<strong>', '</strong>'),'*',  $final_mess ); 
			$mess2 = str_replace(array('<br>', '<br/>', '<br />'),'%0a', $mess1 ); 
			$final_wa = str_replace(array('<span>', '</span>'),'', $mess2 );
			echo $final_wa;
		}
	}
endif;
function dealer_customize_partial_wamodel() {
	preview_chat_whatsapp();
}
if ( ! function_exists( 'preview_chat_whatsapp' ) ) :
	function preview_chat_whatsapp() {
		if ( get_theme_mod('wa_model') != "" ) {
			echo do_shortcode( get_theme_mod('wa_model') ); 
		} else {
	    	echo do_shortcode( 'Halo [agen][break]Saya ingin info terbaru produk [judul] [tipe][break]Harga : [harga] di [tautan]' ); 
		}
	}
endif;

function dealer_customize_partial_logofooter() {
	dealer_logo_footer();
}
if ( ! function_exists( 'dealer_logo_footer' ) ) :
    function dealer_logo_footer() {
    	if ( get_theme_mod('logo_footer') != "" ) {
			echo '<img  width="200" height="50" src="' . esc_url( get_theme_mod( 'logo_footer') ) . '" />';  
		}
	}
endif;

function dealer_customize_partial_pricelist() {
	dealer_pricelist_download();
}
if ( ! function_exists( 'dealer_pricelist_download' ) ) :
    function dealer_pricelist_download() {
    	if ( get_theme_mod('pricelist_download') != "" ) {
			echo '<a href="' . esc_url( get_theme_mod( 'pricelist_download') ) . '">DOWNLOAD</a>';  
		}
	}
endif;

// Popup
function dealer_customize_popup() {
	get_banner_popup();
}
function dealer_customize_popuplink() {
	get_banner_popup();
}
function dealer_customize_banner() {
	get_banner_popup();
}
if ( ! function_exists( 'get_banner_popup' ) ) :
    function get_banner_popup() {
        if ( get_theme_mod('popup_banner') != "" ) {
			?>
			<div class="dealer__popup <?php echo esc_attr( get_theme_mod('banner_option')); ?>">
		        <div class="inner__popup">
			        <div class="image__popup">
					    <?php if ( get_theme_mod('link_popup') != "" ) { ?>
						    <a href="<?php echo esc_url( get_theme_mod('link_popup')); ?>">
				            	<img width="300" height="200" src="<?php echo esc_url( get_theme_mod('popup_banner')); ?>" />
							</a>
						<?php } else { ?>
					    	<img width="300" height="200" src="<?php echo esc_url( get_theme_mod('popup_banner')); ?>" />
						<?php } ?>
						<?php if ( get_theme_mod('banner_option') !== "once" ) { ?>
						    <i class="icon-dealer-plus close__popup"></i>
						<?php } else { ?>
				        	<div class="switch_area">
				            	<label class="switch_label" for="checkbox">
					                <input type="checkbox" />
					                <div class="slider round"></div>
				            	</label>
			            	</div>
						<?php } ?>
			    	</div>
		    	</div>
	    	</div>
		    <?php
		} 
	}
endif;


if ( ! function_exists( 'roo_google_maps_embed' ) ) :
    function roo_google_maps_embed() {
    	echo '<div class="roda__clear">';
			echo '<div class="roo__maps">';
	        	if ( get_theme_mod('embedmaps') != "" ) {
			    	echo wp_kses(get_theme_mod( 'embedmaps') , array(
					'iframe' => array(
						'src' => true,
						'width' => true,
						'height' => true,
						'frameborder' => true,
						'allowfullscreen' => true,
						'title' => true
					)
			    	));
		    	} else {
					echo '<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d31874.295721716873!2d104.77726508156732!3d-3.017359302499749!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2e3b9d9421533bd9%3A0x9666a5bb44ec0c8c!2sJakabaring%20Sport%20City!5e0!3m2!1sid!2sid!4v1611811262723!5m2!1sid!2sid" width="600" height="450" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>';
				}
		    echo '</div>';
			echo '<div class="roo__address"><div class="roo__inner">';
		    	if ( get_theme_mod('nama_agen') != "" ) {
			    	echo '<h4>'. get_theme_mod( 'nama_agen' ) .'</h4>';  
		    	} else {
					echo '<h4>Nama Agen</h4>';  
				}
				if ( get_theme_mod('alamat') != "" ) {
			    	echo '<div class="roo__realaddress">'. get_theme_mod( 'alamat' ) .'</div>';  
		    	} else {
					echo '<div class="roo__realaddress">Jln Kerikil Tajam No. 39 Negeri Antah Berantah</div>';  
		    	}
				echo '<div class="social__roda roda__clear">';
				if ( get_theme_mod('facebook') != "" ) {
			    	echo '<div class="social__icon"><i class="icon-dealer-facebook"></i> <a aria-label="Facebook" target="_blank" href="'. get_theme_mod( 'facebook' ) .'">Facebook</a></div>';  
		    	}
				if ( get_theme_mod('instagram') != "" ) {
			    	echo '<div class="social__icon"><i class="icon-dealer-instagram"></i> <a aria-label="Instagram" target="_blank" href="'. get_theme_mod( 'instagram' ) .'">Instagram</a></div>';  
		    	}
				if ( get_theme_mod('twitter') != "" ) {
			    	echo '<div class="social__icon"><i class="icofont-x"></i> <a aria-label="Twitter" target="_blank" href="'. get_theme_mod( 'twitter' ) .'">Twitter</a></div>';  
		    	}
				if ( get_theme_mod('youtube') != "" ) {
			    	echo '<div class="social__icon"><i class="icon-dealer-youtube"></i> <a aria-label="Youtube" target="_blank" href="'. get_theme_mod( 'youtube' ) .'">Youtube</a></div>';  
		    	}
				if ( get_theme_mod('tiktok') != "" ) {
			    	echo '<div class="social__icon"><i class="icofont-tiktok"></i> <a aria-label="Tiktok" target="_blank" href="'. get_theme_mod( 'tiktok' ) .'">Tiktok</a></div>';  
		    	}
				echo '</div>';
				if ( get_theme_mod('nama_email') != "" ) {
			    	echo '<div class="email__icon roda__clear"><i class="icon-dealer-mail"></i> <a aria-label="Email" target="_blank" href="mailto:'. get_theme_mod('nama_email') .'">'. get_theme_mod('nama_email') .'</a></div>';  
		    	}
		    echo '</div></div>';
		echo '</div>';
	}
endif;	

if ( ! function_exists( 'the_way_back' ) ) :
    function the_way_back() {
		get_template_part('roda/footer/wayback');
	}
endif;
if ( ! function_exists( 'the_roda_footer_mobile' ) ) :
    function the_roda_footer_mobile() {
		get_template_part('roda/footer/mobile');
	}
endif;