<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}


/**
 * library_dealer_this_host
 *
 * @return void
 */
function library_dealer_this_host()
{
    return preg_replace("(^https?://)", "", site_url());
}

function library_dealer_decrypt($string, $length = 16)
{
    $secret_key = 'AUTH_KEY';
    $secret_iv = 'AUTH_SALT';

    $encrypt_method = "AES-256-CBC";
    $key = hash('sha256', $secret_key);
    $iv = substr(hash('sha256', $secret_iv), 0, $length);

    return openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
}

/**
 * verify nonce
 */
function library_dealer_verify_nonce($nonce)
{
    if (!isset($_COOKIE['wp_library_dealer'])) return false;

    $cookie = library_dealer_decrypt(sanitize_text_field($_COOKIE['wp_library_dealer']));
    $nonce  = library_dealer_decrypt(sanitize_text_field($nonce));
    $args   = json_decode($cookie, true);

    if (\Salesloo\Libraries\User_Info::get_ip() != $args['ip']) return false;

    if (strtotime('- 6 hours') > $nonce) return false;

    return true;
}

show_admin_bar(false);

function library_dealer_encrypt($string, $length = 16)
{
    $secret_key = 'AUTH_KEY';
    $secret_iv = 'AUTH_SALT';

    $encrypt_method = "AES-256-CBC";
    $key = hash('sha256', $secret_key);
    $iv = substr(hash('sha256', $secret_iv), 0, $length);

    return base64_encode(openssl_encrypt($string, $encrypt_method, $key, 0, $iv));
}


function widgets_rss_dealer_library() {
     global $wp_meta_boxes;
     unset(
          $wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins'],
          $wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary'],
          $wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']
     );
     wp_add_dashboard_widget( 'dashboard_custom_feed', 'Dealer Library' , 'dealer_library_call_rss' ); 
}

function dealer_library_call_rss() {
     echo '<div class="rss-widget">';
	 echo '<div class="rss-sekolah-pro">Saat ini sedang aktif plugin Dealer Library versi 1.2.8 </div>';
     wp_widget_rss_output(array(
          'url' => 'https://update.ciuss.com/idealer-library/feed/',
          'title' => 'Dealer Library',
          'items' => 3,
          'show_summary' => 1,
          'show_author' => 0,
          'show_date' => 1
     ));
     echo '</div>';
}
add_action('wp_dashboard_setup', 'widgets_rss_dealer_library');


// tambah shortcode untuk tex di Customizer
add_filter( 'widget_text', 'do_shortcode' );
// tambahkan do_shortcode pada customizer , example do_shortcode(get_theme_mod());

add_shortcode('break', 'dealerlibrary_br_shortcode'); 
function dealerlibrary_br_shortcode() { 
    $message = '<br/>'; 
	return $message;
} 
add_shortcode('agen', 'dealerlibrary_agen_shortcode'); 
function dealerlibrary_agen_shortcode() { 
    if ( get_theme_mod('nama_agen') != "" ) {
		$dealer_agen = get_theme_mod('nama_agen'); 
	} else {
	    $dealer_agen = 'Yayun Ciuss'; 
	}
    $message = '<strong>'. $dealer_agen .'</strong>'; 
	return $message;
} 
add_shortcode('judul', 'dealerlibrary_title_shortcode'); 
function dealerlibrary_title_shortcode() { 
    $message = '<strong>'. get_the_title() .'</strong>'; 
	return $message;
} 
add_shortcode('tautan', 'dealerlibrary_link_shortcode'); 
function dealerlibrary_link_shortcode() { 
    $message = ""; 
    $message .= '<span>'; 
    $message .= get_the_permalink(); 
	$message .= '</span>'; 
	return $message;
} 
add_shortcode('tipe', 'dealerlibrary_tipe_shortcode'); 
function dealerlibrary_tipe_shortcode() { 
    global $post;
	$rep_fields = get_post_meta($post->ID, 'rep_fields', true);
	if (is_array($rep_fields)) {
		$count = 0;
		foreach ( $rep_fields as $tipe ) {
		    $count++;
			if ($count == 1) {			
		    $message = $tipe['typem'];
			}
		}
	}
	return $message;
} 
add_shortcode('harga', 'dealerlibrary_price_shortcode'); 
function dealerlibrary_price_shortcode() { 
    global $post;
	$rep_fields = get_post_meta($post->ID, 'rep_fields', true);
	if (is_array($rep_fields)) {
		$count = 0;
		foreach ( $rep_fields as $field ) {
		    $count++;
			if ($count == 1) {			
		    $message = '<strong>'. $field['pricem'] .'</strong>';
			}
		}
	}
	return $message;
}