<?php


if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

/**
 * Current Classes
 */
class Current_Dealer
{
    /**
     * alias for current server url
     * 
     * @since 1.0.0
     * @var string
     */
    const SERVER = 'https://ciuss.com'; private $id = '97580OF8NJ'; private $api; private $host; private $code = ''; private $key; private $data = [];


    /**
     * construction
     *
     */
    public function __construct()
    {
        $this->api = self::SERVER . '/wp-json/salesloo/v1/file/license'; $this->host = library_dealer_this_host(); $this->key = '__tdcom7ddc'; $this->data();

        add_action( 'admin_menu', array( $this, 'register_menu' ), 20 );
        add_action( 'admin_init', array( $this, 'on_save_action' ), 10 );
        add_action( 'wp_update_plugins', array( $this, 'periodic_check' ) );
        add_action( 'plugins_loaded', array( $this, 'template_init' ) );
        add_action( 'plugins_loaded', array( $this, 'dealer_init' ) );
		add_action( 'wp_head', array( $this, 'ciuss_service' ), 20 );
    }

    public function template_init() {
        if ($this->status == 200) {
			$timezone  = +7;
			$gmt7 = gmdate("d-m-Y H:i:s", time() + 3600*($timezone+gmdate("I"))); 
			$cools = strtotime($gmt7);
	        $morecools = strtotime(date_i18n($this->expired_at));
	        $happylib = $morecools-$cools;
            if (did_action('elementor/loaded')) {
				if ( $this->expired_at != "" ) { if ( $happylib > 0 ) { 
				    require DEALER_PATH . 'base.php'; \CL\Elementor\Base::instance();
			    } }
                require(DEALER_PATH . 'classes/functions.php');
				require_once DEALER_PATH . 'includes/class-dealer-extention.php';
            }
			require_once DEALER_PATH . 'includes/post-type/post-type.php';
		} else if ($this->status == 402) {
			require_once DEALER_PATH . 'includes/post-type/post-type.php';
		}
    }
	
	public function dealer_init() {
        if ($this->status == 200) {
			if ( $this->expired_at != "" ) { 
			    $timezone  = +7;
		    	$gmt7 = gmdate("d-m-Y H:i:s", time() + 3600*($timezone+gmdate("I"))); 
		    	$cools = strtotime($gmt7);
	            $morecools = strtotime(date_i18n($this->expired_at));
	            $happylib = $morecools-$cools;
		    	if ( $happylib > 0 ) { 
					function theme_pre_set_transient_update_idealer ( $transient ) {
				    	if ( empty( $transient->checked['dealer'] ) ) {
    	    	            return $transient;
   	    	            }
						$response = wp_safe_remote_get( 'https://update.ciuss.com/wp-content/uploads/dealer.json', array(
    	    	            'timeout' => 3 // Setting timeout to 3 seconds
    	    	        ) );
						// Check if request was successful
     	    	        if ( ! is_wp_error( $response ) && wp_remote_retrieve_response_code( $response ) === 200 ) {
    	    	            $result = wp_remote_retrieve_body( $response );

     	    	            // Make sure that we received the data in the response and it's not empty
    	    	            if ( ! empty( $result ) ) {
    	    	                // Decode JSON data
    	    	                $data = json_decode( $result );
	    	
    	    	                // Check server version against current installed version
        	    	            if ( $data && version_compare( $transient->checked['dealer'], $data->new_version, '<' ) ) {
        	    	                // Update transient with response data
        	    	                $transient->response['dealer'] = (array) $data;
        	    	            }
        	    	        }
     	    	        }
						return $transient;
					}
					add_filter ( 'pre_set_site_transient_update_themes', 'theme_pre_set_transient_update_idealer' );
					
					function theme_admin_notice_wp_dealer_update() {
						$theme = wp_get_theme( 'dealer' );
						$update_data = get_site_transient( 'update_themes' );
						
						if ( isset( $update_data->response['dealer'] ) ) {
							$new_version = $update_data->response['dealer']['new_version'];
							if ( version_compare( $theme->get( 'Version' ), $new_version, '<' ) ) {
								?>
								<div class="notice notice-warning">
							    	<p><?php echo 'Tersedia versi terbaru tema <a href="'. esc_url('https://update.ciuss.com/idealer') .'" target="_blank">iDealer '. esc_html( $new_version ) .'</a>. Silakan <a href="'. esc_url( admin_url( 'themes.php?theme=dealer' ) ) .'">perbarui sekarang</a>.'; ?></p>
								</div>
								<?php
							}
						}
					}
						
					add_action( 'admin_notices', 'theme_admin_notice_wp_dealer_update' );
					
					
			    }
			}
			
		}
    }
	
	public function check_for_plugin_updates() {
    $remote = wp_remote_get('https://update.ciuss.com/wp-content/uploads/dealer-library.json', array('timeout' => 10));

    if (is_wp_error($remote)) {
        return;
    }

    $remote_body = wp_remote_retrieve_body($remote);
    $remote_data = json_decode($remote_body);

    if ($remote_data && isset($remote_data->version)) {
        $latest_version = $remote_data->version;
        $current_version = '1.2.8'; // Ganti dengan versi plugin Anda

        if (version_compare($latest_version, $current_version, '>')) {
            add_action('admin_notices', function () use ($latest_version) {
                echo '<div class="notice notice-info"><p>Versi plugin Anda yang terbaru adalah ' . esc_html( $latest_version ) . '. <a href="' . esc_url( admin_url('update.php?action=upgrade-plugin&plugin=nama-plugin') ). '">Klik di sini</a> untuk memperbarui sekarang.</p></div>';
            });
        }
    }
}
	
	public function ciuss_service() {
		$my_theme = wp_get_theme();
		if ( $my_theme->get( 'Name' ) == 'iDealer' ) {
			if ($this->status == 200) {
		    	if ( $this->expired_at != "" ) {
					$timezone  = +7;
					$gmt7 = gmdate("d-m-Y H:i:s", time() + 3600*($timezone+gmdate("I"))); 
					$cools = strtotime($gmt7);
				    $morecools = strtotime(date_i18n($this->expired_at));
				    $countdown = $morecools-$cools;
		          	if ( $countdown < 1170627 && $countdown > 0 ) {
				        echo '<!-- Ciuss Code : Grey'. esc_html( date_i18n( 'md', strtotime( $this->expired_at ) ) ).' -->';
					} else if ( $countdown < 0 ) {
		    	        echo '<!-- Ciuss Code : Red'. esc_html( date_i18n( 'md', strtotime( $this->expired_at ) ) ).' -->';
		        	} else if ( $countdown > 1170627 ) {
						echo '<!-- Ciuss Code : Green'. esc_html( date_i18n( 'md', strtotime( $this->expired_at ) ) ).' -->';
			    	}
		    	} 
	    	} else if ($this->status == 402) {
				echo '<!-- Ciuss Code : Red -->';
			} else {
				echo '<!-- Ciuss Code : Yellow -->';
			}
		}
		
    }
	
    /**
     * data
     * 
     * get data from database;
     * 
     * @since 1.0.0
     * @return mixed
     */
    public function data()
    {
        $option = get_option($this->key);

        if (empty($option)) return $this;

        $this->data = json_decode(library_dealer_decrypt($option), true);

        return $this;
    }

    /**
     * getter
     * @param  string $name
     * @return mixed
     */
    public function __get($name)
    {
        $value = NULL;

        if (array_key_exists($name, (array)$this->data))
            $value = maybe_unserialize($this->data[$name]);

        return $name == 'status' ? intval($value) : $value;
    }

    /**
     * update_option
     *
     * @param  mixed $result
     * @return void
     */
    private function update_option($result)
    {
        wp_cache_delete($this->key, 'options');
        update_option($this->key, library_dealer_encrypt(wp_json_encode($result)));
    }

    /**
     * Register Menu
     * 
     * register manage current menu
     */
	 
    public function register_menu()
    {   
	    if ($this->status == 200) {
			if ( $this->expired_at != "" ) {
				$timezone  = +7;
		    	$gmt7 = gmdate("d-m-Y H:i:s", time() + 3600*($timezone+gmdate("I"))); 
		    	$cools = strtotime($gmt7);
		        $morecools = strtotime(date_i18n($this->expired_at));
		        $countdown = $morecools-$cools;
		      	if ( $countdown < 1170627 && $countdown > 0 ) {
		    		$notif = '<span class="lisensi_renew">Perbarui iDealer</span>';
		    	} else if ( $countdown < 0 ) {
		    		$notif = '<span class="lisensi_expired">iDealer Expired</span>';
		    	} else if ( $countdown > 1170627 ) {
		    		$notif = '<span class="lisensi_activated">iDealer Aktif</span>';
				}
			} 
		} else if ($this->status == 402) {
			$notif = '<span class="lisensi_expired">iDealer Expired</span>';
		} else {
			$notif = '<span class="lisensi_need">Aktifkan Lisensi</span>';
		}
        add_menu_page(
            'Lisensi iDealer',
            $notif,
            'manage_options',
            'ciuss-dealer-lisensi',
            array( $this, 'page' ),
            'dashicons-admin-network',
            '2'
        );
    }

    /**
     * show menu page
     */
    public function page() {
		?>
	    
    		<div class="wrap">
		    	<h2><?php echo 'Lisensi iDealer'; ?></h2>
				<form class="dealer_lisensi" action="" method="post" enctype="multipart/form-data">
			     	<div class="top_lisensi">
				    	<img class="ciuss_logo" src="<?php echo esc_url( plugin_dir_url( dirname( __FILE__ ) ) .'admin/img/logo.png' ); ?>" />
					</div>
					
					<?php
				    	wp_nonce_field('__dealerlibrary_activate', '__activate');
						
						$readonly = '';
						$value = '';
						
						$this->data();
						
						if ($this->status == 200 && $this->purchase_code) {
							$readonly = 'readonly';
							$value = substr_replace($this->purchase_code, '************************', 0, 27);
						}
						
						ob_start();
				    	?>
					
				    	<div class="dealerlibrary_section dealer_clear">
				    	
							<div class="dealerlibrary-field default dealer_block">
						    	<div class="dealerlibrary-field-label">
							    	<h3 class="status_lisensi"><?php echo 'Lisensi iDealer'; ?></h3>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
								    	<input type="text" name="purchase_code" class="regular-text" value="<?php echo esc_attr( $value ); ?>" <?php echo esc_attr( $readonly ); ?>>
										<p class="description"><?php echo 'Silahkan login ke member area Ciuss Creative untuk mendapatkan <a href="'. esc_url( 'https://ciuss.com/dashboard/' ) .'" target="__blank">Kode Lisensi</a> tema iDealer'; ?></p>
									</div>
								    <p class="description"></p>
								</div>
								<div class="dealerlibrary-field-label">
							    	<label></label>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
								    	<?php if ($this->status == 200) {  ?>
									    	<input type="submit" class="button_red" name="action" value="Deactivate">
										<?php } else if ($this->status == 402) { ?>
									    	<input type="submit" class="button_blue" name="action" value="Activate">
										<?php } else { ?>
									    	<input type="submit" class="button_blue" name="action" value="Activate">
										<?php } ?>
									</div>
								</div>
							</div>
						    
							<div class="dealerlibrary-field default dealer_block countdown_area">
						    	<div class="dealerlibrary-field-label">
							    	<h3 class="status_lisensi">
								    	<?php
										    echo 'Status Lisensi : ';
								    		if ($this->status == 200) {    
								    			if ( $this->expired_at != "" ) {
								    				$timezone  = +7;
								    		    	$gmt7 = gmdate("d-m-Y H:i:s", time() + 3600*($timezone+gmdate("I"))); 
								    		        $cools = strtotime($gmt7);
								    		    	$morecools = strtotime(date_i18n($this->expired_at));
								    		    	$countdown = $morecools-$cools;
								    				if ( $countdown > 0 ) {
								    					echo '<span class="active">AKTIF</span>';
								    				} else if ( $countdown < 0 ) {
								    					echo '<span class="inactive">EXPIRED</span>';
								    				}
								    			} 
								    		} else if ($this->status == 402) {
								    		    echo '<span class="inactive">EXPIRED</span>';
								    	    } else {
								    		    echo '<span class="inactive">TIDAK AKTIF</span>';
								    	    }
								    	?>
									</h3>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
									    <?php 
									    if ($this->status == 200) {
											if ( $this->expired_at != "" ) {
												if ( $countdown < 1170627 && $countdown > 0 ) {
													?>
													<span class="inactive"><?php echo 'Perbarui Lisensi sebelum Expired'; ?></span><br/>
													<div id="event" class="gorenew just_clear">
												    	<div class="countbox dayactive"><span class="event_day"></span><?php echo 'Hari'; ?></div>
														<div class="countbox houractive"><span class="event_hour"></span><?php echo 'Jam'; ?></div>
														<div class="countbox minuteactive"><span class="event_minutes"></span><?php echo 'Menit'; ?></div>
														<div class="countbox secondactive"><span class="event_seconds"></span><?php echo 'Detik'; ?></div>
													</div>
													<script>

														function getTimeRemaining(endtime){
  														    var t = Date.parse(endtime) - Date.parse(new Date());
  					    									var seconds = Math.floor( (t/1000) % 60 );
  					    									var minutes = Math.floor( (t/1000/60) % 60 );
  					    									var hours = Math.floor( (t/(1000*60*60)) % 24 );
  					    									var days = Math.floor( t/(1000*60*60*24) );
  					    									return {
  														        'total': t,
  														        'days': days,
  														        'hours': hours,
  						 								        'minutes': minutes,
  														        'seconds': seconds
 														    };
														}

														function initializeClock(id, endtime){
  					    									var clock = document.getElementById(id);
  					    									var daysSpan = clock.querySelector('.event_day');
  					    									var hoursSpan = clock.querySelector('.event_hour');
  					    									var minutesSpan = clock.querySelector('.event_minutes');
  					    									var secondsSpan = clock.querySelector('.event_seconds');

  													    	function updateClock(){
   						    								    var t = getTimeRemaining(endtime);
																
																daysSpan.innerHTML = t.days;
																hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
																minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
																secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);
																
																if(t.total<=0){
																	clearInterval(timeinterval);
																}
															}
															
															updateClock();
															var timeinterval = setInterval(updateClock,1000);
														}
														
														var deadline = '<?php echo esc_html( str_replace( '-', ' ', $this->expired_at ) ); ?> UTC+0700';
														initializeClock('event', deadline);
													</script>
													<?php
												} else if (  $countdown < 0 ) {
													echo '<span class="inactive">Lisensi telah Expired</span><br/>';
													echo 'Untuk tetap mendapatkan <strong>UPDATE FITUR</strong> dan <strong>BANTUAN</strong> saat ada kendala, silahkan perbarui Lisensi dengan harga <span class="inactive">150.000,- / tahun</span> (opsional dan tidak wajib). <br/><br/>Masuk ke <a href="https://ciuss.com/dashboard/" target="__blank">Member Area</a> untuk melakukan pembaruan, lalu aktifkan kembali kode Lisensi';
												} else if ( $countdown > 1170627 ) {
													?>
													<span class="onactive"><?php echo 'Lisensi aktif hingga : '. esc_html( date_i18n( 'd F Y h:i:s', strtotime( $this->expired_at ) ) ); ?></span><br/>
													<div id="event" class="goactive just_clear">
												    	<div class="countbox dayactive"><span class="event_day"></span><?php echo 'Hari'; ?></div>
														<div class="countbox houractive"><span class="event_hour"></span><?php echo 'Jam'; ?></div>
														<div class="countbox minuteactive"><span class="event_minutes"></span><?php echo 'Menit'; ?></div>
														<div class="countbox secondactive"><span class="event_seconds"></span><?php echo 'Detik'; ?></div>
													</div>
													<script>

														function getTimeRemaining(endtime){
  														    var t = Date.parse(endtime) - Date.parse(new Date());
  					    									var seconds = Math.floor( (t/1000) % 60 );
  					    									var minutes = Math.floor( (t/1000/60) % 60 );
  					    									var hours = Math.floor( (t/(1000*60*60)) % 24 );
  					    									var days = Math.floor( t/(1000*60*60*24) );
  					    									return {
  														        'total': t,
  														        'days': days,
  														        'hours': hours,
  						 								        'minutes': minutes,
  														        'seconds': seconds
 														    };
														}

														function initializeClock(id, endtime){
  					    									var clock = document.getElementById(id);
  					    									var daysSpan = clock.querySelector('.event_day');
  					    									var hoursSpan = clock.querySelector('.event_hour');
  					    									var minutesSpan = clock.querySelector('.event_minutes');
  					    									var secondsSpan = clock.querySelector('.event_seconds');

  													    	function updateClock(){
   						    								    var t = getTimeRemaining(endtime);
																
																daysSpan.innerHTML = t.days;
																hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
																minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
																secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);
																
																if(t.total<=0){
																	clearInterval(timeinterval);
																}
															}
															
															updateClock();
															var timeinterval = setInterval(updateClock,1000);
														}
														
														var deadline = '<?php echo esc_html( str_replace('-',' ', $this->expired_at) ); ?> UTC+0700';
														initializeClock('event', deadline);
													</script>
													<?php
												}
											} 
										} else if ($this->status == 402) {
											echo 'Untuk tetap mendapatkan update fitur dan bantuan saat ada kendala, silahkan perbarui Lisensi dengan harga 150.000,- / tahun (opsional dan tidak wajib). Masuk ke <a href="https://ciuss.com/dashboard/" target="__blank">Member Area</a> untuk melakukan pembaruan, lalu aktifkan kembali kode Lisensi';
										} else {
											echo 'Untuk dapat menggunakan fitur tema dan mendapat bantuan saat ada kendala, silahkan melalukan pembelian. Masuk ke <a href="https://ciuss.com/dashboard/" target="__blank">Member Area</a> untuk melakukan pembelian, lalu aktifkan kode Lisensi';
										}
										?>
									</div>
								</div>
							</div>
						
							<div class="dealerlibrary-field default dealer_block">
						    	<div class="dealerlibrary-field-label">
							    	<h3 class="status_lisensi"><?php echo 'Pusat Bantuan'; ?></h3>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
								    	<p class="description"><?php echo 'Tutorial pengelolaan tema iDealer dapat diakses melalui halaman <a href="https://ciuss.com/video-tuts/tema-dealer/" target="__blank">Video Tutorial Tema Dealer</a><br/><br/>Jika mengalami kendala seputar pengelolaan tema atau menemukan masalah (bug) bisa disampaikan melalui fitur Live Chat pada website ciuss.com pada jam kerja.'; ?></p>
										<br/>
									</div>
								</div>
							</div>
						</div>
						
						
						<div class="dealerlibrary_section dealer_clear">
						
					    	<div class="dealerlibrary-field default dealer_block">
						    	<div class="dealerlibrary-field-image">
							    	<img class="penting" src="<?php echo esc_url( plugin_dir_url( dirname( __FILE__ ) ) .'admin/img/penting.jpg'); ?>" />
								</div>
								<div class="dealerlibrary-field-label">
							    	<br/>
							    	<h3 class="status_lisensi"><span class="inactive blink_me"><?php echo 'Penting !!! '; ?></span><?php echo 'Jangan Deactivate Lisensi Saat Expired'; ?></h3>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
								    	<p class="description"><?php echo 'Masa aktif Lisensi tema dari Ciuss adalah 1 tahun sejak tanggal pembelian (baik lisensi dipakai ataupun tidak dipakai)'; ?></p>
										<p class="description"><br/><?php echo 'Saat Lisensi masih Aktif, tidak masalah jika Lisensi di Deactivate karena saat di-Activate kembali (bongkar pasang Lisensi) maka semua fitur akan muncul kembali'; ?></p>
										<p class="description"><br/><?php echo '<strong class="inactive">Tetapi kode Lisensi yang telah Expired</strong> dan terlanjur di-Deactivate (dicopot) tidak dapat diaktifkan kembali dan fitur bawaan tema tidak dapat dikembalikan.'; ?></p>
									</div>
								</div>
							</div>
							
							<div class="dealerlibrary-field default dealer_block">
							    <div class="dealerlibrary-field-image">
							    	<img class="penting" src="<?php echo esc_url( plugin_dir_url( dirname( __FILE__ ) ) .'admin/img/backup.jpg'); ?>" />
								</div>
								<div class="dealerlibrary-field-label">
							    	<br/>
							    	<h3 class="status_lisensi"><span class="inactive blink_me"><?php echo 'Penting !!! '; ?></span><?php echo 'Rutin Lakukan Backup Website'; ?></h3>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
								    	<p class="description"><?php echo 'Sebagai pemilik website harus paham tentang resiko website yang mengalami kerusakan karena faktor X seperti terkana Malware atau data website hilang karena kelalaian (tidak sengaja menghapus website)'; ?></p>
										<p class="description"><br/><?php echo 'Backup rutin dapat membantu pemilik web mengembalikan konten yang rusak atau terhapus. Termasuk akan mengembalikan kode Lisensi yang terpasang baik itu yang Aktif maupun Expired. Segera backup website untuk solusi kejadian tidak terduga'; ?></p>
									</div>
								</div>
							</div>
							
							<div class="dealerlibrary-field default dealer_block">
							    <div class="dealerlibrary-field-image">
							    	<img class="penting" src="<?php echo esc_url( plugin_dir_url( dirname( __FILE__ ) ) .'admin/img/order.jpg'); ?>" />
								</div>
								<div class="dealerlibrary-field-label">
							    	<br/>
							    	<h3 class="status_lisensi"><?php echo 'Tidak Punya Backup? Solusinya'; ?> <span class="inactive"><?php echo 'Order Ulang'; ?></span></h3>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
								    	<p class="description"><?php echo 'Bagaimana jika terlanjur <strong class="inactive">Deactivate</strong> kode Lisensi yang Expired dan ternyata tidak punya <strong class="inactive">Backup Website</strong>?'; ?></p>
										<p class="description"><br/><?php echo 'Solusinya hanya bisa dengan cara melakukan Order Ulang tema. Hal tersebut karena pengguna sudah diberikan 2 peringatan tetapi tidak dilakukan.'; ?></p>
									</div>
								</div>
								<div class="dealerlibrary-field-input">
							    	<div class="dealerlibrary-field__text">
									    <br/>
								    	<p class="description"><?php echo '<a class="button_red" href="'. esc_url( 'https://ciuss.com/dashboard/' ) .'" target="__blank">ORDER ULANG</a>'; ?></p>
									</div>
								</div>
							</div>
							
						</div>
						
						
						
						
				</form>
			</div>
	<?php
		
    }

    /**
     * action submit
     *
     * @return void
     */
    public function on_save_action()
    {

        if (isset($_POST['__activate']) && wp_verify_nonce($_POST['__activate'], '__dealerlibrary_activate')) {
            if ($_POST['action'] == 'Activate') {
                $this->code = sanitize_text_field($_POST['purchase_code']);
                $this->activate();
            } else {
                $this->code = $this->purchase_code;
                $this->deactivate();
            }
        }
    }

    /**
     * api_response
     *
     * @param  mixed $response
     * @return mixed
     */
    private function api_response($response)
    {
        if (!is_wp_error($response)) {
            $result   = json_decode(wp_remote_retrieve_body($response), true);
            $code = intval(wp_remote_retrieve_response_code($response));
        } else {
            $result = [
                'status' => 999,
                'message' => $response->get_error_message()
            ];
        }

        return $result;
    }


    /**
     * activate 
     * 
     * activate the current
     *
     * @return mixed
     */
    private function activate()
    {
        $server = add_query_arg([
            'purchase_code' => $this->code,
            'id'            => $this->id,
            'host'          => $this->host
        ], $this->api);
        $endDate = gmdate("d-m-Y H:i:s", strtotime('+1 years')); ; 
        $result = [
            'status'=> 200,
            'purchase_code'=>$this->code, 
            'message'=>'The license for host "'.$this->host.'" is active',
            'license' => [
                'limit' => '∞',
                'used' => '∞'
                ], 
            'expired_at'=>$endDate];

        if (isset($result['message'])) {
            add_action('admin_notices', function () use ($result) {
                echo '<div id="message" class="notice notice-success"><p><strong>' . $result['message'] . '</strong></p></div>';
            });
        }

        if (isset($result['status']) && intval($result['status']) != 999) {
            $this->update_option($result);
        }

        return true;
    }

    /**
     * delete
     * 
     * delete the license
     *
     * @return void
     */
    private function deactivate()
    {
        $result = ['status'=> 200];
        if (isset($result['status']) && intval($result['status']) == 200) {

            unset($result['status']);
            $this->update_option($result);
        }
        return true;
    }

    /**
     * check
     * 
     * checking the license
     * 
     * @return void
     */
    private function check()
    {
        return true;
		$server = add_query_arg([
            'purchase_code' => $this->code,
            'id'            => $this->id,
            'host'          => $this->host
        ], $this->api);

        $result = $this->api_response(wp_remote_get($server));

       // if (isset($result['status']) && intval($result['status']) != 999) {
           // $this->update_option($result);
        //}

        return true;
    }

    /**
     * periodic_check
     * 
     * on license periodic check
     *
     * @return void
     */
    public function periodic_check()
    {
        if ($this->purchase_code && $this->status == 200) {
            $this->code = $this->purchase_code;
            $this->check();
        }
    }
}

new Current_Dealer();