<?php
    
    // 3. Menambah Metabox Spesifikasi Untuk Kendaraan (Untuk Admin atau Operator)
	add_action('admin_init', 'chassis_detail', 1);
	
	// tambah metabox
	function chassis_detail() {
	    add_meta_box('chassis_input', 'Sasis & Rem', 'chassis_input', 'model', 'normal', 'default');
	}
	
	// tambah input
	function chassis_input() {
	    global $post;
	    echo '<input type="hidden" name="chassis_noncename" id="chassis_noncename" value="' .esc_attr(  wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
		
		$rang_alloy     = get_post_meta($post->ID, 'rang_alloy', true);
		$rang_steering  = get_post_meta($post->ID, 'rang_steering', true);
		$rang_tire      = get_post_meta($post->ID, 'rang_tire', true);
		$rang_rem_front = get_post_meta($post->ID, 'rang_rem_front', true);
		$rang_rem_back  = get_post_meta($post->ID, 'rang_rem_back', true);
		$rang_sus_front = get_post_meta($post->ID, 'rang_sus_front', true);
		$rang_sus_back  = get_post_meta($post->ID, 'rang_sus_back', true);
		
		?>
		
		<table width="100%">
		    <tr>
			    <td width="40%">Velg/Alloy Wheels</td>
				<td><input type="text" name="rang_alloy" value="<?php echo esc_attr( $rang_alloy ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Sistem Kemudi/Steering</td>
				<td><input type="text" name="rang_steering" value="<?php echo esc_attr( $rang_steering ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Ban Depan dan Belakang</td>
				<td><input type="text" name="rang_tire" value="<?php echo esc_attr( $rang_tire ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Rem Depan</td>
				<td><input type="text" name="rang_rem_front" value="<?php echo esc_attr( $rang_rem_front ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Rem Belakang</td>
				<td><input type="text" name="rang_rem_back" value="<?php echo esc_attr( $rang_rem_back ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Suspensi Depan</td>
				<td><input type="text" name="rang_sus_front" value="<?php echo esc_attr( $rang_sus_front ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Suspensi Belakang</td>
				<td><input type="text" name="rang_sus_back" value="<?php echo esc_attr( $rang_sus_back ); ?>" class="widefat" /></td>
			</tr>
		</table>
		
    	<?php
	}
	// simpan inputan
	function chassis_input_meta($post_id, $post) {
	    if ( ! isset( $_POST['chassis_noncename'] ) || !wp_verify_nonce( $_POST['chassis_noncename'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }

	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		
		// mesin
		$chassis_meta['rang_alloy']     = isset($_POST['rang_alloy']) ? $_POST['rang_alloy'] : '';
		$chassis_meta['rang_steering']  = isset($_POST['rang_steering']) ? $_POST['rang_steering'] : '';
		$chassis_meta['rang_tire']      = isset($_POST['rang_tire']) ? $_POST['rang_tire'] : '';
		$chassis_meta['rang_rem_front'] = isset($_POST['rang_rem_front']) ? $_POST['rang_rem_front'] : '';
		$chassis_meta['rang_rem_back']  = isset($_POST['rang_rem_back']) ? $_POST['rang_rem_back'] : '';
		$chassis_meta['rang_sus_front'] = isset($_POST['rang_sus_front']) ? $_POST['rang_sus_front'] : '';
		$chassis_meta['rang_sus_back']  = isset($_POST['rang_sus_back']) ? $_POST['rang_sus_back'] : '';
		
		foreach ($chassis_meta as $key => $value) {      
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }

	}
	add_action('save_post', 'chassis_input_meta', 1, 2); 