<?php
    
    // Menambah Metabox Spesifikasi Warna Kendaraan (Untuk Admin atau Operator)
	add_action('admin_init', 'color_code', 1);
	
	// buat metabox
	function color_code() {
    	add_meta_box( 'name_color_code', 'Kode Warna', 'name_color_code', 'model', 'normal', 'default');
    }
	
	// buat kolom
	function name_color_code() {
    	global $post;
    	$color_models = get_post_meta($post->ID, 'color_models', true);
    	wp_nonce_field( 'msp_meta_box_save', 'msp_meta_box_save' );
    	?>
    
    	<script type="text/javascript">
     	jQuery(document).ready(function( $ ){
    		$( '#add-srow' ).on('click', function() {
			var row = $( '.empty-colors.screen-reader-text' ).clone(true);
			row.removeClass( 'empty-colors screen-reader-text' );
			row.insertBefore( '#repatedcolorss tbody>tr:last' );
			return false;
		});
  	
		$( '.remove-srow' ).on('click', function() {
			$(this).parents('tr').remove();
			return false;
		});
    	});
    	</script>
  
    	<table id="repatedcolorss">
			<tr>
		    	<td>
			    	<label><?php echo 'Nama Warna'; ?></label>
				</td>
				<td class="tab_color">
			    	<label><?php echo 'Warna 1'; ?></label>
				</td>
				<td class="tab_color">
			    	<label><?php echo 'Warna 2'; ?></label>
				</td>
				<td class="tab_delete">
				</td>
			</tr>
			
         	<?php if ( $color_models ) :
			foreach ( $color_models as $field ) { ?>
             	<tr>
            		<td>
					    <input type="text" class="widefat" name="colorsm[]" value="<?php if($field['colorsm'] != '') echo esc_attr( $field['colorsm'] ); ?>" />
					</td>
					<td class="tab_color">
					    <input type="text" class="widefat" name="colorm[]" value="<?php if($field['colorm'] != '') echo esc_attr( $field['colorm'] ); ?>" />
					</td>
					<td class="tab_color">
					    <input type="text" class="widefat" name="colorx[]" value="<?php if(isset($field['colorx']) && $field['colorx'] != '') { echo esc_attr($field['colorx']); } ?>" />
					</td>
					<td class="tab_delete">
					    <a class="button remove-srow dealer_delete" href="#"><?php echo 'Hapus'; ?></a>
					</td>
				</tr>
				
			<?php } else : ?>
			
	    		<tr>
            		<td>
					    <input type="text" class="widefat" name="colorsm[]" />
					</td>
					<td class="tab_color">
					    <input type="text" class="widefat" name="colorm[]" />
					</td>
					<td class="tab_color">
					    <input type="text" class="widefat" name="colorx[]" />
					</td>
					<td class="tab_delete">
					    <a class="button remove-srow dealer_delete" href="#"><?php echo 'Hapus'; ?></a>
					</td>
				</tr>
				
			<?php endif; ?>
	
            	<!-- empty hidden one for jQuery -->
            	<tr class="empty-colors screen-reader-text">
            		<td>
					    <input type="text" class="widefat" name="colorsm[]" />
					</td>
					<td class="tab_color">
					    <input type="text" class="widefat" name="colorm[]" />
					</td>
					<td class="tab_color">
					    <input type="text" class="widefat" name="colorx[]" />
					</td>
					<td class="tab_delete">
					     <a class="button remove-srow dealer_delete" href="#"><?php echo 'Hapus'; ?></a>
					</td>
				</tr>
		</table>
		
		<div class="addnew"><a id="add-srow" class="button button-primary" href="#"><?php echo 'Tambah Warna'; ?></a></div> 
			
	<?php
    }

	add_action('save_post', 'colorss_meta_box_save');
	
	// simpan inputan
	function colorss_meta_box_save($post_id) {
    	if ( ! isset( $_POST['msp_meta_box_save'] ) ||
        	! wp_verify_nonce( $_POST['msp_meta_box_save'], 'msp_meta_box_save' ) )
	    	return;
	
    	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
	    	return;
	
    	if (!current_user_can('edit_post', $post_id))
	    	return;
	
    	$olds = get_post_meta($post_id, 'color_models', true);
    	$news = array();
	
		$colorsms = isset($_POST['colorsm']) ? $_POST['colorsm'] : array();
		$colorms  = isset($_POST['colorm']) ? $_POST['colorm'] : array();
		$colorxs  = isset($_POST['colorx']) ? $_POST['colorx'] : array();
	
    	$counts = count( $colorsms );
	
    	for ( $i = 0; $i < $counts; $i++ ) {
	    	if ( $colorsms[$i] != '' ) {
				$news[$i]['colorsm'] = wp_kses($colorsms[$i], array());
				$news[$i]['colorm']  = wp_kses($colorms[$i], array());
				$news[$i]['colorx']  = wp_kses($colorxs[$i], array());
	    	}
    	}
		
    	if ( !empty( $news ) && $news != $olds )
    		update_post_meta( $post_id, 'color_models', $news );
    	elseif ( empty($news) && $olds )
    		delete_post_meta( $post_id, 'color_models', $olds );
	}	