<?php
    
    // Color Galeri
	add_action('add_meta_boxes', 'add_color_metabox');
	function add_color_metabox() {
        add_meta_box( 'color_ready', 'Warna Tersedia', 'gallery_color_metabox', 'model', 'normal', 'high');
	}
	
	// tambah metabox
	function gallery_color_metabox($post) {
        wp_nonce_field( basename(__FILE__), 'gallery_color_nonce' );
        $colorids = get_post_meta($post->ID, 'gallery_colorid', true);
        ?>
    
        <p><?php echo 'Silahkan upload gambar dengan ukuran yang sama tinggi dan lebarnya'; ?></p>

        <ul id="gallery-color-list" class="dealer_clear">
            <?php 
		    	if ($colorids) : 
			    	foreach ( $colorids as $key => $value ) : 
				    	$imagecolor = wp_get_attachment_image_src( $value, 'landscape' ); 
						?>
						<li class="color_model">
					    	<input type="hidden" name="gallery_colorid[<?php echo esc_attr( $key ); ?>]" value="<?php echo esc_attr( $value ); ?>">
							<img class="image-preview" src="<?php echo esc_attr( $imagecolor[0] ); ?>">
							<a class="change-image " href="#" data-uploader-title="<?php echo 'Ganti'; ?>" data-uploader-button-text="<?php echo 'Ganti'; ?>"><?php echo 'Ganti'; ?></a>
							<a class="remove-image" href="#"><?php echo 'Hapus'; ?></a>
			            </li>
				    	<?php 
					endforeach; 
				endif; 
			?>
        </ul>
		
		<a class="gallery-add button button-primary" href="#" data-uploader-title="<?php echo 'Tambahkan'; ?>" data-uploader-button-text="<?php echo 'Tambah gambar'; ?>"><?php echo 'Tambah gambar'; ?></a>

    	<script>
	    	jQuery(function($) {
		    	var file_frame;
				$(document).on('click', '#color_ready a.gallery-add', function(e) {
			    	e.preventDefault();
					if (file_frame) file_frame.close();
					file_frame = wp.media.frames.file_frame = wp.media({
				    	title: $(this).data('uploader-title'),
						button: {
					    	text: $(this).data('uploader-button-text'),
						},
					multiple: true
					});
					
					file_frame.on('select', function() {
				    	var listIndex = $('#gallery-color-list li').index($('#gallery-color-list li:last')),
						selection = file_frame.state().get('selection');
						selection.map(function(attachment, i) {
					    	attachment = attachment.toJSON(),
							index      = listIndex + (i + 1);
							
							$('#gallery-color-list').append('<li class="color_model"><input type="hidden" name="gallery_colorid[' + index + ']" value="' + attachment.id + '"><img class="image-preview" src="' + attachment.sizes.full.url + '"><a class="change-image" href="#" data-uploader-title="<?php echo esc_attr( 'Change', 'dealerlibrary' ); ?>" data-uploader-button-text="<?php echo esc_attr( 'Change', 'dealerlibrary' ); ?>"><?php echo esc_html( 'Change', 'dealerlibrary' ); ?></a><a class="remove-image" href="#"><?php echo esc_html( 'Remove', 'dealerlibrary' ); ?></a></li>');
						});
					});
					
					makeSortable();
					file_frame.open();
				});
				
				$(document).on('click', '#color_ready a.change-image', function(e) {
			    	e.preventDefault();
					var that = $(this);
					if (file_frame) file_frame.close();
					file_frame = wp.media.frames.file_frame = wp.media({
			    		title: $(this).data('uploader-title'),
						button: {
					    	text: $(this).data('uploader-button-text'),
						},
				    	multiple: false
	    			});
					
					file_frame.on( 'select', function() {
				    	attachment = file_frame.state().get('selection').first().toJSON();
						that.parent().find('input:hidden').attr('value', attachment.id);
						that.parent().find('img.image-preview').attr('src', attachment.sizes.full.url);
					});
					
					file_frame.open();
				});
				
				function resetIndex() {
			    	$('#gallery-color-list li').each(function(i) {
				    	$(this).find('input:hidden').attr('name', 'gallery_colorid[' + i + ']');
			    	});
		    	}
			
	    		function makeSortable() {
		        	$('#gallery-color-list').sortable({ 
		    	    	opacity: 0.6,
		    			stop: function() {
		    	    		resetIndex();
			    		}
			    	});
		    	}
			
		    	$(document).on('click', '#color_ready a.remove-image', function(e) {
		        	e.preventDefault();
			    	$(this).parents('li').animate({ opacity: 0 }, 200, function() {
	    	    		$(this).remove();
			    		resetIndex();
			    	});
		    	});
			
		     	makeSortable();
	    	});
    	</script>
	
	<?php }
	
	// simpan inputan
	function gallery_color_save($post_id) {
        if (!isset($_POST['gallery_color_nonce']) || !wp_verify_nonce($_POST['gallery_color_nonce'], basename(__FILE__))) return;
        if (!current_user_can('edit_post', $post_id)) return;
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;
        if(isset($_POST['gallery_colorid'])) {
		    update_post_meta($post_id, 'gallery_colorid', $_POST['gallery_colorid']);
		} else {
		    delete_post_meta($post_id, 'gallery_colorid');
		}
	}
	
	add_action('save_post', 'gallery_color_save');