<?php
    
	// Cover Metabox 
	add_action('admin_init', 'add_cover_metabox', 1);
	
	function add_cover_metabox($post_type) {
        add_meta_box( 'model_cover', 'Slide Sampul', 'gallery_cov_callback', 'model', 'normal', 'default');
	}
	
	function gallery_cov_callback($post) {
        wp_nonce_field( basename(__FILE__), 'gallery_cover_nonce' );
        $cover = get_post_meta($post->ID, 'cov_gallery', true);
        ?>
    
            <p><?php echo 'Gambar ditampilkan sebagai slide setelah Header'; ?></p>
            <ul id="gallery-cover-list" class="dealer_clear">
				<?php 
				    if ( $cover ) : 
					    foreach ( $cover as $key => $value ) : 
						$image = wp_get_attachment_image_src($value, 'full'); 
						?>
						    <li class="gallery-list">
							    <input type="hidden" name="cov_gallery[<?php echo esc_attr( $key ); ?>]" value="<?php echo esc_attr( $value ); ?>">
							    <img class="image-preview" src="<?php echo esc_url( $image[0] ); ?>">
							    <a class="change-image" href="#" data-uploader-title="Ganti" data-uploader-button-text="<?php echo 'Ganti'; ?>"><?php echo 'Ganti'; ?></a>
							    <a class="remove-image" href="#"><?php echo 'Hapus'; ?></a>
						    </li>
					    <?php 
						endforeach; 
					endif; 
				?>
			</ul>
			<a class="gallery-add button button-primary" href="#" data-uploader-title="<?php echo 'Tambah Gambar'; ?>" data-uploader-button-text="<?php echo 'Tambah Gambar'; ?>"><?php echo 'Tambah Gambar'; ?></a>
		
    	<script>
	    	jQuery(function($) {
		    	var file_frame;
				$(document).on('click', '#model_cover a.gallery-add', function(e) {
			    	e.preventDefault();
					if (file_frame) file_frame.close();
					file_frame = wp.media.frames.file_frame = wp.media({
				    	title: $(this).data('uploader-title'),
						button: {
					    	text: $(this).data('uploader-button-text'),
						},
					multiple: true
					});
					
					file_frame.on('select', function() {
				    	var listIndex = $('#gallery-cover-list li').index($('#gallery-cover-list li:last')),
						selection = file_frame.state().get('selection');
						selection.map(function(attachment, i) {
					    	attachment = attachment.toJSON(),
							index      = listIndex + (i + 1);
							
							$('#gallery-cover-list').append('<li><input type="hidden" name="cov_gallery[' + index + ']" value="' + attachment.id + '"><img class="image-preview" src="' + attachment.sizes.full.url + '"><a class="change-image" href="#" data-uploader-title="<?php echo esc_attr( 'Change', 'dealerlibrary' ); ?>" data-uploader-button-text="<?php echo esc_attr( 'Change', 'dealerlibrary' ); ?>"><?php echo esc_html( 'Change', 'dealerlibrary' ); ?></a><a class="remove-image" href="#"><?php echo esc_html( 'Remove', 'dealerlibrary' ); ?></a></li>');
						});
					});
					
					makeSortable();
					file_frame.open();
				});
				
				$(document).on('click', '#model_cover a.change-image', function(e) {
			    	e.preventDefault();
					var that = $(this);
					if (file_frame) file_frame.close();
					file_frame = wp.media.frames.file_frame = wp.media({
			    		title: $(this).data('uploader-title'),
						button: {
					    	text: $(this).data('uploader-button-text'),
						},
				    	multiple: true
	    			});
					
					file_frame.on( 'select', function() {
				    	attachment = file_frame.state().get('selection').first().toJSON();
						that.parent().find('input:hidden').attr('value', attachment.id);
						that.parent().find('img.image-preview').attr('src', attachment.sizes.full.url);
					});
					
					file_frame.open();
				});
				
				function resetIndex() {
			    	$('#gallery-cover-list li').each(function(i) {
				    	$(this).find('input:hidden').attr('name', 'cov_gallery[' + i + ']');
			    	});
		    	}
			
	    		function makeSortable() {
		        	$('#gallery-cover-list').sortable({ 
		    	    	opacity: 0.6,
		    			stop: function() {
		    	    		resetIndex();
			    		}
			    	});
		    	}
			
		    	$(document).on('click', '#model_cover a.remove-image', function(e) {
		        	e.preventDefault();
			    	$(this).parents('li').animate({ opacity: 0 }, 200, function() {
	    	    		$(this).remove();
			    		resetIndex();
			    	});
		    	});
			
		     	makeSortable();
	    	});
    	</script>
	
	<?php }
	
	function gallery_cov_save($post_id) {
        if (!isset($_POST['gallery_cover_nonce']) || !wp_verify_nonce($_POST['gallery_cover_nonce'], basename(__FILE__))) return;
        if (!current_user_can('edit_post', $post_id)) return;
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;
        if(isset($_POST['cov_gallery'])) {
		    update_post_meta($post_id, 'cov_gallery', $_POST['cov_gallery']);
		} else {
		    delete_post_meta($post_id, 'cov_gallery');
		}
	}
	
	add_action('save_post', 'gallery_cov_save');