<?php
    
    // 3. Menambah Metabox Spesifikasi Untuk Kendaraan (Untuk Admin atau Operator)
	add_action('admin_init', 'facility_detail', 1);
	
	// tambah metabox
	function facility_detail() {
	    add_meta_box('facility_input', 'Fasilitas', 'facility_input', 'model', 'normal', 'default');
	}
	
	// tambah input
	function facility_input() {
	    global $post;
	    echo '<input type="hidden" name="facility_noncename" id="facility_noncename" value="' .esc_attr(  wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
		
		$fas_ac             = get_post_meta($post->ID, 'fas_ac', true);
		$fas_audio_sis      = get_post_meta($post->ID, 'fas_audio_sis', true);
		$fas_cen_console    = get_post_meta($post->ID, 'fas_cen_console', true);
		$fas_weather        = get_post_meta($post->ID, 'fas_weather', true);
		$fas_ride_ctrl      = get_post_meta($post->ID, 'fas_ride_ctrl', true);
		$dim_key_reminder   = get_post_meta($post->ID, 'dim_key_reminder', true);
		$fas_pow_steer      = get_post_meta($post->ID, 'fas_pow_steer', true);
		$fas_auto_win       = get_post_meta($post->ID, 'fas_auto_win', true);
		$fas_gps            = get_post_meta($post->ID, 'fas_gps', true);
		$fas_belt_reminder  = get_post_meta($post->ID, 'fas_belt_reminder', true);
		$fas_jok_cover      = get_post_meta($post->ID, 'fas_jok_cover', true);
		$fas_speaker        = get_post_meta($post->ID, 'fas_speaker', true);
		$fas_video_backroom = get_post_meta($post->ID, 'fas_video_backroom', true);
		$fas_antikabut_back = get_post_meta($post->ID, 'fas_antikabut_back', true);
		$fas_tilt_steer     = get_post_meta($post->ID, 'fas_tilt_steer', true);
		
		?>
		
		<table width="100%">
		    <tr>
			    <td width="40%">Pendingin Udara / AC</td>
				<td><input type="text" name="fas_ac" value="<?php echo esc_attr( $fas_ac ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Audio Sistem</td>
				<td><input type="text" name="fas_audio_sis" value="<?php echo esc_attr( $fas_audio_sis ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Konsol Tengah</td>
				<td><input type="text" name="fas_cen_console" value="<?php echo esc_attr( $fas_cen_console ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Kontrol Iklim</td>
				<td><input type="text" name="fas_weather" value="<?php echo esc_attr( $fas_weather ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Kontrol Perjalanan</td>
				<td><input type="text" name="fas_ride_ctrl" value="<?php echo esc_attr( $fas_ride_ctrl ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Pengingat Kunci</td>
				<td><input type="text" name="dim_key_reminder" value="<?php echo esc_attr( $dim_key_reminder ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Power Steering</td>
				<td><input type="text" name="fas_pow_steer" value="<?php echo esc_attr( $fas_pow_steer ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Jendela Otomatis</td>
				<td><input type="text" name="fas_auto_win" value="<?php echo esc_attr( $fas_auto_win ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Navigasi Satelit / GPS</td>
				<td><input type="text" name="fas_gps" value="<?php echo esc_attr( $fas_gps ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Pengingat Sabuk Pengaman</td>
				<td><input type="text" name="fas_belt_reminder" value="<?php echo esc_attr( $fas_belt_reminder ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Bahan Pelapis Kursi</td>
				<td><input type="text" name="fas_jok_cover" value="<?php echo esc_attr( $fas_jok_cover ); ?>" class="widefat" /></td>
			</tr>
		    <tr>
			    <td width="40%">Pengeras Suara/Speaker</td>
				<td><input type="text" name="fas_speaker" value="<?php echo esc_attr( $fas_speaker ); ?>" class="widefat" /></td>
			</tr>
		    <tr>
			    <td width="40%">TV/Video Ruang Belakang</td>
				<td><input type="text" name="fas_video_backroom" value="<?php echo esc_attr( $fas_video_backroom ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Anti kabut Kaca Belakang</td>
				<td><input type="text" name="fas_antikabut_back" value="<?php echo esc_attr( $fas_antikabut_back ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Penyesuaian Setir/Tilt Steering</td>
				<td><input type="text" name="fas_tilt_steer" value="<?php echo esc_attr( $fas_tilt_steer ); ?>" class="widefat" /></td>
			</tr>

		</table>
		
    	<?php
	}
	// simpan inputan
	function facility_input_meta($post_id, $post) {
	    if ( ! isset( $_POST['facility_noncename'] ) || !wp_verify_nonce( $_POST['facility_noncename'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }

	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		
		// mesin
		$facility_meta['fas_ac']             = isset($_POST['fas_ac']) ? $_POST['fas_ac'] : '';
		$facility_meta['fas_audio_sis']      = isset($_POST['fas_audio_sis']) ? $_POST['fas_audio_sis'] : '';
		$facility_meta['fas_cen_console']    = isset($_POST['fas_cen_console']) ? $_POST['fas_cen_console'] : '';
		$facility_meta['fas_weather']        = isset($_POST['fas_weather']) ? $_POST['fas_weather'] : '';
		$facility_meta['fas_ride_ctrl']      = isset($_POST['fas_ride_ctrl']) ? $_POST['fas_ride_ctrl'] : '';
		$facility_meta['dim_key_reminder']   = isset($_POST['dim_key_reminder']) ? $_POST['dim_key_reminder'] : '';
		$facility_meta['fas_pow_steer']      = isset($_POST['fas_pow_steer']) ? $_POST['fas_pow_steer'] : '';
		$facility_meta['fas_auto_win']       = isset($_POST['fas_auto_win']) ? $_POST['fas_auto_win'] : '';
		$facility_meta['fas_gps']            = isset($_POST['fas_gps']) ? $_POST['fas_gps'] : '';
		$facility_meta['fas_belt_reminder']  = isset($_POST['fas_belt_reminder']) ? $_POST['fas_belt_reminder'] : '';
		$facility_meta['fas_jok_cover']      = isset($_POST['fas_jok_cover']) ? $_POST['fas_jok_cover'] : '';
		$facility_meta['fas_speaker']        = isset($_POST['fas_speaker']) ? $_POST['fas_speaker'] : '';
		$facility_meta['fas_video_backroom'] = isset($_POST['fas_video_backroom']) ? $_POST['fas_video_backroom'] : '';
		$facility_meta['fas_antikabut_back'] = isset($_POST['fas_antikabut_back']) ? $_POST['fas_antikabut_back'] : '';
		$facility_meta['fas_tilt_steer']     = isset($_POST['fas_tilt_steer']) ? $_POST['fas_tilt_steer'] : '';
		
		foreach ($facility_meta as $key => $value) {      
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }

	}
	add_action('save_post', 'facility_input_meta', 1, 2); 