<?php
    
    // Gallery Produk
	add_action('add_meta_boxes', 'slidegallery_metabox');
	
	function slidegallery_metabox($post_type) {
        add_meta_box( 'slidegallery_meta', 'Galeri Slide', 'slidegallery_meta', 'model', 'normal', 'default');
	}
	
	function slidegallery_meta($post) {
        wp_nonce_field( basename(__FILE__), 'gallery_meta_nonce' );
        $ids = get_post_meta($post->ID, 'vdw_gallery_id', true);
        ?>
		
		<p><?php echo 'Upload gambar untuk galeri'; ?></p>
		<ul id="gallery-metabox-list" class="dealer_clear">
			<?php 
		    	if ($ids) : 
			    	foreach ( $ids as $key => $value ) : 
					$image = wp_get_attachment_image_src($value, 'little'); 
					?>
				    	<li class="color_model">
							<input type="hidden" name="vdw_gallery_id[<?php echo esc_attr( $key ); ?>]" value="<?php echo esc_attr( $value ); ?>">
							<img class="image-preview" src="<?php echo esc_url( $image[0] ); ?>">
							<a class="change-image " href="#" data-uploader-title="<?php echo 'Ganti'; ?>" data-uploader-button-text="<?php echo 'Ganti'; ?>"><?php echo 'Ganti'; ?></a>
							<a class="remove-image" href="#"><?php echo esc_html( 'Remove', 'dealerlibrary' ); ?></a>
			            </li>
                     <?php 
					 endforeach; 
				endif; 
			?>
		</ul>
		
		<a class="gallery-add button button-primary" href="#" data-uploader-title="<?php echo 'Tambah Gambar'; ?>" data-uploader-button-text="<?php echo 'Tambah Gambar'; ?>"><?php echo 'Tambah Gambar'; ?></a>

        	<script>
	    	jQuery(function($) {
		    	var file_frame;
				$(document).on('click', '#slidegallery_meta a.gallery-add', function(e) {
			    	e.preventDefault();
					if (file_frame) file_frame.close();
					file_frame = wp.media.frames.file_frame = wp.media({
				    	title: $(this).data('uploader-title'),
						button: {
					    	text: $(this).data('uploader-button-text'),
						},
					multiple: true
					});
					
					file_frame.on('select', function() {
				    	var listIndex = $('#gallery-metabox-list li').index($('#gallery-metabox-list li:last')),
						selection = file_frame.state().get('selection');
						selection.map(function(attachment, i) {
					    	attachment = attachment.toJSON(),
							index      = listIndex + (i + 1);
							
							$('#gallery-metabox-list').append('<li><input type="hidden" name="vdw_gallery_id[' + index + ']" value="' + attachment.id + '"><img class="image-preview" src="' + attachment.sizes.thumbnail.url + '"><a class="change-image" href="#" data-uploader-title="Ganti" data-uploader-button-text="Change image">Ganti</a><a class="remove-image" href="#">Hapus</a></li>');
						});
					});
					
					makeSortable();
					file_frame.open();
				});
				
				$(document).on('click', '#slidegallery_meta a.change-image', function(e) {
			    	e.preventDefault();
					var that = $(this);
					if (file_frame) file_frame.close();
					file_frame = wp.media.frames.file_frame = wp.media({
			    		title: $(this).data('uploader-title'),
						button: {
					    	text: $(this).data('uploader-button-text'),
						},
				    	multiple: false
	    			});
					
					file_frame.on( 'select', function() {
				    	attachment = file_frame.state().get('selection').first().toJSON();
						that.parent().find('input:hidden').attr('value', attachment.id);
						that.parent().find('img.image-preview').attr('src', attachment.sizes.thumbnail.url);
					});
					
					file_frame.open();
				});
				
				function resetIndex() {
			    	$('#gallery-metabox-list li').each(function(i) {
				    	$(this).find('input:hidden').attr('name', 'vdw_gallery_id[' + i + ']');
			    	});
		    	}
			
	    		function makeSortable() {
		        	$('#gallery-metabox-list').sortable({ 
		    	    	opacity: 0.6,
		    			stop: function() {
		    	    		resetIndex();
			    		}
			    	});
		    	}
			
		    	$(document).on('click', '#slidegallery_meta a.remove-image', function(e) {
		        	e.preventDefault();
			    	$(this).parents('li').animate({ opacity: 0 }, 200, function() {
	    	    		$(this).remove();
			    		resetIndex();
			    	});
		    	});
			
		     	makeSortable();
	    	});
        	</script>
	
	<?php }
	
	function dealerlibrary_gallery_meta_save($post_id) {
        if (!isset($_POST['gallery_meta_nonce']) || !wp_verify_nonce($_POST['gallery_meta_nonce'], basename(__FILE__))) return;
        if (!current_user_can('edit_post', $post_id)) return;
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;
        if(isset($_POST['vdw_gallery_id'])) {
		    update_post_meta($post_id, 'vdw_gallery_id', $_POST['vdw_gallery_id']);
		} else {
		    delete_post_meta($post_id, 'vdw_gallery_id');
		}
	}
	
	add_action('save_post', 'dealerlibrary_gallery_meta_save');