<?php
    
    // 3. Menambah Metabox Spesifikasi Untuk Kendaraan (Untuk Admin atau Operator)
	add_action('admin_init', 'machine_detail', 1);
	
	// tambah metabox
	function machine_detail() {
	    add_meta_box('machine_input', 'Mesin', 'machine_input', 'model', 'normal', 'default');
	}
	
	// tambah input
	function machine_input() {
	    global $post;
	    echo '<input type="hidden" name="machine_noncename" id="machine_noncename" value="' .esc_attr(  wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
		
		$mes_diam     = get_post_meta($post->ID, 'mes_diam', true);
		$mes_kompresi = get_post_meta($post->ID, 'mes_kompresi', true);
		$mes_type_sil = get_post_meta($post->ID, 'mes_type_sil', true);
		$mes_kap_sil  = get_post_meta($post->ID, 'mes_kap_sil', true);
		$mes_sis_bbm  = get_post_meta($post->ID, 'mes_sis_bbm', true);
		$mes_type_bbm = get_post_meta($post->ID, 'mes_type_bbm', true);
		$mes_daya_mak = get_post_meta($post->ID, 'mes_daya_mak', true);
		$mes_tor_mak  = get_post_meta($post->ID, 'mes_tor_mak', true);
		$mes_type     = get_post_meta($post->ID, 'mes_type', true);
		$sis_roda     = get_post_meta($post->ID, 'sis_roda', true);
		
		?>

		<table width="100%">
		    <tr>
			    <td width="40%">Diameter x Langkah</td>
				<td><input type="text" name="mes_diam" value="<?php echo esc_attr( $mes_diam ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Perbandingan Kompresi</td>
				<td><input type="text" name="mes_kompresi" value="<?php echo esc_attr( $mes_kompresi ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Tipe Silinder</td>
				<td><input type="text" name="mes_type_sil" value="<?php echo esc_attr( $mes_type_sil ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Kapasitas Silinder</td>
				<td><input type="text" name="mes_kap_sil" value="<?php echo esc_attr( $mes_kap_sil ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Sistem Bahan Bakar</td>
				<td><input type="text" name="mes_sis_bbm" value="<?php echo esc_attr( $mes_sis_bbm ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Jenis Bahan Bakar</td>
				<td><input type="text" name="mes_type_bbm" value="<?php echo esc_attr( $mes_type_bbm ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Daya Maksimum</td>
				<td><input type="text" name="mes_daya_mak" value="<?php echo esc_attr( $mes_daya_mak ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Torsi Maksimum</td>
				<td><input type="text" name="mes_tor_mak" value="<?php echo esc_attr( $mes_tor_mak ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Tipe Mesin</td>
				<td><input type="text" name="mes_type" value="<?php echo esc_attr( $mes_type ); ?>" class="widefat" /></td>
			</tr>
			<tr>
			    <td width="40%">Sistem Penggerak Roda</td>
				<td><input type="text" name="sis_roda" value="<?php echo esc_attr( $sis_roda ); ?>" class="widefat" /></td>
			</tr>
		</table>
		
    	<?php
	}
	// simpan inputan
	function machine_input_meta($post_id, $post) {
	    if ( ! isset( $_POST['machine_noncename'] ) || !wp_verify_nonce( $_POST['machine_noncename'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }

	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		
		// mesin
		$machine_meta['mes_diam']     = isset($_POST['mes_diam']) ? $_POST['mes_diam'] : '';
		$machine_meta['mes_kompresi'] = isset($_POST['mes_kompresi']) ? $_POST['mes_kompresi'] : '';
		$machine_meta['mes_type_sil'] = isset($_POST['mes_type_sil']) ? $_POST['mes_type_sil'] : '';
		$machine_meta['mes_kap_sil']  = isset($_POST['mes_kap_sil']) ? $_POST['mes_kap_sil'] : '';
		$machine_meta['mes_sis_bbm']  = isset($_POST['mes_sis_bbm']) ? $_POST['mes_sis_bbm'] : '';
		$machine_meta['mes_type_bbm'] = isset($_POST['mes_type_bbm']) ? $_POST['mes_type_bbm'] : '';
		$machine_meta['mes_daya_mak'] = isset($_POST['mes_daya_mak']) ? $_POST['mes_daya_mak'] : '';
		$machine_meta['mes_tor_mak']  = isset($_POST['mes_tor_mak']) ? $_POST['mes_tor_mak'] : '';
		$machine_meta['mes_type']     = isset($_POST['mes_type']) ? $_POST['mes_type'] : '';
		$machine_meta['sis_roda']     = isset($_POST['sis_roda']) ? $_POST['sis_roda'] : '';
		
		foreach ($machine_meta as $key => $value) {      
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }

	}
	add_action('save_post', 'machine_input_meta', 1, 2); 