<?php
    // Price
	add_action('admin_init', 'model_price', 1);
	function model_price() {
    	add_meta_box( 'model_price_input', 'Tipe & Harga', 'model_price_input', 'model', 'normal', 'high');
    }

	function model_price_input() {
    	global $post;
    	$rep_fields = get_post_meta($post->ID, 'rep_fields', true);
    	wp_nonce_field( 'ctp_meta_box_nonce', 'ctp_meta_box_nonce' );
    	?>
    
    	<script type="text/javascript">
     	jQuery(document).ready(function( $ ){
    		$( '#add-row' ).on('click', function() {
			var row = $( '.empty-row.screen-reader-text' ).clone(true);
			row.removeClass( 'empty-row screen-reader-text' );
			row.insertBefore( '#repeatable-fieldset-one tbody>tr:last' );
			return false;
		});
  	
		$( '.remove-row' ).on('click', function() {
			$(this).parents('tr').remove();
			return false;
		});
    	});
    	</script>
  
    	<table id="repeatable-fieldset-one">
			<tr>
            	<td>
					<label><?php echo 'Tipe'; ?></label>
				</td>
				<td>
					<label><?php echo 'Harga'; ?></label>
				</td>
				<td class="tab_delete">
				</td>
			</tr>
			
         	<?php if ( $rep_fields ) :
			foreach ( $rep_fields as $field ) { ?>
             	<tr>
            		<td>
					    <input type="text" placeholder="<?php echo 'Tipe'; ?>" class="widefat" name="typem[]" value="<?php if($field['typem'] != '') echo esc_attr( $field['typem'] ); ?>" />
					</td>
					<td>
						<input type="text" placeholder="<?php echo 'Harga'; ?>" class="widefat" name="pricem[]" value="<?php if ($field['pricem'] != '') echo esc_attr( $field['pricem'] ); ?>" />
					</td>
					<td class="tab_delete">
						<a class="button remove-row dealer_delete" href="#"><?php echo 'Hapus'; ?></a>
					</td>
				</tr>
				
			<?php } else : ?>
			
	    		<tr>
            		<td>
					    <input type="text" class="widefat" name="typem[]" />
					</td>
					<td>
						<input type="text" class="widefat" name="pricem[]" />
					</td>
					<td class="tab_delete">
						<a class="button remove-row dealer_delete" href="#"><?php echo 'Hapus'; ?></a>
					</td>
				</tr>
				
			<?php endif; ?>
	
            	<!-- empty hidden one for jQuery -->
            	<tr class="empty-row screen-reader-text">
            		<td>
					    <input type="text" class="widefat" name="typem[]" />
					</td>
					<td>
						<input type="text" class="widefat" name="pricem[]" />
					</td>
					<td class="tab_delete">
						<a class="button remove-row dealer_delete" href="#"><?php echo 'Hapus'; ?></a>
					</td>
				</tr>
		</table>
		
		<div class="addnew"><a id="add-row" class="button button-primary" href="#"><?php echo 'Tambah Baru'; ?></a></div> 

	<?php
    }

	add_action('save_post', 'ctp_meta_box_save');

	function ctp_meta_box_save($post_id) {
    	if ( ! isset( $_POST['ctp_meta_box_nonce'] ) ||
        	! wp_verify_nonce( $_POST['ctp_meta_box_nonce'], 'ctp_meta_box_nonce' ) )
	    	return;
	
    	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
	    	return;
	
    	if (!current_user_can('edit_post', $post_id))
	    	return;
	
    	$old = get_post_meta($post_id, 'rep_fields', true);
    	$new = array();
	
		$typems = $_POST['typem'];
    	$pricems = $_POST['pricem'];
	
    	$count = count( $typems );
	
    	for ( $i = 0; $i < $count; $i++ ) {
	    	if ( $typems[$i] != '' ) {
	    		$new[$i]['typem'] = stripslashes( strip_tags( $typems[$i] ) );
				$new[$i]['pricem'] = stripslashes( strip_tags( $pricems[$i] ) ); 
	    	}
    	}
		
    	if ( !empty( $new ) && $new != $old )
    		update_post_meta( $post_id, 'rep_fields', $new );
    	elseif ( empty($new) && $old )
    		delete_post_meta( $post_id, 'rep_fields', $old );
	}
	