<?php
    // Status Produk Metabox
	add_action('admin_init', 'model_status', 1);
	
	function model_status() {
	    add_meta_box('model_status_metabox', 'Status', 'model_status_metabox', 'model', 'normal', 'high');
	}

	function model_status_metabox() {
	    global $post;
	    echo '<input type="hidden" name="status_noncename" id="status_noncename" value="' .esc_attr(  wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
		$status = get_post_meta($post->ID, '_status', true);
		?>
		    <div class="editor-post-link">
			    <label><?php echo 'Pilih status kendaraan, default adalah <strong>None</strong>'; ?></label>
			</div>
			<div class="editor-post-link">
				<input type="radio" name="_status" <?php checked( esc_attr( $status ), 'Terpopuler' ) ?> value="Terpopuler"/><span class="stt"><?php echo 'Popular'; ?></span>
				<input type="radio" name="_status" <?php checked( esc_attr( $status ), 'Limited' ) ?> value="Limited"/><span class="stt"><?php echo 'Limited Edition'; ?></span>
				<input type="radio" name="_status" <?php checked( esc_attr( $status ), 'Indent' ); ?> value="Indent"/><span class="stt"><?php echo 'Indent'; ?></span>
				<input type="radio" name="_status" <?php checked( esc_attr( $status ), 'Promo' ) ?> value="Promo"/><span class="stt"><?php echo 'Promo'; ?></span>
				<input type="radio" name="_status" <?php checked( esc_attr( $status ), 'Best Seller' ); ?> value="Best Seller"/><span class="stt"><?php echo 'Best Seller'; ?></span>
				<input type="radio" name="_status" <?php checked( esc_attr( $status ), 'None' ); ?> value="None"/><span class="stt"><?php echo 'None'; ?></span>
			</div>
		<?php
	}

	function model_status_save($post_id, $post) {
	    
		if ( ! isset( $_POST['status_noncename'] ) || !wp_verify_nonce( $_POST['status_noncename'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }

	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
		
		$status_meta['_status'] = $_POST['_status'];

	    foreach ($status_meta as $key => $value) {      
		    if( $post->post_type == 'revision' ) return;
	            $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }
	}
	add_action('save_post', 'model_status_save', 1, 2); 