<?php 
/**
 * Tema WP roooda, tema CMS Wordpress untuk website Dealer
 * Author : Ciuss Creative
 * Facebook : http://facebook.com/ciussgw
 * Whatsapp : 0815-3274-4804
 */	
	
	register_post_type( 'event',		
	array(			
	    'menu_icon'       => 'dashicons-calendar-alt',
		'labels'          => array(				
	    'name'                => __( 'Agenda' ),				
	    'singular_name'       => __( 'Agenda' ),        
	    'add_new'             => __( 'Tambah Agenda?' ),	
	    'add_new_item'        => __( 'Tambah Agenda' ),	
	    'edit'                => __( 'Edit' ),	 
	    'edit_item'           => __( 'Edit Agenda' ),	
	    'new_item'            => __( 'Item Baru' ),	
	    'view'                => __( 'Lihat Agenda' ),	
	    'view_item'           => __( 'Lihat Item' ),	
	    'search_items'        => __( 'Cari Item' ),	
	    'not_found'           => __( 'Tidak ada Agenda ditemukan' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Agenda di folder Trash' ),	
	    'parent'              => __( 'Parent Super Duper' ),
        'featured_image'      => __( 'Gambar 600 x 400' ),		
	    ),		                	
	    	'public'               => true,           					            
	    	'has_archive'          => true,        			            
	    	'supports'             => array( 'title', 'editor', 'thumbnail'),        			            
	    	'exclude_from_search'  => false, 	 
	    	'show_in_rest'         => true,
		 )	
    );
	
	add_action('admin_init', 'masevents', 1);
	
	function masevents() {
	    add_meta_box('roooda_events', 'Data Agenda', 'roooda_events', 'event', 'normal', 'default');
	}

	function roooda_events() {
	    global $post;
	    echo '<input type="hidden" name="event_noncedealer" id="event_noncedealer" value="' .esc_attr(  wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
        
		$minus = strtotime(get_post_meta($post->ID, '_tevent', true));
	    $tevent = get_post_meta($post->ID, '_tevent', true);
	    $jam = get_post_meta($post->ID, '_jam', true);
		$lokasi = get_post_meta($post->ID, '_lokasi', true);
		$koordinator = get_post_meta($post->ID, '_koordinator', true);
		$telepon = get_post_meta($post->ID, '_telepon', true);
		$roomaps = get_post_meta($post->ID, '_roomaps', true);
		$hariini = strtotime(gmdate("Y-m-d"));
		$sekarang = strtotime(gmdate("Y-m-d"));
		$currents = $sekarang-$minus;
		?>
		    
			<div class="editor-post-link">
			    <label><?php echo 'Tanggal Agenda'; ?></label>
				<input type="date" name="_tevent" value="<?php echo esc_attr( $tevent ); ?>" class="components-text-control__input" />
			</div>
			<div class="editor-post-link">
				<label><?php echo 'Waktu (contoh 08:30 AM)'; ?></label>
				<input type="time" name="_jam" value="<?php echo esc_attr( $jam ); ?>" class="components-text-control__input" />
			</div>
			<div class="editor-post-link">
				<label><?php echo 'Lokasi'; ?></label>
				<input type="text" name="_lokasi" value="<?php echo esc_attr( $lokasi ); ?>" class="components-text-control__input" />
			</div>
			<div class="editor-post-link">
				<label><?php echo 'Koordinator'; ?></label>
				<input type="text" name="_koordinator" value="<?php echo esc_attr( $koordinator ); ?>" class="components-text-control__input" />
			</div>
			<div class="editor-post-link">
				<label><?php echo 'WhatsApp'; ?></label>
				<input type="number" name="_telepon" value="<?php echo esc_attr( $telepon ); ?>" class="components-text-control__input" placeholder="awali dengan 62..." />
			</div>
			<div class="editor-post-link">
				<label><?php echo 'Embed Maps'; ?></label>
				<textarea name="_roomaps" class="components-text-control__input"><?php echo esc_textarea( $roomaps ); ?></textarea><br/><br/>
			</div>
			
        	<?php
			
	}

	function roooda_events_meta($post_id, $post) {
	    if ( ! isset( $_POST['event_noncedealer'] ) || !wp_verify_nonce( $_POST['event_noncedealer'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }

	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;

		$events_meta['_minus'] = sanitize_text_field(strtotime($_POST['_tevent']));
	    $events_meta['_tevent'] = sanitize_text_field($_POST['_tevent']);
		$events_meta['_jam'] = sanitize_text_field($_POST['_jam']);
		$events_meta['_lokasi'] = sanitize_text_field($_POST['_lokasi']);
		$events_meta['_koordinator'] = sanitize_text_field($_POST['_koordinator']);
		$events_meta['_telepon'] = sanitize_text_field($_POST['_telepon']);
		
		// Sanitasi menggunakan wp_kses untuk _roomaps
        if (isset($_POST['_roomaps'])) {
            $allowed_html = array(
                'iframe' => array(
                    'src' => true,
                    'width' => true,
                    'height' => true,
                    'frameborder' => true,
                    'allowfullscreen' => true,
                    'title' => true
                )
            );
            $events_meta['_roomaps'] = wp_kses($_POST['_roomaps'], $allowed_html);
        }
		
	    foreach ($events_meta as $key => $value) {         
		    if( $post->post_type == 'revision' ) return; 
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key); 
	    }
	}

	add_action('save_post', 'roooda_events_meta', 1, 2); 