<?php

/*** POST TYPE TESTIMONI ***/
	
	register_post_type( 'testimoni',		
	array(			
	    'menu_icon'       => 'dashicons-format-status',
	    'labels'          => array(				
	    'name'                => __( 'Testimoni' ),				
	    'singular_name'       => __( 'Testimoni' ),        
	    'add_new'             => __( 'Tambah Testimoni?' ),	
	    'add_new_item'        => __( 'Tambah Testimoni' ),	
	    'edit'                => __( 'Edit' ),	 
	    'edit_item'           => __( 'Edit Testimoni' ),	
	    'new_item'            => __( 'Testimoni Baru' ),	
	    'view'                => __( 'Lihat Testimoni' ),	
	    'view_item'           => __( 'Lihat Testimoni' ),	
	    'search_items'        => __( 'Cari Testimoni' ),	
	    'not_found'           => __( 'Tidak ada Testimoni ditemukan' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Testimoni di folder Trash' ),	
	    'parent'              => __( 'Parent Super Duper' ),	
        'featured_image'      => __( 'Gambar 300 x 300' ),		
	    ),		                	
	    	'public'               => true,           					            
	    	'has_archive'          => true,        			            
	    	'supports'             => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search'  => false, 
	    	'show_in_rest'         => true,
		 )	
    );
	
	add_action('admin_init', 'tes', 1);
	
	function tes() {
	    add_meta_box('tess', 'Data Testimoni', 'tess', 'testimoni', 'normal', 'default');
	}

	function tess() {
	    global $post;
	    echo '<input type="hidden" name="tesstimoni_noncename" id="tesstimoni_noncename" value="' .esc_attr(  wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';

	    $nama = get_post_meta($post->ID, '_nama', true);
		$profesi = get_post_meta($post->ID, '_profesi', true);
		$kota = get_post_meta($post->ID, '_kota', true);
		$rating = get_post_meta($post->ID, '_rating', true);
		$photo = get_post_meta($post->ID, '_photo', true);
		?>
		<div class="editor-post-link">
		    <label><?php echo 'Nama Lengkap'; ?></label>
	        <input type="text" name="_nama" value="<?php echo esc_attr( $nama ); ?>" class="components-text-control__input" />
			<label><?php echo 'Profesi'; ?></label>
	        <input type="text" name="_profesi" value="<?php echo esc_attr( $profesi ); ?>" class="components-text-control__input" />
			<label><?php echo 'Kota Asal'; ?></label>
	        <input type="text" name="_kota" value="<?php echo esc_attr( $kota ); ?>" class="components-text-control__input" />
			<label><?php echo 'Berikan Rating'; ?></label>
			<select name="_rating" id="rating" class="widefat">
		        <option value="super" <?php selected( esc_attr( $rating ), 'super' ); ?>>Super</option>
	        	<option value="bagus" <?php selected( esc_attr( $rating ), 'bagus' ); ?>>Bagus</option>
	    		<option value="cukup" <?php selected( esc_attr( $rating ), 'cukup' ); ?>>Cukup</option>
	    		<option value="kurang" <?php selected( esc_attr( $rating ), 'kurang' ); ?>>Kurang</option>
	    		<option value="buruk" <?php selected( esc_attr( $rating ), 'buruk' ); ?>>Buruk</option>	 
            </select>			
			<div class="clear">
				<p>Upload foto serah terima</p>
				<img class="photo" src="<?php echo esc_url( $photo ); ?>" />
				<input type="hidden" name="_photo" placeholder="tekan tombol upload dibawah..." id="_photo" value="<?php echo esc_url( $photo ); ?>" class="custom_media_url" />
				<input id ="upload_image_button" type="button" value="Photo 600x450 px" class="button button-primary button-large" />
			</div>
							
			<script type = "text/javascript">
            var file_frame;
			jQuery('#upload_image_button').on('click', function(podcast) {
		    	podcast.preventDefault();
				if (file_frame) {
			    	file_frame.open();
					return;
				}
				
				file_frame = wp.media.frames.file_frame = wp.media({
			    	title: jQuery(this).data('uploader_title'),
					button: {
				    	text: jQuery(this).data('uploader_button_text'),
					},
					multiple: false
				});
				
				file_frame.on('select', function(){
			    	attachment = file_frame.state().get('selection').first().toJSON();
					jQuery(".photo").attr('src', attachment.url);
					var all = JSON.stringify( attachment ); 
					var url = attachment.url;
					var namefile = document.getElementById("_photo");
					namefile.value = url; 
				});
				
				file_frame.open();
			});
		    </script>
        <?php 
	}

	function tes_meta($post_id, $post) {
	    if ( ! isset( $_POST['tesstimoni_noncename'] ) || !wp_verify_nonce( $_POST['tesstimoni_noncename'], plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }

	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
			
	    $events_meta['_nama'] = sanitize_text_field( $_POST['_nama'] );
		$events_meta['_profesi'] = sanitize_text_field( $_POST['_profesi'] );
		$events_meta['_kota'] = sanitize_text_field( $_POST['_kota'] );
		$events_meta['_rating'] = sanitize_text_field( $_POST['_rating'] );
		$events_meta['_photo'] = sanitize_text_field( $_POST['_photo'] );

	    foreach ($events_meta as $key => $value) {         
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key);
	    }

	}

	add_action('save_post', 'tes_meta', 1, 2); 