(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	 
	 function resize() {
            if (jQuery(window).width() > 982) {
                jQuery('body').removeClass('is_mobile');
	            jQuery('#dealerlibmenu').removeClass('accord').addClass('desktop');
			} else if (jQuery(window).width() > 430) {
				jQuery('body').removeClass('is_small');
				jQuery('#dealerlibmenu').addClass('accord').removeClass('desktop');
            } else {
				jQuery('body').addClass('is_mobile is_small');
				jQuery('#dealerlibmenu').addClass('accord').removeClass('desktop');
	        }
        }

        jQuery(document).ready( function() {
            jQuery(window).on("resize", resize);
            resize();
        });
		
		jQuery(document).ready(function () {
	    	jQuery(".menu_is_toggle").on("click", function(){
	    	    jQuery("body").toggleClass("menu__active");
			});
		});
		
		jQuery("document").ready(function (e) {
            
            e(".nav > ul > li:has(ul),.nav > ul > li > ul > li:has(ul),.nav > ul > li > ul > li > ul > li:has(ul)").addClass("has-sub"),
            e(".nav > ul > li > a").on("click", function () {
                var l = e(this).next();
                return (
                    e(".nav li").removeClass("active"),
                    e(this).closest("li").addClass("active"),
                    l.is("ul") && l.is(":visible") && (e(this).closest("li").removeClass("active"), l.slideUp("normal")),
                    l.is("ul") && !l.is(":visible") && (e(".nav ul ul:visible").slideUp("normal"), l.slideDown("normal")),
                    !l.is("ul")
                );
            }),
            e(".nav > ul > li > ul > li > a").on("click", function () {
                var l = e(this).next();
                return (
                    e(".nav li ul li").removeClass("active"),
                    e(this).closest("li").addClass("active"),
                    l.is("ul") && l.is(":visible") && (e(this).closest("li").removeClass("active"), l.slideUp("normal")),
                    l.is("ul") && !l.is(":visible") && (e(".nav ul ul ul:visible").slideUp("normal"), l.slideDown("normal")),
                    !l.is("ul")
                );
            }),
            e(".nav > ul > li > ul > li > ul > li > a").on("click", function () {
                var l = e(this).next();
                return (
                    e(".nav li ul li ul li").removeClass("active"),
                    e(this).closest("li").addClass("active"),
                    l.is("ul") && l.is(":visible") && (e(this).closest("li").removeClass("active"), l.slideUp("normal")),
                    l.is("ul") && !l.is(":visible") && (e(".nav ul ul ul ul:visible").slideUp("normal"), l.slideDown("normal")),
                    !l.is("ul")
                );
            });
    });

})( jQuery );
